commit 5ae53d7e9f6cc50f6fc46c3a4e42e51fdfe601fd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 16:23:15 2015 -0600

    Bump version to 2.02

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit be9735e90a586c582d77f80707246e5031ff445b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 15:16:55 2015 -0600

    obuf, str: Mark the *_digits constants as deprecated

 include/obuf.h | 7 ++++---
 include/str.h  | 5 +++--
 2 files changed, 7 insertions(+), 5 deletions(-)

commit c97d6c8e6d11549b86ff7649dc00c39888f46119
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 14:22:11 2015 -0600

    Fix make race condition in compiling CLI C sources
    
    The CLI generated C source indirectly includes sysdeps.h, but did not
    depend on it, leading to a build race.

 %-cli.c.spac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e896c122cb32ff081d99e6b96ead1cef5cecc32c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 14:45:21 2015 -0600

    str: Drop internal use of the str_*_digits constants

 str/catiw.c   | 7 ++++---
 str/catiwll.c | 7 ++++---
 str/catuw.c   | 7 ++++---
 str/catuwll.c | 7 ++++---
 str/catxw.c   | 7 ++++---
 str/catxwll.c | 7 ++++---
 6 files changed, 24 insertions(+), 18 deletions(-)

commit c65de5c2b77d4bc6cdebc952cb288d29a49550e3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 14:34:38 2015 -0600

    iobuf: Drop internal use of the obuf_*_digits constants

 crc-gentab=x            |  3 ++-
 iobuf/obuf_putsllnumw.c |  4 ++--
 iobuf/obuf_putsnumw.c   |  4 ++--
 iobuf/obuf_putullnumw.c | 12 ++++++------
 iobuf/obuf_putunumw.c   | 12 ++++++------
 5 files changed, 18 insertions(+), 17 deletions(-)

commit b3adcf73200175a6a78293771ea24af503202daa
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 14:21:22 2015 -0600

    cli-generate: Fix obuf.h include path in generated C files

 NEWS            | 2 ++
 cli-generate.pl | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit b9b087d00269c260e42b4613bf31746b0a846caa
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 11:11:42 2015 -0600

    ipv4: Use internal __DEPRECATED__ sysdep

 include/ipv4.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 811812171b18fe9e9458035dbe71b19c6a39625a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 10:10:10 2015 -0600

    Make sure selftest.c source gets included in the dist

 NEWS           | 2 ++
 selftests.spac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit aadb9377dbaf004bb94ed0615759a28ecfa5da80
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 3 10:08:39 2015 -0600

    iobuf, str: Use fmt for formatting numbers

 NEWS                    |  2 ++
 TODO                    |  2 --
 crc-gentab=x            |  1 +
 iobuf/obuf_putsllnumw.c | 37 +++++--------------------------------
 iobuf/obuf_putsnumw.c   | 37 +++++--------------------------------
 iobuf/obuf_putullnumw.c | 25 +++++--------------------
 iobuf/obuf_putunumw.c   | 24 +++++-------------------
 str/catsllnum.c         | 32 +++++---------------------------
 str/catsnum.c           | 32 +++++---------------------------
 str/catullnum.c         | 23 ++++++-----------------
 str/catunum.c           | 23 ++++++-----------------
 11 files changed, 45 insertions(+), 193 deletions(-)

commit 26089ab212e7fdc18499e3f5bb46ec2303487ad8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 30 15:45:13 2015 -0600

    Bump version to 2.01

 NEWS    | 4 ++++
 VERSION | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 06bdacfc34cf2334d98f6d3173f2e9e4eb9d1bc2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 30 15:44:40 2015 -0600

    Fix #include lines in uint##.h headers

 NEWS     | 3 +++
 uint16.h | 4 ++--
 uint32.h | 4 ++--
 uint64.h | 4 ++--
 4 files changed, 9 insertions(+), 6 deletions(-)

commit e466f9c951187f7756abe74c8dccdceb1bcd8776
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 30 09:39:59 2015 -0600

    Move the example template CLI into doc

 EXTRADIST                        | 2 +-
 template.cli => doc/template.cli | 0
 2 files changed, 1 insertion(+), 1 deletion(-)
 rename template.cli => doc/template.cli (100%)

commit b80a37480c99178b3ba461b17e290a1459d0292e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 30 08:36:14 2015 -0600

    config.dxy: Upgrade to Doxygen 1.8.5

 config.dxy | 2305 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 1358 insertions(+), 947 deletions(-)

commit 7e84fa9b68eb3dc352b431863db8d86fdb4da1a8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 29 17:00:11 2015 -0600

    Add bglibs symlink in include to fix building the bg-installer cli bits

 EXTRADIST      | 1 +
 INSTHIER       | 2 +-
 include/bglibs | 1 +
 3 files changed, 3 insertions(+), 1 deletion(-)
 create mode 120000 include/bglibs

commit c5e64398808a753947e594e56b486bdab690a817
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 29 12:25:05 2015 -0600

    Bump version to 2.00

 LIBVERSION | 2 +-
 NEWS       | 5 +++++
 VERSION    | 2 +-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit de2585b87517c3d9bc63a3bf7fbbf09fe67487da
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 29 11:51:06 2015 -0600

    Drop installed compatibility symlinks for header files

 INSTHIER | 82 ----------------------------------------------------------------
 1 file changed, 82 deletions(-)

commit 7c34957b7561dcde406eb96fa9da48e02951fc59
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 28 13:10:47 2015 -0600

    Remove the libbg-sysdeps library, merged completely into libbg

 INSTHIER        |  1 -
 bg-installer=x  |  1 -
 crc-gentab=x    |  2 +-
 libbg-sysdeps=l | 20 --------------------
 libraries.spac  |  1 -
 selftests.spac  |  2 +-
 6 files changed, 2 insertions(+), 25 deletions(-)
 delete mode 100644 libbg-sysdeps=l

commit 2841941fadfd3269f55aacfbe3ba4e30be747122
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 22 16:02:18 2015 -0600

    reorg: Add libbg-sysdeps objects into libbg proper, and drop internal use

 libbg=l        | 20 ++++++++++++++++++++
 selftest-cmp=x |  1 -
 selftests.sh   |  2 +-
 3 files changed, 21 insertions(+), 2 deletions(-)

commit 58a70337a4ea5c2118b5a3c2135414eb3b0dc820
Merge: e39ca61 632ed98
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 22 15:16:42 2015 -0600

    Merge branch 'reorg'
    
    Conflicts:
    	libbg-net=l
    	net/dns_mx.c
    	net/dns_name4.c
    	net/dns_name6.c

commit 632ed980d779ae512399aea14d84fcc14cb3f1ae
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 16:18:14 2015 -0600

    spec: Clean up for reorg changes

 spec | 24 ++++++------------------
 1 file changed, 6 insertions(+), 18 deletions(-)

commit 4764b089db5288ac00cc992fb533bc3eb9730cdb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 16:03:07 2015 -0600

    reorg: Move the default install directories up a level to just /usr/local/*

 conf-include | 2 +-
 conf-lib     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ad76e1dc367568af023e6226893296e4fb50a42a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 16:01:22 2015 -0600

    reorg: Install all includes in bglibs subdir except for pwcmp and vmailmgr

 INSTHIER | 138 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 69 insertions(+), 69 deletions(-)

commit 89fb7c67e030e7a630bcc3b397e554fd46b76866
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 15:48:37 2015 -0600

    reorg: Install sysdeps.h, systime.h, and uint*.h into bglibs subdir

 INSTHIER | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 2dcc7fd6174b1ac25c97077352d86e4f4732ae07
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 15:38:26 2015 -0600

    reorg: Drop compatibility pwcmp and vmailmgr lib links
    
    This prepares the lib install portion for going in .../lib directly

 INSTHIER | 9 ---------
 1 file changed, 9 deletions(-)

commit 8d24c6f8fde6c8b47303a8a7b262bc972caf8897
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 15:33:52 2015 -0600

    reorg: Drop the .lib installs

 INSTHIER     | 9 ---------
 all.spac     | 2 +-
 dotlibs.spac | 1 -
 spec         | 1 -
 4 files changed, 1 insertion(+), 12 deletions(-)
 delete mode 100644 dotlibs.spac

commit bd5a466bc3edb74589ae68492e1b517a412edd88
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 11 16:19:02 2012 -0600

    reorg: Drop all libbg-* libraries except libbg-{cli,sysdeps}
    
    This requires crc-gentab link directly to needed objects.

 INSTHIER       |  68 +-----------
 bg-installer=x |   6 +-
 crc-gentab=x   |  15 ++-
 libbg-adt=l    |  21 ----
 libbg-base64=l |   6 --
 libbg-cdb=l    |   7 --
 libbg-crc=l    |  12 ---
 libbg-crypto=l |  15 ---
 libbg-dict=l   |   9 --
 libbg-fmt=l    |  19 ----
 libbg-iobuf=l  |  51 ---------
 libbg-misc=l   |   5 -
 libbg-msg=l    |  18 ----
 libbg-net=l    |  69 ------------
 libbg-path=l   |   6 --
 libbg-str=l    |  69 ------------
 libbg-unix=l   |  25 -----
 libbg.la.spac  |  16 ---
 libbg=l        | 332 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libraries.spac |   2 +-
 20 files changed, 348 insertions(+), 423 deletions(-)
 delete mode 100644 libbg-adt=l
 delete mode 100644 libbg-base64=l
 delete mode 100644 libbg-cdb=l
 delete mode 100644 libbg-crc=l
 delete mode 100644 libbg-crypto=l
 delete mode 100644 libbg-dict=l
 delete mode 100644 libbg-fmt=l
 delete mode 100644 libbg-iobuf=l
 delete mode 100644 libbg-misc=l
 delete mode 100644 libbg-msg=l
 delete mode 100644 libbg-net=l
 delete mode 100644 libbg-path=l
 delete mode 100644 libbg-str=l
 delete mode 100644 libbg-unix=l
 delete mode 100644 libbg.la.spac
 create mode 100644 libbg=l

commit c59937292b7ad97c373c264d317085c6e6785538
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 14:59:23 2012 -0600

    reorg: Move misc/*.h

 INSTHIER                   | 4 ++--
 {misc => include}/misc.h   | 3 ++-
 {misc => include}/ucspi.h  | 0
 vmailmgr/vpwentry_import.c | 2 +-
 4 files changed, 5 insertions(+), 4 deletions(-)
 rename {misc => include}/misc.h (94%)
 rename {misc => include}/ucspi.h (100%)

commit fa71ff63f356e5ede1c82913190b865c4abcd600
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 14:49:43 2012 -0600

    reorg: Move and merge cdb/*.h into one cdb.h include

 INSTHIER               |  6 +++---
 cdb/get.c              |  1 -
 cdb/getnext.c          |  1 -
 cdb/make.h             | 21 ---------------------
 cdb/str.h              | 10 ----------
 {cdb => include}/cdb.h | 32 +++++++++++++++++++++++++++++---
 6 files changed, 32 insertions(+), 39 deletions(-)
 delete mode 100644 cdb/str.h
 rename {cdb => include}/cdb.h (58%)

commit 513dfa526a17c95fdac859fba32f8ecf0da03fdd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 14:40:47 2012 -0600

    reorg: Remove obsolete installer libraries

 INSTHIER            |   7 ---
 instlib/installer.c | 139 ----------------------------------------------------
 instlib/installer.h |  49 ------------------
 instlib/instcheck.c | 113 ------------------------------------------
 instlib/instmain.c  |  22 ---------
 instlib/instshow.c  | 129 ------------------------------------------------
 libbg-installer=l   |  39 ---------------
 libbg-instcheck=l   |  38 --------------
 libbg-instshow=l    |  37 --------------
 9 files changed, 573 deletions(-)
 delete mode 100644 instlib/installer.c
 delete mode 100644 instlib/installer.h
 delete mode 100644 instlib/instcheck.c
 delete mode 100644 instlib/instmain.c
 delete mode 100644 instlib/instshow.c
 delete mode 100644 libbg-installer=l
 delete mode 100644 libbg-instcheck=l
 delete mode 100644 libbg-instshow=l

commit 7fb7e632f60b2fd1a80949bd851c73ba18d911cd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 13:48:03 2012 -0600

    reorg: Unify unix/fcntl.h, cloexec.h, and nonblock.h into new unix.h

 INSTHIER               |  6 +++---
 include/unix.h         | 15 +++++++++++++++
 net/connect4_timeout.c |  2 +-
 net/connect6_timeout.c |  2 +-
 net/connectu_timeout.c |  2 +-
 unix/cloexec_off.c     |  3 +--
 unix/cloexec_on.c      |  3 +--
 unix/fcntl.c           |  2 +-
 unix/fcntl.h           |  9 ---------
 unix/fcntl_fd_off.c    |  2 +-
 unix/fcntl_fd_on.c     |  2 +-
 unix/fcntl_fl_off.c    |  2 +-
 unix/fcntl_fl_on.c     |  2 +-
 unix/nonblock_off.c    |  3 +--
 unix/nonblock_on.c     |  3 +--
 unix/selfpipe.c        |  3 +--
 unix/signalfd.c        |  3 +--
 17 files changed, 32 insertions(+), 32 deletions(-)
 create mode 100644 include/unix.h
 delete mode 100644 unix/fcntl.h

commit 7a0d23a9e76d3d1b8f2647c8c874ffa0746ff63c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 13:33:48 2012 -0600

    reorg: Move most of the unix/*.h (except fcntl.h)
    
    Moving the fcntl.h into the build include path breaks other things that
    depend on the system fcntl.h.

 INSTHIER                     | 12 ++++++------
 {unix => include}/cloexec.h  |  0
 {unix => include}/nonblock.h |  0
 {unix => include}/selfpipe.h |  0
 {unix => include}/sig.h      |  0
 {unix => include}/signalfd.h |  0
 {unix => include}/trigger.h  |  2 +-
 net/connect4_timeout.c       |  2 +-
 net/connect6_timeout.c       |  2 +-
 net/connectu_timeout.c       |  2 +-
 unix/selfpipe.c              |  8 ++++----
 unix/signalfd.c              |  8 ++++----
 12 files changed, 18 insertions(+), 18 deletions(-)
 rename {unix => include}/cloexec.h (100%)
 rename {unix => include}/nonblock.h (100%)
 rename {unix => include}/selfpipe.h (100%)
 rename {unix => include}/sig.h (100%)
 rename {unix => include}/signalfd.h (100%)
 rename {unix => include}/trigger.h (98%)

commit fd58cf78f00915ff5293b894aa9548ab1703e3f8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 13:17:35 2012 -0600

    reorg: Remove obsolete err sources

 err/die.c     | 10 ----------
 err/err.h     | 53 -----------------------------------------------------
 err/error.c   |  7 -------
 err/message.c | 33 ---------------------------------
 err/warn.c    |  7 -------
 5 files changed, 110 deletions(-)
 delete mode 100644 err/die.c
 delete mode 100644 err/err.h
 delete mode 100644 err/error.c
 delete mode 100644 err/message.c
 delete mode 100644 err/warn.c

commit 109d03b574bb1d4c7e10c6f08bd63cb624417b52
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 12:04:20 2012 -0600

    reorg: Move all public net/*.h

 INSTHIER                   | 12 ++++++------
 {net => include}/dns.h     | 12 ++++++------
 {net => include}/ipv4.h    |  2 +-
 {net => include}/ipv6.h    |  2 +-
 {net => include}/resolve.h |  0
 {net => include}/socket.h  |  0
 net/connect4_timeout.c     |  2 +-
 net/connect6_timeout.c     |  2 +-
 net/connectu_timeout.c     |  2 +-
 9 files changed, 17 insertions(+), 17 deletions(-)
 rename {net => include}/dns.h (98%)
 rename {net => include}/ipv4.h (97%)
 rename {net => include}/ipv6.h (96%)
 rename {net => include}/resolve.h (100%)
 rename {net => include}/socket.h (100%)

commit 2bafa72f2e9754c4aecd1d4ab8dc5a9170550cc9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 11:58:21 2012 -0600

    reorg: Merge all of fmt/*.h into one new fmt.h header

 INSTHIER                      |  6 +++---
 bg-installer.c                |  2 +-
 fmt/char.c                    |  2 +-
 fmt/chars.c                   |  2 +-
 fmt/lcase.c                   |  2 +-
 fmt/misc.h                    | 27 ---------------------------
 fmt/multi.c                   |  6 +++---
 fmt/multi.h                   | 27 ---------------------------
 fmt/pad.c                     |  2 +-
 fmt/sdec.c                    |  2 +-
 fmt/sign_pad.c                |  2 +-
 fmt/slldec.c                  |  2 +-
 fmt/sllnum.c                  |  2 +-
 fmt/snum.c                    |  2 +-
 fmt/ucase.c                   |  2 +-
 fmt/udec.c                    |  2 +-
 fmt/uhexl.c                   |  2 +-
 fmt/uhexu.c                   |  2 +-
 fmt/ulldec.c                  |  2 +-
 fmt/ullhexl.c                 |  2 +-
 fmt/ullhexu.c                 |  2 +-
 fmt/ullnum.c                  |  2 +-
 fmt/unum.c                    |  2 +-
 fmt/number.h => include/fmt.h | 32 ++++++++++++++++++++++++++++++++
 iobuf/obuf_putf.c             |  2 +-
 misc/random.c                 |  2 +-
 misc/strtou.c                 |  2 +-
 misc/utoa.c                   |  2 +-
 misc/utoa2.c                  |  2 +-
 net/dns_name4_domain.c        |  2 +-
 net/dns_name6_domain.c        |  2 +-
 str/catf.c                    |  2 +-
 str/copyf.c                   |  2 +-
 33 files changed, 66 insertions(+), 88 deletions(-)
 delete mode 100644 fmt/misc.h
 delete mode 100644 fmt/multi.h
 rename fmt/number.h => include/fmt.h (82%)

commit 7f22db9bd48ead7286ddfb879de33ee93acaa945
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 11:47:27 2012 -0600

    reorg: Move dict/dict.h and merge in dict/load.h

 INSTHIER                 |  4 ++--
 dict/load.h              | 11 -----------
 dict/load_list.c         |  1 -
 dict/load_map.c          |  1 -
 {dict => include}/dict.h |  7 ++++++-
 5 files changed, 8 insertions(+), 16 deletions(-)
 delete mode 100644 dict/load.h
 rename {dict => include}/dict.h (77%)

commit 2851d2658124bf99d2c4bc1dc6d58a4997d46075
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 11:41:08 2012 -0600

    reorg: Move path/path.h

 INSTHIER                 | 2 +-
 bg-installer.c           | 2 +-
 {path => include}/path.h | 2 +-
 instlib/installer.c      | 2 +-
 selftest-cmp.c           | 2 +-
 selftest.c               | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)
 rename {path => include}/path.h (96%)

commit 8c43a790beba192c6f3df0530ee08b8ba5d208b9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 11:28:15 2012 -0600

    reorg: Move adt/*.h

 INSTHIER                             | 7 +++----
 adt/adt_sp.c                         | 2 +-
 adt/hashb.c                          | 2 +-
 adt/hashs.c                          | 2 +-
 adt/common.h => include/adt_common.h | 0
 {adt => include}/ghash.h             | 2 +-
 {adt => include}/gqueue.h            | 2 +-
 {adt => include}/gstack.h            | 2 +-
 8 files changed, 9 insertions(+), 10 deletions(-)
 rename adt/common.h => include/adt_common.h (100%)
 rename {adt => include}/ghash.h (99%)
 rename {adt => include}/gqueue.h (98%)
 rename {adt => include}/gstack.h (98%)

commit 3888e254f9313c160c6c2acab63a59804043965c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 10:36:27 2012 -0600

    reorg: Move cli/cli.h

 INSTHIER               | 2 +-
 bg-installer.c         | 2 +-
 cli-generate.pl        | 2 +-
 {cli => include}/cli.h | 0
 4 files changed, 3 insertions(+), 3 deletions(-)
 rename {cli => include}/cli.h (100%)

commit 63bf8ad16afd3452d22315a3fd76760caba02f5b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 10:21:25 2012 -0600

    reorg: Move msg/*.h

 INSTHIER                 | 6 +++---
 bg-installer.c           | 4 ++--
 cli/help.c               | 2 +-
 cli/main.c               | 2 +-
 crc-gentab.c             | 2 +-
 {msg => include}/debug.h | 0
 {msg => include}/msg.h   | 4 ++--
 {msg => include}/wrap.h  | 0
 instlib/installer.c      | 4 ++--
 instlib/instcheck.c      | 4 ++--
 instlib/instshow.c       | 4 ++--
 path/match.c             | 2 +-
 selftest-cmp.c           | 4 ++--
 selftest.c               | 2 +-
 14 files changed, 20 insertions(+), 20 deletions(-)
 rename {msg => include}/debug.h (100%)
 rename {msg => include}/msg.h (98%)
 rename {msg => include}/wrap.h (100%)

commit c4f53f460d70cc0a183335de2ce5c1b25e78b3a1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 09:30:07 2012 -0600

    reorg: Move crypto/*.h

 INSTHIER                       | 16 ++++++++--------
 {crypto => include}/hmac.h     |  0
 {crypto => include}/md4.h      |  0
 {crypto => include}/md5.h      |  0
 {crypto => include}/sha1.h     |  3 +--
 {crypto => include}/sha256.h   |  2 +-
 {crypto => include}/sha384.h   |  4 ++--
 {crypto => include}/sha512.h   |  2 +-
 {crypto => include}/surf.h     |  4 ++--
 {crypto => include}/surfrand.h |  2 +-
 net/dns_random.c               |  2 +-
 11 files changed, 17 insertions(+), 18 deletions(-)
 rename {crypto => include}/hmac.h (100%)
 rename {crypto => include}/md4.h (100%)
 rename {crypto => include}/md5.h (100%)
 rename {crypto => include}/sha1.h (97%)
 rename {crypto => include}/sha256.h (93%)
 rename {crypto => include}/sha384.h (84%)
 rename {crypto => include}/sha512.h (94%)
 rename {crypto => include}/surf.h (89%)
 rename {crypto => include}/surfrand.h (97%)

commit 44a86b3dd33259d9e5c6d9601c67a18e57afb325
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 09:10:26 2012 -0600

    reorg: Move crc/*.h

 INSTHIER                        | 14 +++++++-------
 {crc => include}/crc16_arc.h    |  2 +-
 {crc => include}/crc16_ccitt.h  |  2 +-
 {crc => include}/crc16_xmodem.h |  2 +-
 {crc => include}/crc32.h        |  4 ++--
 {crc => include}/crc32c.h       |  2 +-
 {crc => include}/crc64.h        |  2 +-
 {crc => include}/gcrc.h         |  2 +-
 8 files changed, 15 insertions(+), 15 deletions(-)
 rename {crc => include}/crc16_arc.h (93%)
 rename {crc => include}/crc16_ccitt.h (94%)
 rename {crc => include}/crc16_xmodem.h (94%)
 rename {crc => include}/crc32.h (90%)
 rename {crc => include}/crc32c.h (94%)
 rename {crc => include}/crc64.h (96%)
 rename {crc => include}/gcrc.h (95%)

commit 2204474938e1d53306b4428ba134eb17f9d1b587
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 09:03:45 2012 -0600

    reorg: Move base64/base64.h

 INSTHIER                     | 2 +-
 {base64 => include}/base64.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
 rename {base64 => include}/base64.h (96%)

commit 16a03900797e89b4d798ce4750e253e23f59dd88
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 09:00:28 2012 -0600

    reorg: Move str/env.h to envstr.h

 INSTHIER                      | 2 +-
 str/env.h => include/envstr.h | 0
 str/env_find.c                | 2 +-
 str/env_from_array.c          | 2 +-
 str/env_from_string.c         | 2 +-
 str/env_get.c                 | 2 +-
 str/env_make_array.c          | 2 +-
 str/env_put.c                 | 2 +-
 str/env_set.c                 | 2 +-
 str/env_unset.c               | 2 +-
 10 files changed, 9 insertions(+), 9 deletions(-)
 rename str/env.h => include/envstr.h (100%)

commit c40e05baca83a4461beb88cace970c0912c921a7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 08:40:27 2012 -0600

    reorg: Move str/iter.h

 INSTHIER                        | 2 +-
 bg-installer.c                  | 2 +-
 str/iter.h => include/striter.h | 0
 net/dns_mx.c                    | 2 +-
 net/dns_name4.c                 | 2 +-
 net/dns_name6.c                 | 2 +-
 net/dns_resolvconfip.c          | 2 +-
 net/dns_resolvconfrewrite.c     | 2 +-
 path/match.c                    | 2 +-
 str/env_find.c                  | 2 +-
 str/env_get.c                   | 2 +-
 str/env_make_array.c            | 2 +-
 str/iter_advance.c              | 2 +-
 str/iter_start.c                | 2 +-
 str/iter_valid.c                | 2 +-
 15 files changed, 14 insertions(+), 14 deletions(-)
 rename str/iter.h => include/striter.h (100%)

commit daab2ca3c06f869fbb5cdb74bb89d7f5bac0da1b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 07:35:58 2012 -0600

    reorg: Flatten out the include path
    
    This will allow internal sources to use just "filename.h" instead of
    "bglibs/filename.h"

 base64/base64.h            | 2 +-
 bg-installer.c             | 2 +-
 build-includes             | 1 +
 crypto/hmac-md5.c          | 2 +-
 crypto/hmac-sha1.c         | 2 +-
 crypto/hmac.c              | 2 +-
 crypto/md5.c               | 2 +-
 crypto/sha1.c              | 2 +-
 dict/dict.h                | 2 +-
 dict/str_free.c            | 2 +-
 fmt/chars.c                | 2 +-
 fmt/multi.c                | 2 +-
 instlib/installer.c        | 2 +-
 instlib/instcheck.c        | 2 +-
 instlib/instshow.c         | 2 +-
 net/dns.h                  | 2 +-
 path/match.c               | 2 +-
 path/path.h                | 2 +-
 selftest-cmp.c             | 2 +-
 selftest.c                 | 2 +-
 str/alloc.c                | 2 +-
 str/buildmap.c             | 2 +-
 str/case_end.c             | 2 +-
 str/case_glob.c            | 2 +-
 str/case_match.c           | 2 +-
 str/case_start.c           | 2 +-
 str/cat.c                  | 2 +-
 str/cat2s.c                | 2 +-
 str/cat3s.c                | 2 +-
 str/cat4s.c                | 2 +-
 str/cat5s.c                | 2 +-
 str/cat6s.c                | 2 +-
 str/catf.c                 | 2 +-
 str/catiw.c                | 2 +-
 str/catiwll.c              | 2 +-
 str/catns.c                | 2 +-
 str/catsllnum.c            | 2 +-
 str/catsnum.c              | 2 +-
 str/catullnum.c            | 2 +-
 str/catunum.c              | 2 +-
 str/catuw.c                | 2 +-
 str/catuwll.c              | 2 +-
 str/catxw.c                | 2 +-
 str/catxwll.c              | 2 +-
 str/cmp.c                  | 2 +-
 str/copy.c                 | 2 +-
 str/copy2s.c               | 2 +-
 str/copy3s.c               | 2 +-
 str/copy4s.c               | 2 +-
 str/copy5s.c               | 2 +-
 str/copy6s.c               | 2 +-
 str/copyf.c                | 2 +-
 str/copyns.c               | 2 +-
 str/count.c                | 2 +-
 str/countof.c              | 2 +-
 str/cut.c                  | 2 +-
 str/diff.c                 | 2 +-
 str/digits.c               | 2 +-
 str/end.c                  | 2 +-
 str/env_find.c             | 2 +-
 str/env_from_array.c       | 2 +-
 str/env_from_string.c      | 2 +-
 str/env_get.c              | 2 +-
 str/env_make_array.c       | 2 +-
 str/env_put.c              | 2 +-
 str/env_set.c              | 2 +-
 str/env_unset.c            | 2 +-
 str/findnext.c             | 2 +-
 str/findnextnot.c          | 2 +-
 str/findnextof.c           | 2 +-
 str/findprev.c             | 2 +-
 str/findprevnot.c          | 2 +-
 str/findprevof.c           | 2 +-
 str/free.c                 | 2 +-
 str/glob.c                 | 2 +-
 str/init.c                 | 2 +-
 str/iter_advance.c         | 2 +-
 str/iter_start.c           | 2 +-
 str/iter_valid.c           | 2 +-
 str/join.c                 | 2 +-
 str/lower.c                | 2 +-
 str/lstrip.c               | 2 +-
 str/match.c                | 2 +-
 str/rstrip.c               | 2 +-
 str/sort.c                 | 2 +-
 str/splice.c               | 2 +-
 str/start.c                | 2 +-
 str/subst.c                | 2 +-
 str/truncate.c             | 2 +-
 str/upper.c                | 2 +-
 str/xlate.c                | 2 +-
 vmailmgr/client.h          | 2 +-
 vmailmgr/vpwentry.h        | 2 +-
 vmailmgr/vpwentry_export.c | 2 +-
 94 files changed, 94 insertions(+), 93 deletions(-)

commit a6ca643a0ae72b5a5fc54604381dfc7831615668
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 00:23:37 2012 -0600

    reorg: Move str/str.h include

 INSTHIER                   | 2 +-
 base64/base64.h            | 2 +-
 bg-installer.c             | 2 +-
 cdb/get.c                  | 2 +-
 cdb/getnext.c              | 2 +-
 crypto/hmac-md5.c          | 2 +-
 crypto/hmac-sha1.c         | 2 +-
 crypto/hmac-sha256.c       | 2 +-
 crypto/hmac-sha384.c       | 2 +-
 crypto/hmac-sha512.c       | 2 +-
 crypto/hmac.c              | 2 +-
 crypto/md5.c               | 2 +-
 crypto/sha1.c              | 2 +-
 crypto/sha256.c            | 1 -
 crypto/sha384.c            | 1 -
 crypto/sha512.c            | 1 -
 dict/dict.h                | 2 +-
 dict/load_list.c           | 2 +-
 dict/load_map.c            | 2 +-
 dict/str_free.c            | 2 +-
 fmt/chars.c                | 2 +-
 fmt/multi.c                | 2 +-
 {str => include}/str.h     | 0
 instlib/installer.c        | 2 +-
 instlib/instcheck.c        | 2 +-
 instlib/instshow.c         | 2 +-
 iobuf/ibuf_getnetstring.c  | 2 +-
 iobuf/ibuf_getstr.c        | 2 +-
 iobuf/ibuf_getstr_crlf.c   | 2 +-
 iobuf/ibuf_openreadclose.c | 2 +-
 iobuf/ibuf_readall.c       | 2 +-
 net/dns.h                  | 2 +-
 path/match.c               | 2 +-
 path/path.h                | 2 +-
 selftest-cmp.c             | 2 +-
 selftest.c                 | 2 +-
 str/alloc.c                | 2 +-
 str/buildmap.c             | 2 +-
 str/case_end.c             | 2 +-
 str/case_glob.c            | 2 +-
 str/case_match.c           | 2 +-
 str/case_start.c           | 2 +-
 str/cat.c                  | 2 +-
 str/cat2s.c                | 2 +-
 str/cat3s.c                | 2 +-
 str/cat4s.c                | 2 +-
 str/cat5s.c                | 2 +-
 str/cat6s.c                | 2 +-
 str/catf.c                 | 2 +-
 str/catiw.c                | 2 +-
 str/catiwll.c              | 2 +-
 str/catns.c                | 2 +-
 str/catsllnum.c            | 2 +-
 str/catsnum.c              | 2 +-
 str/catullnum.c            | 2 +-
 str/catunum.c              | 2 +-
 str/catuw.c                | 2 +-
 str/catuwll.c              | 2 +-
 str/catxw.c                | 2 +-
 str/catxwll.c              | 2 +-
 str/cmp.c                  | 2 +-
 str/copy.c                 | 2 +-
 str/copy2s.c               | 2 +-
 str/copy3s.c               | 2 +-
 str/copy4s.c               | 2 +-
 str/copy5s.c               | 2 +-
 str/copy6s.c               | 2 +-
 str/copyf.c                | 2 +-
 str/copyns.c               | 2 +-
 str/count.c                | 2 +-
 str/countof.c              | 2 +-
 str/cut.c                  | 2 +-
 str/diff.c                 | 2 +-
 str/digits.c               | 2 +-
 str/end.c                  | 2 +-
 str/env_find.c             | 2 +-
 str/env_from_array.c       | 2 +-
 str/env_from_string.c      | 2 +-
 str/env_get.c              | 2 +-
 str/env_make_array.c       | 2 +-
 str/env_put.c              | 2 +-
 str/env_set.c              | 2 +-
 str/env_unset.c            | 2 +-
 str/findnext.c             | 2 +-
 str/findnextnot.c          | 2 +-
 str/findnextof.c           | 2 +-
 str/findprev.c             | 2 +-
 str/findprevnot.c          | 2 +-
 str/findprevof.c           | 2 +-
 str/free.c                 | 2 +-
 str/glob.c                 | 2 +-
 str/init.c                 | 2 +-
 str/iter_advance.c         | 2 +-
 str/iter_start.c           | 2 +-
 str/iter_valid.c           | 2 +-
 str/join.c                 | 2 +-
 str/lower.c                | 2 +-
 str/lstrip.c               | 2 +-
 str/match.c                | 2 +-
 str/rstrip.c               | 2 +-
 str/sort.c                 | 2 +-
 str/splice.c               | 2 +-
 str/start.c                | 2 +-
 str/subst.c                | 2 +-
 str/truncate.c             | 2 +-
 str/upper.c                | 2 +-
 str/xlate.c                | 2 +-
 vmailmgr/client.h          | 2 +-
 vmailmgr/vpwentry.h        | 2 +-
 vmailmgr/vpwentry_export.c | 2 +-
 110 files changed, 106 insertions(+), 109 deletions(-)
 rename {str => include}/str.h (100%)

commit d73091502ec8cc105f286bcc01c1a53bf6e282b4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 9 16:36:12 2012 -0600

    reorg: Move iobuf includes

 INSTHIER                                 | 7 +++----
 bg-installer.c                           | 6 +++---
 cdb/make.h                               | 2 +-
 cli-generate.pl                          | 2 +-
 cli/help.c                               | 2 +-
 cli/main.c                               | 2 +-
 crc-gentab.c                             | 2 +-
 crypto/hmac-sha256.c                     | 2 +-
 crypto/hmac-sha384.c                     | 2 +-
 crypto/hmac-sha512.c                     | 2 +-
 crypto/sha256.c                          | 2 +-
 crypto/sha384.c                          | 2 +-
 crypto/sha512.c                          | 2 +-
 dict/load_list.c                         | 2 +-
 dict/load_map.c                          | 2 +-
 err/message.c                            | 2 +-
 {iobuf => include}/ibuf.h                | 2 +-
 {iobuf => include}/iobuf.h               | 6 +++---
 iobuf/common.h => include/iobuf_common.h | 0
 {iobuf => include}/obuf.h                | 2 +-
 instlib/instmain.c                       | 2 +-
 instlib/instshow.c                       | 2 +-
 iobuf/ibuf_openreadclose.c               | 2 +-
 iobuf/ibuf_readall.c                     | 2 +-
 msg/common.c                             | 2 +-
 msg/commonf.c                            | 2 +-
 net/dns_resolvconfip.c                   | 2 +-
 net/dns_resolvconfrewrite.c              | 2 +-
 selftest-cmp.c                           | 2 +-
 selftest.c                               | 2 +-
 30 files changed, 35 insertions(+), 36 deletions(-)
 rename {iobuf => include}/ibuf.h (98%)
 rename {iobuf => include}/iobuf.h (80%)
 rename iobuf/common.h => include/iobuf_common.h (100%)
 rename {iobuf => include}/obuf.h (99%)

commit bfd7231332c376e0c8ab1e9da47c1564554c1c15
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 9 16:35:43 2012 -0600

    reorg: First stage, set up a new include directory for installation

 INSTHIER       | 5 ++++-
 build-includes | 1 +
 2 files changed, 5 insertions(+), 1 deletion(-)
 create mode 100644 build-includes

commit c42e26337eef86d8ad5427dee3ab0392084f926f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 15:02:33 2015 -0600

    Add a 'programs' make target

 all.spac      | 2 +-
 programs.spac | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)
 create mode 100644 programs.spac

commit e39ca61f2c8f6269707c669eb7de831ed77dbbdd
Merge: 3539286 fd77b32
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 20 13:40:12 2015 -0600

    Merge branch 'dns_struct'
    
    Conflicts:
    	net/dns_ip6.c

commit 3539286abf56c454732f8d0d171c5c52aed23075
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 20 13:37:41 2015 -0600

    net/dns_ip6: Fix bogus short header length on stack

 net/dns_ip6.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 321d0c7f379815efc5d8d3dc91fb182c6fa05013
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 20 10:08:31 2015 -0600

    crypto/surfrand: Fix selftest since words are produced in reverse order

 crypto/surfrand.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 11694eafdc0b7186c2a1e75a1fbd5faa659d2c18
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 15 17:07:43 2015 -0600

    Remove misleading DNS comment in the TODO

 TODO | 3 ---
 1 file changed, 3 deletions(-)

commit fd77b32d664886fdd8aa39c336abe671ddaee236
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 17 21:49:13 2014 -0600

    net/dns: Add test of dns_mx for site with multiple MXs

 net/dns_mx.c | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit 0b32e269b9f41bae8cea8d4bf4f37cd2d38b8b9b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 17 21:54:06 2014 -0600

    net/dns: Add dns_sort_mx routine

 libbg-net=l    |  1 +
 net/dns.h      |  2 ++
 net/dns_sort.c | 13 +++++++++++++
 3 files changed, 16 insertions(+)
 create mode 100644 net/dns_sort.c

commit 95ab280c14e07af58d2a14b6f95fea8c187fa8dc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 16 21:33:32 2014 -0600

    net/resolve: Use the DNS library internally

 libbg-net=l            |  2 +-
 net/resolve.h          |  7 ++++++-
 net/resolve_calldns.c  | 19 +++++++++++++++++++
 net/resolve_error.c    | 21 ---------------------
 net/resolve_ipv4addr.c | 23 ++++++++++++++++-------
 net/resolve_ipv4name.c | 39 +++++++++++++++++++++++++++------------
 6 files changed, 69 insertions(+), 42 deletions(-)
 create mode 100644 net/resolve_calldns.c
 delete mode 100644 net/resolve_error.c

commit 0840a5bc3ab6289702e78aaecffd9b23f96cf4b2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 16 16:46:27 2014 -0600

    net/dns: Allocate internal space for result names in single chunk

 net/dns.h             |  7 +++++--
 net/dns_ip4.c         |  7 ++++---
 net/dns_ip6.c         |  9 +++++----
 net/dns_mx.c          | 23 ++++++++++++++++-------
 net/dns_name_packet.c | 21 +++++++++++++++------
 net/dns_packet.c      | 33 +++++++++++++++++++++++----------
 net/dns_result.c      | 42 +++++++++++++++++-------------------------
 net/dns_txt.c         | 23 ++++++++++++++---------
 8 files changed, 99 insertions(+), 66 deletions(-)

commit b5d24a37845a7ce91dd13f7c605af916ef3c8b8f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 15 21:29:19 2014 -0600

    net/dns: Return results from main functions in struct dns_result

 libbg-net=l           |  1 +
 net/dns.h             | 86 +++++++++++++++++++++++++++++++++++----------------
 net/dns_ip4.c         | 46 ++++++++++++++-------------
 net/dns_ip6.c         | 53 +++++++++++++++++--------------
 net/dns_mx.c          | 41 ++++++++++++------------
 net/dns_name4.c       | 19 ++++++------
 net/dns_name6.c       | 19 +++++++-----
 net/dns_name_packet.c | 15 ++++++---
 net/dns_packet.c      | 45 +++++++++++++++++----------
 net/dns_result.c      | 61 ++++++++++++++++++++++++++++++++++++
 net/dns_txt.c         | 55 +++++++++++++++++++++++---------
 11 files changed, 297 insertions(+), 144 deletions(-)
 create mode 100644 net/dns_result.c

commit ea4b42cb233bec9360a3e3d33a907c60cbb32bc0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Apr 20 17:08:23 2014 -0600

    net/dns: Use the existing surfrand implementation

 net/dns_random.c | 58 ++++++++++----------------------------------------------
 1 file changed, 10 insertions(+), 48 deletions(-)

commit f987fcad2989465f2f6e3eca417d88e64bd51f96
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 21 12:23:45 2014 -0600

    surfrand: Change "used" counter into number of words left in output

 crypto/surfrand.c | 8 ++++----
 crypto/surfrand.h | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 4e8ef000414ae324ed08667efce66499ec6f0036
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Apr 20 17:30:24 2014 -0600

    crypto: Add surfrand_uniform function

 NEWS              |  2 ++
 crypto/surfrand.c | 22 ++++++++++++++++++++++
 crypto/surfrand.h |  1 +
 3 files changed, 25 insertions(+)

commit 7e0a61500d794d6ba8c2d653ca30c31eb03d3da9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Apr 20 17:11:42 2014 -0600

    crypto: Unroll inner loop in surfrand

 crypto/surfrand.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 7aed9fee0ae46f30d20a8e1e0d8c244cf75f6927
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 15 17:37:03 2014 -0600

    selftests: Flush output in NL(), and dump program's output when it dies

 selftest.c   | 2 +-
 selftests.sh | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 99448fbccc7a9eec83d5c3688f27c494b2618d6b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 15 16:21:02 2014 -0600

    net/dns: Add fmt_dns_domain function

 libbg-net=l            |  1 +
 net/dns.h              |  2 ++
 net/dns_domain_todot.c | 36 +++++++-----------------------------
 net/dns_fmt.c          | 44 ++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 54 insertions(+), 29 deletions(-)
 create mode 100644 net/dns_fmt.c

commit c3c65aad189c28b4a7594677bc6969a9f67afcfe
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 11 19:20:52 2014 -0600

    Rename some variables named "str" to avoid shadowed variable warnings

 crypto/md4.c      |  8 ++++----
 crypto/sha1test.c |  4 ++--
 misc/strtou.c     |  6 +++---
 net/ipv4_format.c | 32 ++++++++++++++++----------------
 net/ipv4_scan.c   | 12 ++++++------
 net/ipv6_format.c | 46 +++++++++++++++++++++++-----------------------
 6 files changed, 54 insertions(+), 54 deletions(-)

commit ec0cb420c08bca31889b30044f20cad8c7013b21
Merge: 560a7d0 402c788
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 11 17:45:48 2014 -0600

    Merge branch 'dns'

commit 402c788df8e3b2aec068eb1723a73854ef4b2889
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 10 09:01:44 2014 -0600

    net/dns: Add documentation

 net/dns.h                   | 87 ++++++++++++++++++++++++++++++++++++++++-----
 net/dns_domain.c            |  6 ++++
 net/dns_domain_fromdot.c    |  1 +
 net/dns_domain_todot.c      |  1 +
 net/dns_ip4.c               |  5 +++
 net/dns_ip6.c               |  5 +++
 net/dns_mx.c                |  5 +++
 net/dns_name4.c             |  4 +++
 net/dns_name4_domain.c      |  1 +
 net/dns_name6.c             |  4 +++
 net/dns_name6_domain.c      |  1 +
 net/dns_name_packet.c       |  1 +
 net/dns_packet.c            | 16 +++++++++
 net/dns_qualify.c           | 26 ++++++++++++++
 net/dns_random.c            |  2 ++
 net/dns_resolvconfip.c      |  3 ++
 net/dns_resolvconfrewrite.c | 18 ++++++++++
 net/dns_resolve.c           |  7 ++++
 net/dns_rotate.c            |  8 +++++
 net/dns_transmit.c          | 15 ++++++++
 net/dns_txt.c               |  5 +++
 21 files changed, 212 insertions(+), 9 deletions(-)

commit c69b5fc6051e0036f060445a0de4fd54b6f6e53e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 11 16:53:22 2014 -0600

    net/dns: Use a dns_*_r function in dns_qualify{_rules}

 net/dns.h                   |  6 ++++--
 net/dns_qualify.c           | 12 ++++++++----
 net/dns_resolvconfrewrite.c |  3 ++-
 3 files changed, 14 insertions(+), 7 deletions(-)

commit d1cb8a210d7fe2f14e51336d63bfbdc2f3d0b922
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 11 13:26:59 2014 -0600

    net/dns: Add another const marker to dns_transmit_io

 net/dns.h          | 2 +-
 net/dns_transmit.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8fedff654f6c330da94eed30a4ade0f7cb2d867e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 11 12:32:38 2014 -0600

    net/dns: Allow NULL localip in dns_transmit_start

 net/dns_resolve.c  | 4 +---
 net/dns_transmit.c | 5 ++++-
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 560a7d0e967ebdf3f845d8766182c04c41a21703
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 10 09:02:02 2014 -0600

    config.dxy: Upgrade with current version of doxygen

 config.dxy | 1793 ++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 1076 insertions(+), 717 deletions(-)

commit 61098422c2b37ff4c853a0ee775497fd374f856c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 7 15:10:57 2014 -0600

    net/dns: Add dns_ip6 function

 libbg-net=l   |  1 +
 net/dns.h     |  3 +++
 net/dns_ip6.c | 75 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 79 insertions(+)
 create mode 100644 net/dns_ip6.c

commit 96995f76aaa7126203f1ddc681ed1dc74917edee
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 7 17:23:59 2014 -0600

    net/dns: Simplify IP literal parsing in dns_ip4

 net/dns_ip4.c | 40 +++++++++-------------------------------
 1 file changed, 9 insertions(+), 31 deletions(-)

commit 50533ba2cee014876dc9c3f28c2b22cf2bef9b6f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Apr 6 01:56:21 2014 -0600

    net/dns: Add dns_name6 functions

 libbg-net=l            |  3 +++
 net/dns.h              | 11 ++++++++---
 net/dns_name4.c        | 18 +-----------------
 net/dns_name6.c        | 38 ++++++++++++++++++++++++++++++++++++++
 net/dns_name6_domain.c | 20 ++++++++++++++++++++
 net/dns_name_packet.c  | 19 +++++++++++++++++++
 6 files changed, 89 insertions(+), 20 deletions(-)
 create mode 100644 net/dns_name6.c
 create mode 100644 net/dns_name6_domain.c
 create mode 100644 net/dns_name_packet.c

commit aecf7cf49ba7876452d99b0c20a2ff58ece4ac22
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Apr 6 07:46:13 2014 -0600

    net/dns: Rename dns_sortip to dns_rotateipv4 and add dns_rotateipv6

 libbg-net=l      |  2 +-
 net/dns.h        |  4 +++-
 net/dns_ip4.c    |  2 +-
 net/dns_rotate.c | 28 ++++++++++++++++++++++++++++
 net/dns_sortip.c | 21 ---------------------
 5 files changed, 33 insertions(+), 24 deletions(-)
 create mode 100644 net/dns_rotate.c
 delete mode 100644 net/dns_sortip.c

commit 8b2b7c143f13515b1832e3f10a2e28c94e498cee
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Apr 5 08:48:33 2014 -0600

    net/dns: Merge common dns packet extraction code into new function

 net/dns.h        |  2 ++
 net/dns_ip4.c    | 38 +++++++++++++-------------------------
 net/dns_mx.c     | 46 +++++++++++++++-------------------------------
 net/dns_name4.c  | 41 ++++++++++++-----------------------------
 net/dns_packet.c | 30 ++++++++++++++++++++++++++++++
 net/dns_txt.c    | 56 ++++++++++++++++++++------------------------------------
 6 files changed, 92 insertions(+), 121 deletions(-)

commit 0006be8ac1547a8f038fe7c89a18f03b751ec57f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 14:02:11 2014 -0600

    net/dns: Add selftests

 net/dns_ip4.c               | 25 ++++++++++++++++++
 net/dns_mx.c                | 21 +++++++++++++++
 net/dns_name4.c             | 17 ++++++++++++
 net/dns_resolvconfip.c      | 64 +++++++++++++++++++++++++++++++++++++++++++++
 net/dns_resolvconfrewrite.c | 64 +++++++++++++++++++++++++++++++++++++++++++++
 net/dns_txt.c               | 14 ++++++++++
 selftest.c                  | 13 +++++++++
 7 files changed, 218 insertions(+)

commit 7134925883d63f5c8d800545f4371ef9f960df7d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 16:23:10 2014 -0600

    net/dns: Rewrite dns_ip4_qualify to be more generic, supporting other functions

 libbg-net=l                              |  2 +-
 net/dns.h                                |  4 ++--
 net/{dns_ip4_qualify.c => dns_qualify.c} | 11 ++++++-----
 3 files changed, 9 insertions(+), 8 deletions(-)
 rename net/{dns_ip4_qualify.c => dns_qualify.c} (80%)

commit 14217d7cdd49a9072f08d75d2bf2cbe61523c4e8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 14:59:02 2014 -0600

    net/dns: Support overriding location of /etc/resolv.conf with $DNSRESOLVCONF

 net/dns.h                   |  1 +
 net/dns_resolvconfip.c      | 11 ++++++++++-
 net/dns_resolvconfrewrite.c |  2 +-
 3 files changed, 12 insertions(+), 2 deletions(-)

commit d9cb4e20020f73984cca9deb4059986c3d1252c6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 14:52:05 2014 -0600

    net/dns: IP addresses in $DNSCACHEIP are separated by ',' not '.'

 net/dns_resolvconfip.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0856c67494f1c7406ef2da3b34f19541065e9961
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 13:51:09 2014 -0600

    net/dns: Eliminate another static in the main dns query paths

 net/dns_ip4.c   |  9 ++++-----
 net/dns_mx.c    | 15 ++++++++-------
 net/dns_name4.c | 10 +++++-----
 net/dns_txt.c   |  9 ++++-----
 4 files changed, 21 insertions(+), 22 deletions(-)

commit df43a7140f1288838d57f860763ab4586420e580
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 12:29:45 2014 -0600

    net/dns: Eliminate the dns_transmit_tx global, adding (semi)reentrant functions

 net/dns.h         | 16 ++++++++++++++--
 net/dns_ip4.c     | 10 ++++++----
 net/dns_mx.c      | 10 ++++++----
 net/dns_name4.c   | 10 ++++++----
 net/dns_resolve.c | 10 ++++------
 net/dns_txt.c     |  9 +++++----
 6 files changed, 41 insertions(+), 24 deletions(-)

commit e0ff3ae414cc08270a8b1df8933ed0e4ee929ff3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 11:44:11 2014 -0600

    net/dns: Convert text input parameters to char* for ease of calling

 net/dns.h             | 10 +++++-----
 net/dns_ip4.c         | 12 +++++++-----
 net/dns_ip4_qualify.c | 10 +++++-----
 net/dns_mx.c          |  4 ++--
 net/dns_txt.c         |  4 ++--
 5 files changed, 21 insertions(+), 19 deletions(-)

commit 57e8c639159d87948e801309048ce493486473b4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 11:21:13 2014 -0600

    net/dns_random: Auto-initialize on first use

 net/dns_random.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit c94c90ada9f685cc6bedfddf04da2ae6015add1c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 09:28:12 2014 -0600

    net/dns: Add defined constants for some hard-coded limits

 net/dns.h              | 9 ++++++---
 net/dns_random.c       | 2 +-
 net/dns_resolvconfip.c | 6 +++---
 net/dns_resolve.c      | 2 +-
 net/dns_transmit.c     | 6 +++---
 5 files changed, 14 insertions(+), 11 deletions(-)

commit c0aaf827bdb374218ad1f3e057b89a81133dbe5c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 08:51:56 2014 -0600

    net/dns: Convert DNS class/type constants from strings into integers

 net/dns.h          | 39 ++++++++++++++++++++-------------------
 net/dns_ip4.c      |  5 ++---
 net/dns_mx.c       |  5 ++---
 net/dns_name4.c    |  5 ++---
 net/dns_resolve.c  |  2 +-
 net/dns_transmit.c | 13 ++++++-------
 net/dns_txt.c      |  5 ++---
 7 files changed, 35 insertions(+), 39 deletions(-)

commit f2b835979e4971a804fee2df2328ba74ed2fc443
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 19:49:39 2014 -0600

    net/dns: Rewrite some string splitting loops using striter

 net/dns_resolvconfip.c      | 31 ++++++++---------
 net/dns_resolvconfrewrite.c | 81 ++++++++++++++++++++++-----------------------
 2 files changed, 53 insertions(+), 59 deletions(-)

commit e3529462f6cb7dfdaa6ac6f2f873b8c82f390eac
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 08:40:52 2014 -0600

    net/dns: Resolve some signed/unsigned char pointer issues a different way

 net/dns.h          |  2 +-
 net/dns_ip4.c      |  8 ++++----
 net/dns_mx.c       | 10 +++++-----
 net/dns_name4.c    |  6 +++---
 net/dns_packet.c   |  2 +-
 net/dns_transmit.c |  6 +++---
 net/dns_txt.c      |  6 +++---
 7 files changed, 20 insertions(+), 20 deletions(-)

commit 531b0594c8c5e7f7951cbf6f558575fc74148fad
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 19:12:10 2014 -0600

    net/dns: Eliminate some warnings

 net/dns_domain.c   | 2 +-
 net/dns_mx.c       | 4 ++--
 net/dns_resolve.c  | 2 +-
 net/dns_transmit.c | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 4a103e74ed3c3d7b9b4f375e60be66666a9aec02
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 19:03:58 2014 -0600

    net/dns: Eliminate use of DJB case library

 net/dns_domain.c      | 3 +--
 net/dns_ip4_qualify.c | 3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 4e296c3fbc545eb43dea9c08b83d638ed1541752
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 16:02:05 2014 -0600

    net/dns: Eliminate use of DNS tai/taia libraries

 net/dns.h                   | 10 ++++++----
 net/dns_random.c            | 11 ++++-------
 net/dns_resolvconfip.c      | 13 ++++++-------
 net/dns_resolvconfrewrite.c | 13 ++++++-------
 net/dns_resolve.c           | 27 ++++++++++++---------------
 net/dns_transmit.c          | 26 ++++++++++----------------
 6 files changed, 44 insertions(+), 56 deletions(-)

commit 6f08002c361911cd9d17064f33b2fd55c04b491d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 16:01:44 2014 -0600

    net/dns: Eliminate use of DJB openreadclose function

 net/dns_resolvconfip.c      | 4 ++--
 net/dns_resolvconfrewrite.c | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 2c54099a8219bb3395ae1100d1e59ab1207c4ad1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 16:01:28 2014 -0600

    net/dns: Eliminate use of DJB ip4+socket libraries, and use ipv4addr addresses

 net/dns.h              | 15 ++++++++-------
 net/dns_ip4.c          |  2 +-
 net/dns_name4.c        |  2 +-
 net/dns_name4_domain.c | 10 +++++-----
 net/dns_resolvconfip.c | 26 ++++++++++++--------------
 net/dns_resolve.c      |  6 ++++--
 net/dns_sortip.c       | 10 +++++-----
 net/dns_transmit.c     | 20 ++++++++++----------
 8 files changed, 46 insertions(+), 45 deletions(-)

commit 5cf915ab0e99cb7931d4cdfed2722d12007d5e6e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 16:00:59 2014 -0600

    net/dns: Internalize DJB iopause library

 net/dns.h          |  6 +++---
 net/dns_resolve.c  | 26 ++++++++++++++++++++++++--
 net/dns_transmit.c |  8 ++++----
 3 files changed, 31 insertions(+), 9 deletions(-)

commit d1d05c399e518ed54a24e814f4cce1f74dd26562
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 16:00:19 2014 -0600

    net/dns: Eliminate use of DJB fmt library

 net/dns_name4_domain.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 559fb8db6ea598e5a625c28b28ecb5a3c4a38aa5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 16:00:00 2014 -0600

    net/dns: Eliminate use of DJB error library

 net/dns_domain.c         |  2 +-
 net/dns_domain_fromdot.c |  4 ++--
 net/dns_packet.c         |  9 +++++----
 net/dns_transmit.c       | 14 +++++++-------
 4 files changed, 15 insertions(+), 14 deletions(-)

commit 2c2b6cf2831755b2c50b260962e21fb94acec6b7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:59:42 2014 -0600

    net/dns: Eliminate use of DJB env library

 net/dns_resolvconfip.c      | 4 ++--
 net/dns_resolvconfrewrite.c | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 648359defc9101a802e42c49406255cc6b90e1ad
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:59:26 2014 -0600

    net/dns: Eliminate use of DJB byte library

 net/dns_domain.c            |  4 ++--
 net/dns_domain_fromdot.c    |  8 ++++----
 net/dns_ip4.c               |  7 ++++---
 net/dns_ip4_qualify.c       | 18 ++++++++++--------
 net/dns_mx.c                |  7 ++++---
 net/dns_name4.c             |  7 ++++---
 net/dns_name4_domain.c      |  5 +++--
 net/dns_resolvconfip.c      | 11 ++++++-----
 net/dns_resolvconfrewrite.c |  9 +++++----
 net/dns_resolve.c           |  3 ++-
 net/dns_sortip.c            |  9 +++++----
 net/dns_transmit.c          | 26 +++++++++++++-------------
 net/dns_txt.c               |  7 ++++---
 13 files changed, 66 insertions(+), 55 deletions(-)

commit 7ee4b144703dfc870f7aa182a7746da3e7c304a7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:59:01 2014 -0600

    net/dns: Eliminate use of DJB alloc library

 net/dns_domain.c         |  9 +++++----
 net/dns_domain_fromdot.c |  7 ++++---
 net/dns_transmit.c       | 19 ++++++++++---------
 3 files changed, 19 insertions(+), 16 deletions(-)

commit 4ff8f67091a4b2398cdaac12a6a9f779b3569a2d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:58:42 2014 -0600

    net/dns: Eliminate use of DJB uint## libraries

 net/dns_ip4.c      | 4 ++--
 net/dns_mx.c       | 4 ++--
 net/dns_name4.c    | 4 ++--
 net/dns_random.c   | 4 ++--
 net/dns_transmit.c | 2 +-
 net/dns_txt.c      | 4 ++--
 6 files changed, 11 insertions(+), 11 deletions(-)

commit fb786466d0fcfc17d4d63ec2a636050b2add5589
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:58:21 2014 -0600

    net/dns: Eliminate use of DJB stralloc library

 net/dns.h                   | 26 ++++++++++----------
 net/dns_domain_todot.c      | 11 ++++-----
 net/dns_ip4.c               | 13 +++++-----
 net/dns_ip4_qualify.c       | 13 +++++-----
 net/dns_mx.c                | 11 ++++-----
 net/dns_name4.c             |  7 +++---
 net/dns_resolvconfip.c      |  4 ++--
 net/dns_resolvconfrewrite.c | 58 ++++++++++++++++++++++-----------------------
 net/dns_txt.c               |  9 ++++---
 9 files changed, 73 insertions(+), 79 deletions(-)

commit 886c72d936a315a1d9af2f69d78f46e22b1c7f24
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:57:58 2014 -0600

    net/dns: Eliminate use of DJB str library

 net/dns_ip4_qualify.c       | 9 ++++++---
 net/dns_resolvconfrewrite.c | 9 +++++----
 2 files changed, 11 insertions(+), 7 deletions(-)

commit 0c4ec4bdf8c95da00983e67d97fdd12d2da85449
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 20:01:23 2014 -0600

    net/dns: Rename several files to more descriptive names

 libbg-net=l                                 | 16 ++++++++--------
 net/dns.h                                   |  2 +-
 net/{dns_dfd.c => dns_domain_fromdot.c}     |  0
 net/{dns_dtda.c => dns_domain_todot.c}      |  0
 net/{dns_ip.c => dns_ip4.c}                 |  0
 net/{dns_ipq.c => dns_ip4_qualify.c}        |  0
 net/{dns_name.c => dns_name4.c}             |  4 ++--
 net/{dns_nd.c => dns_name4_domain.c}        |  0
 net/{dns_rcip.c => dns_resolvconfip.c}      |  0
 net/{dns_rcrw.c => dns_resolvconfrewrite.c} |  0
 10 files changed, 11 insertions(+), 11 deletions(-)
 rename net/{dns_dfd.c => dns_domain_fromdot.c} (100%)
 rename net/{dns_dtda.c => dns_domain_todot.c} (100%)
 rename net/{dns_ip.c => dns_ip4.c} (100%)
 rename net/{dns_ipq.c => dns_ip4_qualify.c} (100%)
 rename net/{dns_name.c => dns_name4.c} (87%)
 rename net/{dns_nd.c => dns_name4_domain.c} (100%)
 rename net/{dns_rcip.c => dns_resolvconfip.c} (100%)
 rename net/{dns_rcrw.c => dns_resolvconfrewrite.c} (100%)

commit a39a5057da01aa78213a3b2069555b47b70c12d7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:55:54 2014 -0600

    net: Initial commit of DNS library, copied from public domain djbdns-1.05

 INSTHIER           |   1 +
 NEWS               |   2 +
 libbg-net=l        |  16 +++
 net/dns.h          |  84 ++++++++++++
 net/dns_dfd.c      |  69 ++++++++++
 net/dns_domain.c   |  74 +++++++++++
 net/dns_dtda.c     |  35 +++++
 net/dns_ip.c       |  75 +++++++++++
 net/dns_ipq.c      |  71 +++++++++++
 net/dns_mx.c       |  49 +++++++
 net/dns_name.c     |  48 +++++++
 net/dns_nd.c       |  24 ++++
 net/dns_packet.c   |  77 +++++++++++
 net/dns_random.c   |  63 +++++++++
 net/dns_rcip.c     |  86 +++++++++++++
 net/dns_rcrw.c     | 131 +++++++++++++++++++
 net/dns_resolve.c  |  29 +++++
 net/dns_sortip.c   |  20 +++
 net/dns_transmit.c | 366 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 net/dns_txt.c      |  59 +++++++++
 20 files changed, 1379 insertions(+)
 create mode 100644 net/dns.h
 create mode 100644 net/dns_dfd.c
 create mode 100644 net/dns_domain.c
 create mode 100644 net/dns_dtda.c
 create mode 100644 net/dns_ip.c
 create mode 100644 net/dns_ipq.c
 create mode 100644 net/dns_mx.c
 create mode 100644 net/dns_name.c
 create mode 100644 net/dns_nd.c
 create mode 100644 net/dns_packet.c
 create mode 100644 net/dns_random.c
 create mode 100644 net/dns_rcip.c
 create mode 100644 net/dns_rcrw.c
 create mode 100644 net/dns_resolve.c
 create mode 100644 net/dns_sortip.c
 create mode 100644 net/dns_transmit.c
 create mode 100644 net/dns_txt.c

commit dfb477f7843efa3ea530b42f1b94afa022e3322c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 9 17:11:07 2014 -0600

    net: Eliminate strict-aliasing warnings in recvfd and sendfd

 net/recvfd.c | 4 +++-
 net/sendfd.c | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 20d18d40dbc408f8db1a34813faaa54fdc36f747
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 9 17:09:56 2014 -0600

    crypto: Use uint32_pack_lsb to eliminate strict-aliasing warning

 crypto/md4.c | 14 +++++++-------
 crypto/md5.c | 16 +++++++++-------
 2 files changed, 16 insertions(+), 14 deletions(-)

commit bbfe4a4121144e64467211c2304a7d041a4453aa
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 9 11:16:09 2014 -0600

    path: Simplify fnmatch selftest

 path/fnmatch.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 65f577ac24d61643b63d86273d1caefaf54eba4d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 8 08:33:09 2014 -0600

    selftests: Compare results using a new selftest-cmp program
    
    This new program optionally compares expected output with fnmatch style
    patterns, allowing for more flexible result testing in the presence of
    varying results.

 .gitignore     |   1 +
 path/match.c   |  12 +++----
 selftest-cmp.c | 102 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 selftest-cmp=x |   2 ++
 selftests.sh   |   7 ++--
 selftests.spac |   2 +-
 6 files changed, 116 insertions(+), 10 deletions(-)
 create mode 100644 selftest-cmp.c
 create mode 100644 selftest-cmp=x

commit 7fe38d75e20165e14581cc23118df831a7aedc95
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 7 17:35:19 2014 -0600

    net: Switch IPv6 output format to use IETF recommended lower-case

 net/ipv6_format.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit ee3580afdaad3a0d08f8898b07afc60407f10c89
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 7 15:07:52 2014 -0600

    net: Rename ipv6_isv4addr to ipv6_isv4mapped

 net/ipv6.h      | 2 +-
 net/ipv6_addr.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 21a3c799ab5a1131c3e408fcc745dcabbe546713
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Apr 6 01:39:18 2014 -0600

    net/ipv6: Add bits to test for IPv4-in-IPv6 addresses

 net/ipv6.h      |  2 ++
 net/ipv6_addr.c | 10 ++++++++++
 2 files changed, 12 insertions(+)

commit f897b39c8e6ca028ac4703f4b377ecbce429888a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Apr 5 19:46:29 2014 -0600

    net/ipv6: Fix typos in IPV6ADDR constants

 net/ipv6_addr.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4b44336d9fc733d53b38f1ae2f3fe3926c7e9975
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Apr 5 16:42:01 2014 -0600

    net: Fix typo in ipv6 header

 net/ipv6.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd33c6cafafe59ece6ed2580bc4a41e05567af81
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 14:38:32 2014 -0600

    Automatically #include "selftest.c" when compiling for selftests

 adt/ghash_test.c          | 1 -
 adt/gqueue_test.c         | 1 -
 adt/gstack_test.c         | 1 -
 crc/gcrc16fwd.c           | 1 -
 crc/gcrc16rfl.c           | 1 -
 crc/gcrc32rfl.c           | 1 -
 crc/gcrc64fwd.c           | 1 -
 crypto/hmac-md5.c         | 3 +--
 crypto/hmac-sha1.c        | 1 -
 crypto/hmac-sha256.c      | 4 +---
 crypto/hmac-sha384.c      | 4 +---
 crypto/hmac-sha512.c      | 4 +---
 crypto/md4.c              | 3 +--
 crypto/md5.c              | 3 +--
 crypto/sha1.c             | 1 -
 crypto/sha1test.c         | 3 +--
 crypto/sha256.c           | 4 +---
 crypto/sha384.c           | 4 +---
 crypto/sha512.c           | 4 +---
 crypto/surf.c             | 1 -
 crypto/surfrand.c         | 1 -
 fmt/char.c                | 1 -
 fmt/chars.c               | 1 -
 fmt/multi.c               | 1 -
 fmt/sign_pad.c            | 1 -
 fmt/sllnum.c              | 1 -
 fmt/snum.c                | 1 -
 fmt/ullnum.c              | 1 -
 fmt/unum.c                | 1 -
 iobuf/ibuf_getc.c         | 1 -
 iobuf/ibuf_getnetstring.c | 1 -
 iobuf/ibuf_gets.c         | 1 -
 iobuf/ibuf_getstr_crlf.c  | 1 -
 iobuf/iobuf_init.c        | 1 -
 iobuf/obuf_put2s.c        | 1 -
 iobuf/obuf_put3s.c        | 1 -
 iobuf/obuf_put4s.c        | 1 -
 iobuf/obuf_put5s.c        | 1 -
 iobuf/obuf_put6s.c        | 1 -
 iobuf/obuf_put7s.c        | 1 -
 iobuf/obuf_putf.c         | 1 -
 iobuf/obuf_putns.c        | 1 -
 iobuf/obuf_putsllnumw.c   | 1 -
 iobuf/obuf_putsnumw.c     | 1 -
 iobuf/obuf_putullnumw.c   | 1 -
 iobuf/obuf_putunumw.c     | 1 -
 iobuf/obuf_sign_pad.c     | 1 -
 iobuf/obuf_write.c        | 1 -
 misc/strtou.c             | 1 -
 misc/ucspi.c              | 1 -
 misc/utoa.c               | 1 -
 misc/utoa2.c              | 1 -
 msg/common.c              | 1 -
 msg/commonf.c             | 1 -
 msg/wrap_alloc.c          | 1 -
 msg/wrap_chdir.c          | 1 -
 msg/wrap_str.c            | 1 -
 net/connect4.c            | 1 -
 net/ipv4_format.c         | 1 -
 net/ipv4_scan.c           | 1 -
 net/ipv6_format.c         | 1 -
 net/ipv6_scan.c           | 1 -
 net/tcp4.c                | 1 -
 path/fnmatch.c            | 1 -
 path/match.c              | 1 -
 path/merge.c              | 1 -
 selftest.c                | 6 +++++-
 selftests.sh              | 2 +-
 str/alloc.c               | 1 -
 str/case_end.c            | 1 -
 str/case_glob.c           | 1 -
 str/case_match.c          | 1 -
 str/case_start.c          | 1 -
 str/cat2s.c               | 1 -
 str/cat3s.c               | 1 -
 str/cat4s.c               | 1 -
 str/cat5s.c               | 1 -
 str/cat6s.c               | 1 -
 str/catf.c                | 1 -
 str/catns.c               | 1 -
 str/copy.c                | 1 -
 str/copy2s.c              | 1 -
 str/copy3s.c              | 1 -
 str/copy4s.c              | 1 -
 str/copy5s.c              | 1 -
 str/copy6s.c              | 1 -
 str/copyf.c               | 1 -
 str/copyns.c              | 1 -
 str/end.c                 | 1 -
 str/env_find.c            | 1 -
 str/env_from_array.c      | 1 -
 str/env_from_string.c     | 1 -
 str/env_get.c             | 1 -
 str/env_make_array.c      | 1 -
 str/env_put.c             | 1 -
 str/env_set.c             | 1 -
 str/env_unset.c           | 1 -
 str/findnext.c            | 1 -
 str/findnextof.c          | 1 -
 str/findprev.c            | 1 -
 str/findprevnot.c         | 1 -
 str/findprevof.c          | 1 -
 str/free.c                | 1 -
 str/glob.c                | 1 -
 str/init.c                | 1 -
 str/join.c                | 1 -
 str/match.c               | 1 -
 str/splice.c              | 1 -
 str/start.c               | 1 -
 str/xlate.c               | 1 -
 unix/fcntl.c              | 1 -
 unix/selfpipe.c           | 1 -
 unix/signalfd.c           | 1 -
 113 files changed, 16 insertions(+), 129 deletions(-)

commit 45d7ad76e8346e8ea1a3373d1cbdd40930d35708
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 18:12:30 2014 -0600

    Add a template CLI source file for reference documentation

 EXTRADIST    |  1 +
 template.cli | 93 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)
 create mode 100644 EXTRADIST
 create mode 100644 template.cli

commit c17e8d5c6e95e25c6e4d8bbe010901925ab27dac
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 13:40:38 2014 -0600

    bg-installer: Use cli-generate to make/install a man page

 %.1.spac   | 7 +++++++
 .gitignore | 1 +
 INSTHIER   | 1 +
 all.spac   | 2 +-
 man.spac   | 1 +
 5 files changed, 11 insertions(+), 1 deletion(-)
 create mode 100644 %.1.spac
 create mode 100644 man.spac

commit 39adf3d2e51edb549b10c14ebfd90acd843237b9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 10:18:30 2014 -0600

    bg-installer: Use cli-generate to generate CLI interface

 %-cli.c.spac     |   2 +
 %-cli.h.spac     |   2 +
 .gitignore       |   1 +
 bg-installer.c   |  77 +-------------------------------
 bg-installer.cli | 134 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 141 insertions(+), 75 deletions(-)
 create mode 100644 %-cli.c.spac
 create mode 100644 %-cli.h.spac
 create mode 100644 bg-installer.cli

commit e52a6ecd884ca7579c59000167adda8c32e5792a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 07:51:44 2014 -0600

    cli-generate: Rewrite text section parsing to add support for itemize and enumerate

 NEWS            |   2 +
 cli-generate.pl | 178 +++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 108 insertions(+), 72 deletions(-)

commit 732e56e61640d840ac94dbbf434aae2c501838a5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 31 12:26:56 2014 -0600

    cli-generate: Fix HTML output of @example sections

 cli-generate.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ba113c602615e9184d1c30ba2363732413461e2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 27 10:25:40 2014 -0600

    Don't warn about unused return values

 conf-cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 823a31387eb4bfe8d6e7aad2b43c3dcd0175783f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 27 10:18:40 2014 -0600

    cli-generate: Fix handling of sections in HTML output

 cli-generate.pl | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0e36002d3a64e7615e2f6787e5fcaff8797e54ca
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 22 10:24:36 2014 -0600

    cli-generate: Parse tags in more places for C and man output

 cli-generate.pl | 30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)

commit c7acae9d1483fbf48c2eef79a74c27bddeaef987
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 21 14:30:45 2014 -0600

    sys/getpeereid.c: Eliminate a parameter warning

 sys/getpeereid.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 5180a6b69bf7f29f9aaa49afd9dad82682c7f153
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 21 14:26:36 2014 -0600

    README: Note development is on GitHub

 README.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 60b060c321ea37c8604edd3e04c592152fcee6ec
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 00:18:24 2012 -0600

    Ignore ltcompile and ltload instead of libcompile

 .gitignore | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a877158bbd1b332463ff44d0df48db6bec76cfc9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 00:16:43 2012 -0600

    bg-installer: Add support for substitutions in the dest filename

 NEWS           |  2 +-
 bg-installer.c | 50 +++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 46 insertions(+), 6 deletions(-)

commit 3dd689f38392fac4f104bfe70a4a0ca82beef3e0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 10 00:04:36 2012 -0600

    bg-installer: Tweak makepath to take a destination string parameter

 bg-installer.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit ff30912d1853ab2c2854469282174fa19ca95277
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 9 23:56:59 2012 -0600

    bg-installer: Add wildcard handling
    
    If the source filename has wildcards, the line is repeated once for each
    matching filename.  Not too useful as it stands right now, substitution
    is coming.

 NEWS           |  2 ++
 bg-installer.c | 34 +++++++++++++++++++++++++++++-----
 2 files changed, 31 insertions(+), 5 deletions(-)

commit e4cfd39730886dd45a0e5d21fad677bcbbf7105e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 9 17:18:49 2012 -0600

    bg-installer: Reorganize the main loop

 bg-installer.c | 163 ++++++++++++++++++++++++++++++---------------------------
 1 file changed, 87 insertions(+), 76 deletions(-)

commit 4e5067da2bb2b439c4c93965c7866498d4577e8b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 9 16:27:38 2012 -0600

    instlib: Fix compile problem with conflicting redefinition of opendir
    
    The system include <dirent.h> declares opendir, but the declaration in
    instlib/installer.h conflicts.  The naming choice on my part was
    unfortunate.

 instlib/installer.c | 3 +++
 instlib/instcheck.c | 3 +++
 instlib/instshow.c  | 3 +++
 3 files changed, 9 insertions(+)

commit f1e11652275d7f8d2f034d35c8f4cdf19c328028
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 4 09:01:37 2012 -0600

    msg: Mark die functions as "noreturn"
    
    This can fix warnings where a die will effectively terminate a loop or
    function but the compiler doesn't see that.

 msg/msg.h | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 7f53b6143caf835e5231b8599ea5253db631446c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 4 10:19:24 2011 -0600

    sysdeps.h: Add test for noreturn attribute

 sys/hasnoreturn.h0 | 2 ++
 sys/hasnoreturn.h1 | 2 ++
 sys/trynoreturn.c  | 1 +
 sysdeps.h.spac     | 3 ++-
 4 files changed, 7 insertions(+), 1 deletion(-)
 create mode 100644 sys/hasnoreturn.h0
 create mode 100644 sys/hasnoreturn.h1
 create mode 100644 sys/trynoreturn.c

commit 399527ffb98a858602115bb5296711402fd61cab
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Dec 28 14:51:23 2010 -0600

    Add TODO note about better hash functions

 TODO | 4 ++++
 1 file changed, 4 insertions(+)

commit a40c0baaf9876a4918661faa543659a63c5e6aad
Author: Jorge Valdes <jvaldes@intercom.com.sv>
Date:   Tue Dec 28 12:01:38 2010 -0600

    net: Add reversed IPv4 format functions.

 NEWS              |  1 +
 net/ipv4.h        |  2 ++
 net/ipv4_format.c | 49 +++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 50 insertions(+), 2 deletions(-)

commit 02ba61d3f543a082c887332bebd10c00b3c780a7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Dec 27 23:14:09 2010 -0600

    fmt: Add support for calling arbitrary functions within fmt_multiv

 NEWS        |  2 ++
 fmt/multi.c | 24 ++++++++++++++++++++++--
 fmt/multi.h |  6 ++++++
 3 files changed, 30 insertions(+), 2 deletions(-)

commit 0077ff52231432ea513671739aa7923c1f12c774
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Dec 28 08:58:13 2010 -0600

    Upgrade the Doxygen config for version 1.5.8

 config.dxy | 394 ++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 297 insertions(+), 97 deletions(-)

commit d898a5d147471b030dd61e396edf5cb7fe1b00b7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Dec 1 14:06:59 2010 -0600

    str: Add str_end* and str_case_end* functions

 NEWS                             |  3 +++
 libbg-str=l                      |  2 ++
 str/{case_start.c => case_end.c} | 42 +++++++++++++++++++++-------------------
 str/{start.c => end.c}           | 40 ++++++++++++++++++++------------------
 str/str.h                        |  8 ++++++++
 5 files changed, 56 insertions(+), 39 deletions(-)
 copy str/{case_start.c => case_end.c} (59%)
 copy str/{start.c => end.c} (56%)

commit 8f99f273495b4ec00a4458e00b6e83e44e8191c5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Dec 1 13:59:57 2010 -0600

    Start new version

 NEWS    | 3 +++
 VERSION | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 48e3e9a260458d2164f5713f5cf511952a706995
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Feb 16 11:10:55 2009 -0600

    Fixed installation of msg/debug.h header file.

 INSTHIER  | 2 +-
 NEWS      | 2 ++
 msg/msg.h | 2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 37524bfa95089fbebeecbd8e38c37f2ddc1efe3f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Feb 16 11:05:56 2009 -0600

    Bumped version to 1.106

 NEWS    | 5 +++++
 VERSION | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit a230cb4435b70ae47d29953ce5fb9f04d7af75ae
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 13 15:30:30 2009 -0600

    Use -static instead of -static-libtool-libs in =x files.
    
    It appears that -static-libtool-libs is a recent change to libtool.

 bg-installer=x | 2 +-
 crc-gentab=x   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d370a6bb82dddbe23ae3d3127499da1d7681b93e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 13 11:02:55 2009 -0600

    Fixed the copyright year in the README.

 README.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea7826ae23c10000ae5e73b07f4e66dcc2f18f42
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 13 10:55:50 2009 -0600

    Bumped LIBVERSION for release.

 LIBVERSION | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e13c7bce59d2b830261b798297b3d5c5c5de26e1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 12 19:32:46 2009 -0600

    Modified the build procedure to build all libraries as shared.
    
    The problems were caused by a misunderstanding of how make works.
    If a makefile contains the rule:
    
    a b:
    	doit
    
    it is 100% equivalent to:
    
    a:
    	doit
    b:
    	doit
    
    Which means that "doit" can be executed multiple times, even if "doit"
    generates the same two files.  In this case, I had rules effectively:
    
    %.lo %.o: %.c
    	./libcompile $<
    
    However, while the libraries depended on the .lo files, the crc-gentab
    program depended on the .o files, to produce a static executable.  What
    would happen is that make would occasionally try to use the .o file
    immediately before running libcompile again, which removes it.  Bleh.
    
    So, this change builds everything to libtool .lo/.la files, and links
    from there, but installs the private .a from the .libs subdirectory.
    It's a somewhat internal feature of libtool, but it works.

 INSTHIER       | 108 ++++++++++++++++++++++++++++-----------------------------
 NEWS           |   3 ++
 bg-installer=x |  15 ++++----
 crc-gentab=x   |   7 ++--
 libraries.spac |   2 +-
 5 files changed, 70 insertions(+), 65 deletions(-)

commit 9befe53a58b7c7bb7ef4f6f47457d4ddb30b9c0d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 30 10:32:54 2009 -0600

    Fixed the debug messages to not enable any by default.

 NEWS             | 2 ++
 msg/debug_bits.c | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit e59377e762616f48bc2a1f24830f8793716b3b74
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 29 23:22:20 2009 -0600

    Split off the msg/debug functions into their own header.

 INSTHIER    |  1 +
 msg/debug.h | 33 +++++++++++++++++++++++++++++++++
 msg/msg.h   | 26 +-------------------------
 3 files changed, 35 insertions(+), 25 deletions(-)
 create mode 100644 msg/debug.h

commit 1d185b8bb7ee6d58abda5cc99be9edc82f40a7ac
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 22:14:30 2009 -0600

    Fixed the newer logic in path_match to mirror shell globbing properly.

 NEWS         |  2 +-
 path/match.c | 59 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 31 insertions(+), 30 deletions(-)

commit 4e0ee714d2ad5fca971342c19b7ea7cdfc6865fd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 16:54:00 2009 -0600

    Fixed a signed/unsigned comparison warning in envstr_unset.

 str/env_unset.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b98013dcedc8f69e5a0b0f66a4f962ad1254f492
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 16:24:30 2009 -0600

    Cast pointers to unsigned long to cover both 32 and 64 bit systems.

 adt/ghash.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 06f3102b883d2f3d1c75887355e25c60444131c2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 16 11:08:19 2009 -0600

    Indicate the source file used by cli-generate in the generated files.

 NEWS            | 2 ++
 cli-generate.pl | 9 +++++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 90a9598f0c0c8287683f08940aadefc3404e6a41
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 16 11:00:54 2009 -0600

    Fixed the path_match function to match filenames containing glob chars.

 NEWS         |  3 +++
 path/match.c | 39 ++++++++++++++++++++++++++++++++++++---
 2 files changed, 39 insertions(+), 3 deletions(-)

commit c296cb6ad2fdb2165e85611b1088b3c343152cb8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 16 10:54:31 2009 -0600

    Fixed up the comments in the ?buf_copy*fd functions.

 iobuf/ibuf_copytofd.c   | 2 +-
 iobuf/obuf_copyfromfd.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 44b3d026119b00b97a1aa511f525f4a3a3dee93e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 16 10:53:52 2009 -0600

    Added a proper .gitignore file.

 .gitignore | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 .gitignore

commit 085291acf4cfc362224aad077f5105acce5fc4ad
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 16 10:53:30 2009 -0600

    Removed executable mode on spec file.

 spec | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 mode change 100755 => 100644 spec

commit 30c43b89cf313fc6ba1be732a5d192336bfee1e7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 29 14:17:29 2008 -0600

    Added sysdep for d_type in struct dirent.
    
    Also simplified the d_ino test slightly to prevent a potential
    assignment to read only location failure.

 NEWS                                 | 2 +-
 sys/hasdirenttype.h0                 | 2 ++
 sys/hasdirenttype.h1                 | 3 +++
 sys/trydirentino.c                   | 2 +-
 sys/{trydirent.c => trydirenttype.c} | 2 +-
 sysdeps.h.spac                       | 3 ++-
 6 files changed, 10 insertions(+), 4 deletions(-)
 create mode 100644 sys/hasdirenttype.h0
 create mode 100644 sys/hasdirenttype.h1
 copy sys/{trydirent.c => trydirenttype.c} (85%)

commit 06695e5d43fa890e5c04ad999a7fce780424282b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 29 14:13:24 2008 -0600

    Added sysdep for d_ino in struct dirent.

 NEWS                                | 2 ++
 sys/hasdirentino.h0                 | 2 ++
 sys/hasdirentino.h1                 | 3 +++
 sys/{trydirent.c => trydirentino.c} | 2 +-
 sysdeps.h.spac                      | 4 +++-
 5 files changed, 11 insertions(+), 2 deletions(-)
 create mode 100644 sys/hasdirentino.h0
 create mode 100644 sys/hasdirentino.h1
 copy sys/{trydirent.c => trydirentino.c} (83%)

commit a79700ba68fd3a3f8e8926fbb77330bb92cce7ae
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Apr 13 22:49:13 2008 -0600

    Fixed envstr_unset to remove all instances of the given name.

 NEWS            |  1 +
 str/env_unset.c | 17 +++++++++++------
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 6970809ba77c49f7b92c2cf5ce53b5d9f3f67adf
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Apr 13 22:48:35 2008 -0600

    Bumped version to 1.105

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit d9e3ccd1634a527f1d2d7e04332fc906c70e5bd3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 9 07:56:42 2008 -0600

    Renamed some files that differed only in upper/lower case.
    
    This should fix building on OSX.  Thanks to Amitai Schlair
    <schmonz@schmonz.com> for pointing this out.

 NEWS                        | 3 +++
 fmt/{uhex.c => uhexl.c}     | 0
 fmt/{uHex.c => uhexu.c}     | 0
 fmt/{ullhex.c => ullhexl.c} | 0
 fmt/{ullHex.c => ullhexu.c} | 0
 libbg-fmt=l                 | 8 ++++----
 6 files changed, 7 insertions(+), 4 deletions(-)
 rename fmt/{uhex.c => uhexl.c} (100%)
 rename fmt/{uHex.c => uhexu.c} (100%)
 rename fmt/{ullhex.c => ullhexl.c} (100%)
 rename fmt/{ullHex.c => ullhexu.c} (100%)

commit deb8396b303c02b60a60c9b3b107b99b57ca8582
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 11:45:55 2008 -0600

    Made note of previous changes in the NEWS.

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 96a65cc5e8f0eb83c62886b8a692be820364e639
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 4 07:33:06 2008 -0600

    Fix Require: syntax in spec file.
    
    Thanks again Giam Teck Choon

 spec | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 136d4ef275aa77992cf898a9397ad02e6a68d728
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:49:21 2008 -0600

    Bumped version to 1.104

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 68307fcfbeb6504f7130794e60110d4f2c6558f0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 15:48:57 2008 -0600

    Fixed typo in installation path of md5 library.

 INSTHIER | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8bbd07bde737018490573d0c44e5f128c1be629
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 3 11:02:04 2008 -0600

    Added missing no-bglibs control file.
    
    Without this file, spac will cause the "load" script to include
    -lbg-sysdeps, which will in turn cause all sysdeps that require linking
    to fail on systems that did not have bglibs installed previously.
    
    Thanks to Giam Teck Choon for pointing this out.

 cli-generate=pl => no-bglibs | 0
 1 file changed, 0 insertions(+), 0 deletions(-)
 copy cli-generate=pl => no-bglibs (100%)

commit 7368c8c9f479b39154d1ca2046c0362a1d19d3bc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 2 17:40:27 2008 -0600

    Include the .la files in the -devel RPM.

 spec | 1 +
 1 file changed, 1 insertion(+)
 mode change 100644 => 100755 spec

commit 13bff47d3639edbf2ec7f0e81418a9aac91f7995
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 2 17:17:10 2008 -0600

    Added missing COPYING file.

 COPYING | 504 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 504 insertions(+)
 create mode 100644 COPYING

commit 11dd311ecb64d39c76872d1dcb6e94f1111bb7c5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 2 15:59:23 2008 -0600

    Bumped up the libtool library version info.

 LIBVERSION | 40 +---------------------------------------
 1 file changed, 1 insertion(+), 39 deletions(-)

commit b05c2264bccb780f54a588c2f6ec9fea5b391474
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 2 13:53:11 2008 -0600

    Put the development libs into their own RPM.

 TODO |  6 ------
 spec | 31 +++++++++++++++++++++++++------
 2 files changed, 25 insertions(+), 12 deletions(-)

commit f2ea788317308dde569c5de5ff0574785bb9725d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 2 12:15:31 2008 -0600

    Added some self-tests for misc conversion/formatting functions.

 misc/strtou.c | 30 ++++++++++++++++++++++++++++++
 misc/utoa.c   | 27 +++++++++++++++++++++++++++
 misc/utoa2.c  | 30 ++++++++++++++++++++++++++++++
 3 files changed, 87 insertions(+)

commit eba3fd8ee02669cee4bc7302acee3f0095a3bed2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 23:40:03 2008 -0600

    Added a #include to misc/random.c to avoid a parallel compile problem.

 misc/random.c | 1 +
 1 file changed, 1 insertion(+)

commit 5888f852931dfba36acc0797f6ec546cc297ccec
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 23:39:20 2008 -0600

    Fixed up the ghash_set implementation and added a self-test.

 adt/ghash_set.c  | 15 ++++++++++++---
 adt/ghash_test.c | 13 +++++++++++--
 2 files changed, 23 insertions(+), 5 deletions(-)

commit 11cf67c687f6c8dfcffd111b072c6f113dd44ab6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 14:19:38 2008 -0600

    Fixed up typo in the systime.h build file.

 systime.h.spac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 491f24b48de64bd9309bab02444959849ef61924
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 14:07:00 2008 -0600

    Removed the now useless $Id$ tags from the source files.

 ac/dirent.h                | 1 -
 ac/time.h                  | 1 -
 ac/wait.h                  | 1 -
 adt/adt_sp.c               | 1 -
 adt/common.h               | 1 -
 adt/ghash.h                | 1 -
 adt/ghash_add.c            | 1 -
 adt/ghash_foreach.c        | 1 -
 adt/ghash_free.c           | 1 -
 adt/ghash_get.c            | 1 -
 adt/ghash_init.c           | 1 -
 adt/ghash_insert.c         | 1 -
 adt/ghash_iter.c           | 1 -
 adt/ghash_rebuild.c        | 1 -
 adt/ghash_rehash.c         | 1 -
 adt/ghash_remove.c         | 1 -
 adt/ghash_search.c         | 1 -
 adt/ghash_set.c            | 1 -
 adt/ghash_test.c           | 1 -
 adt/gqueue.h               | 1 -
 adt/gqueue_pop.c           | 1 -
 adt/gqueue_push.c          | 1 -
 adt/gqueue_test.c          | 1 -
 adt/gqueue_top.c           | 1 -
 adt/gstack.h               | 1 -
 adt/gstack_pop.c           | 1 -
 adt/gstack_push.c          | 1 -
 adt/gstack_test.c          | 1 -
 adt/gstack_top.c           | 1 -
 adt/hashb.c                | 1 -
 adt/hashs.c                | 1 -
 base64/asc2bin.c           | 1 -
 base64/base64.h            | 1 -
 base64/bin2asc.c           | 1 -
 base64/decode_line.c       | 1 -
 base64/decode_part.c       | 1 -
 base64/encode_line.c       | 1 -
 base64/encode_part.c       | 1 -
 bg-installer.c             | 1 -
 cdb++/cdb++.h              | 1 -
 cdb++/datum.h              | 1 -
 cdb++/internal.h           | 1 -
 cdb/cdb.c                  | 1 -
 cdb/cdb.h                  | 1 -
 cdb/cdbhash.c              | 1 -
 cdb/find.c                 | 1 -
 cdb/get.c                  | 1 -
 cdb/getnext.c              | 1 -
 cdb/make.c                 | 1 -
 cdb/make.h                 | 1 -
 cdb/read.c                 | 1 -
 cdb/str.h                  | 1 -
 cgi/cgi-args.h             | 1 -
 cgi/cgi-base.h             | 1 -
 cli++/cli++.h              | 1 -
 cli-generate.1             | 1 -
 cli-generate.pl            | 1 -
 cli/cli.h                  | 1 -
 cli/help.c                 | 1 -
 cli/internal.h             | 1 -
 cli/main.c                 | 1 -
 crc-gentab.c               | 1 -
 crc/crc16_arc.h            | 1 -
 crc/crc16_ccitt.h          | 1 -
 crc/crc16_xmodem.h         | 1 -
 crc/crc32.h                | 1 -
 crc/crc32c.h               | 1 -
 crc/crc64.h                | 1 -
 crc/gcrc.h                 | 1 -
 crc/gcrc16fwd.c            | 1 -
 crc/gcrc16rfl.c            | 1 -
 crc/gcrc32fwd.c            | 1 -
 crc/gcrc32rfl.c            | 1 -
 crc/gcrc64fwd.c            | 1 -
 crc/gcrc64rfl.c            | 1 -
 crypto/hmac-sha1.c         | 1 -
 crypto/hmac-sha256.c       | 1 -
 crypto/hmac-sha384.c       | 1 -
 crypto/hmac-sha512.c       | 1 -
 crypto/hmac.c              | 1 -
 crypto/md4.c               | 1 -
 crypto/md4.h               | 1 -
 crypto/md5-crypt.c         | 1 -
 crypto/md5.c               | 1 -
 crypto/md5.h               | 1 -
 crypto/sha1.c              | 1 -
 crypto/sha1.h              | 1 -
 crypto/sha1test.c          | 1 -
 crypto/sha256.c            | 1 -
 crypto/sha256.h            | 1 -
 crypto/sha384.c            | 1 -
 crypto/sha384.h            | 1 -
 crypto/sha512.c            | 1 -
 crypto/sha512.h            | 1 -
 crypto/surf.c              | 1 -
 crypto/surf.h              | 1 -
 dict/add.c                 | 1 -
 dict/dict.h                | 1 -
 dict/dicthash.c            | 1 -
 dict/foreach.c             | 1 -
 dict/free.c                | 1 -
 dict/get.c                 | 1 -
 dict/init.c                | 1 -
 dict/load.h                | 1 -
 dict/load_list.c           | 1 -
 dict/load_map.c            | 1 -
 dict/str_free.c            | 1 -
 err/die.c                  | 1 -
 err/err.h                  | 1 -
 err/error.c                | 1 -
 err/message.c              | 1 -
 err/warn.c                 | 1 -
 fdbuf/fdbuf.h              | 1 -
 fdbuf/fdibuf.h             | 1 -
 fdbuf/fdobuf.h             | 1 -
 fmt/char.c                 | 1 -
 fmt/chars.c                | 1 -
 fmt/lcase.c                | 1 -
 fmt/misc.h                 | 1 -
 fmt/multi.c                | 1 -
 fmt/multi.h                | 1 -
 fmt/number.h               | 1 -
 fmt/pad.c                  | 1 -
 fmt/sdec.c                 | 1 -
 fmt/sign_pad.c             | 1 -
 fmt/slldec.c               | 1 -
 fmt/sllnum.c               | 1 -
 fmt/snum.c                 | 1 -
 fmt/uHex.c                 | 1 -
 fmt/ucase.c                | 1 -
 fmt/udec.c                 | 1 -
 fmt/uhex.c                 | 1 -
 fmt/ullHex.c               | 1 -
 fmt/ulldec.c               | 1 -
 fmt/ullhex.c               | 1 -
 fmt/ullnum.c               | 1 -
 fmt/unum.c                 | 1 -
 instlib/installer.c        | 1 -
 instlib/installer.h        | 1 -
 instlib/instcheck.c        | 1 -
 instlib/instmain.c         | 1 -
 instlib/instshow.c         | 1 -
 iobuf/common.h             | 1 -
 iobuf/ibuf.h               | 1 -
 iobuf/ibuf_copytofd.c      | 1 -
 iobuf/ibuf_getc.c          | 1 -
 iobuf/ibuf_getnetstring.c  | 1 -
 iobuf/ibuf_gets.c          | 1 -
 iobuf/ibuf_getstr.c        | 1 -
 iobuf/ibuf_getstr_crlf.c   | 1 -
 iobuf/ibuf_getu.c          | 1 -
 iobuf/ibuf_init.c          | 1 -
 iobuf/ibuf_open.c          | 1 -
 iobuf/ibuf_openreadclose.c | 1 -
 iobuf/ibuf_peek.c          | 1 -
 iobuf/ibuf_read.c          | 1 -
 iobuf/ibuf_readall.c       | 1 -
 iobuf/ibuf_refill.c        | 1 -
 iobuf/ibuf_seek.c          | 1 -
 iobuf/ibuf_status.c        | 1 -
 iobuf/ibuf_stdin.c         | 1 -
 iobuf/ibuf_tell.c          | 1 -
 iobuf/iobuf.h              | 1 -
 iobuf/iobuf_close.c        | 1 -
 iobuf/iobuf_copy.c         | 1 -
 iobuf/iobuf_init.c         | 1 -
 iobuf/iobuf_timeout.c      | 1 -
 iobuf/obuf.h               | 1 -
 iobuf/obuf_close.c         | 1 -
 iobuf/obuf_copyfromfd.c    | 1 -
 iobuf/obuf_digits.c        | 1 -
 iobuf/obuf_endl.c          | 1 -
 iobuf/obuf_flush.c         | 1 -
 iobuf/obuf_init.c          | 1 -
 iobuf/obuf_open.c          | 1 -
 iobuf/obuf_pad.c           | 1 -
 iobuf/obuf_put2s.c         | 1 -
 iobuf/obuf_put3s.c         | 1 -
 iobuf/obuf_put4s.c         | 1 -
 iobuf/obuf_put5s.c         | 1 -
 iobuf/obuf_put6s.c         | 1 -
 iobuf/obuf_put7s.c         | 1 -
 iobuf/obuf_putc.c          | 1 -
 iobuf/obuf_putf.c          | 1 -
 iobuf/obuf_putnetstring.c  | 1 -
 iobuf/obuf_putns.c         | 1 -
 iobuf/obuf_putsflush.c     | 1 -
 iobuf/obuf_putsllnumw.c    | 1 -
 iobuf/obuf_putsnumw.c      | 1 -
 iobuf/obuf_putullnumw.c    | 1 -
 iobuf/obuf_putunumw.c      | 1 -
 iobuf/obuf_seek.c          | 1 -
 iobuf/obuf_sign_pad.c      | 1 -
 iobuf/obuf_stderr.c        | 1 -
 iobuf/obuf_stdout.c        | 1 -
 iobuf/obuf_sync.c          | 1 -
 iobuf/obuf_write.c         | 1 -
 misc/misc.h                | 1 -
 misc/random.c              | 1 -
 misc/strtou.c              | 1 -
 misc/ucspi.c               | 1 -
 misc/ucspi.h               | 1 -
 misc/utoa.c                | 1 -
 misc/utoa2.c               | 1 -
 msg/common.c               | 1 -
 msg/commonf.c              | 1 -
 msg/debug.c                | 1 -
 msg/debug_init.c           | 1 -
 msg/debugf.c               | 1 -
 msg/die.c                  | 1 -
 msg/dief.c                 | 1 -
 msg/error.c                | 1 -
 msg/errorf.c               | 1 -
 msg/msg.h                  | 1 -
 msg/oom.c                  | 1 -
 msg/warn.c                 | 1 -
 msg/warnf.c                | 1 -
 msg/wrap.h                 | 1 -
 msg/wrap_alloc.c           | 1 -
 msg/wrap_chdir.c           | 1 -
 msg/wrap_exit.c            | 1 -
 msg/wrap_str.c             | 1 -
 mystring/iter.h            | 1 -
 mystring/join.h            | 1 -
 mystring/mystring.h        | 1 -
 mystring/rep.h             | 1 -
 mystring/trace.h           | 1 -
 net/accept4.c              | 1 -
 net/accept6.c              | 1 -
 net/acceptu.c              | 1 -
 net/bind4.c                | 1 -
 net/bind6.c                | 1 -
 net/bindu.c                | 1 -
 net/broadcast.c            | 1 -
 net/cmsg.h                 | 1 -
 net/connect4.c             | 1 -
 net/connect4_timeout.c     | 1 -
 net/connect6.c             | 1 -
 net/connect6_timeout.c     | 1 -
 net/connected.c            | 1 -
 net/connectu.c             | 1 -
 net/connectu_timeout.c     | 1 -
 net/cork.c                 | 1 -
 net/getaddr4.c             | 1 -
 net/getaddr6.c             | 1 -
 net/ipv4.h                 | 1 -
 net/ipv4_addr.c            | 1 -
 net/ipv4_format.c          | 1 -
 net/ipv4_scan.c            | 1 -
 net/ipv6.h                 | 1 -
 net/ipv6_addr.c            | 1 -
 net/ipv6_format.c          | 1 -
 net/ipv6_scan.c            | 1 -
 net/linger.c               | 1 -
 net/listen.c               | 1 -
 net/notcpdelay.c           | 1 -
 net/pairdgm.c              | 1 -
 net/pairstr.c              | 1 -
 net/recv4.c                | 1 -
 net/recv6.c                | 1 -
 net/recvfd.c               | 1 -
 net/recvu.c                | 1 -
 net/resolve.h              | 1 -
 net/resolve_error.c        | 1 -
 net/resolve_ipv4addr.c     | 1 -
 net/resolve_ipv4name.c     | 1 -
 net/reuse.c                | 1 -
 net/send4.c                | 1 -
 net/send6.c                | 1 -
 net/sendfd.c               | 1 -
 net/sendu.c                | 1 -
 net/setopt.c               | 1 -
 net/shutdown.c             | 1 -
 net/socket.h               | 1 -
 net/tcp4.c                 | 1 -
 net/tcp6.c                 | 1 -
 net/udp4.c                 | 1 -
 net/udp6.c                 | 1 -
 net/uncork.c               | 1 -
 net/unixdgm.c              | 1 -
 net/unixstr.c              | 1 -
 path/contains.c            | 1 -
 path/fnmatch.c             | 1 -
 path/match.c               | 1 -
 path/merge.c               | 1 -
 path/mkdirs.c              | 1 -
 path/mktemp.c              | 1 -
 path/path.h                | 1 -
 selftest.c                 | 1 -
 str/alloc.c                | 1 -
 str/buildmap.c             | 1 -
 str/case_glob.c            | 1 -
 str/case_match.c           | 1 -
 str/case_start.c           | 1 -
 str/cat.c                  | 1 -
 str/cat2s.c                | 1 -
 str/cat3s.c                | 1 -
 str/cat4s.c                | 1 -
 str/cat5s.c                | 1 -
 str/cat6s.c                | 1 -
 str/catf.c                 | 1 -
 str/catiw.c                | 1 -
 str/catiwll.c              | 1 -
 str/catns.c                | 1 -
 str/catsllnum.c            | 1 -
 str/catsnum.c              | 1 -
 str/catullnum.c            | 1 -
 str/catunum.c              | 1 -
 str/catuw.c                | 1 -
 str/catuwll.c              | 1 -
 str/catxw.c                | 1 -
 str/catxwll.c              | 1 -
 str/cmp.c                  | 1 -
 str/copy.c                 | 1 -
 str/copy2s.c               | 1 -
 str/copy3s.c               | 1 -
 str/copy4s.c               | 1 -
 str/copy5s.c               | 1 -
 str/copy6s.c               | 1 -
 str/copyf.c                | 1 -
 str/copyns.c               | 1 -
 str/count.c                | 1 -
 str/countof.c              | 1 -
 str/cut.c                  | 1 -
 str/diff.c                 | 1 -
 str/digits.c               | 1 -
 str/env.h                  | 1 -
 str/env_find.c             | 1 -
 str/env_from_array.c       | 1 -
 str/env_from_string.c      | 1 -
 str/env_get.c              | 1 -
 str/env_make_array.c       | 1 -
 str/env_put.c              | 1 -
 str/env_set.c              | 1 -
 str/findnext.c             | 1 -
 str/findnextnot.c          | 1 -
 str/findnextof.c           | 1 -
 str/findprev.c             | 1 -
 str/findprevnot.c          | 1 -
 str/findprevof.c           | 1 -
 str/free.c                 | 1 -
 str/glob.c                 | 1 -
 str/init.c                 | 1 -
 str/iter.h                 | 1 -
 str/iter_advance.c         | 1 -
 str/iter_start.c           | 1 -
 str/iter_valid.c           | 1 -
 str/join.c                 | 1 -
 str/lower.c                | 1 -
 str/lstrip.c               | 1 -
 str/match.c                | 1 -
 str/rstrip.c               | 1 -
 str/sort.c                 | 1 -
 str/splice.c               | 1 -
 str/start.c                | 1 -
 str/str.h                  | 1 -
 str/subst.c                | 1 -
 str/truncate.c             | 1 -
 str/upper.c                | 1 -
 str/xlate.c                | 1 -
 sys/clock_gettime.c        | 1 -
 sys/getpeereid.c           | 1 -
 sys/iopoll.c               | 1 -
 sys/mkfifo.c               | 1 -
 sys/setenv.c               | 1 -
 sys/tryattribute.c         | 1 -
 sys/tryclockgettime.c      | 1 -
 sys/trydaylight.c          | 1 -
 sys/trydeprecated.c        | 1 -
 sys/trydirent.c            | 1 -
 sys/tryendian.c            | 1 -
 sys/tryflock.c             | 1 -
 sys/trygetpeereid.c        | 1 -
 sys/tryinline.c            | 1 -
 sys/tryipv6.c              | 1 -
 sys/trymkfifo.c            | 1 -
 sys/trynamedpipebug.c      | 1 -
 sys/trypeercred.c          | 1 -
 sys/trypoll.c              | 1 -
 sys/trysendfile.c          | 1 -
 sys/trysetenv.c            | 1 -
 sys/trysigaction.c         | 1 -
 sys/trysigprocmask.c       | 1 -
 sys/tryspnam.c             | 1 -
 sys/trysysselect.c         | 1 -
 sys/trysystime.c           | 1 -
 sys/trytime.c              | 1 -
 sys/trytimespec.c          | 1 -
 sys/tryulong32.c           | 1 -
 sys/tryulong64.c           | 1 -
 sys/tryunaligned.c         | 1 -
 sys/tryunsetenv.c          | 1 -
 sys/tryuserpw.c            | 1 -
 sys/tryvfork.c             | 1 -
 sys/trywaitp.c             | 1 -
 sys/tryzlib.c              | 1 -
 sys/unsetenv.c             | 1 -
 sysdeps-head.h             | 1 -
 sysdeps-tail.h             | 1 -
 uint16.h                   | 1 -
 uint16/get.c               | 1 -
 uint16/pack.c              | 1 -
 uint16/unpack.c            | 1 -
 uint32.h                   | 1 -
 uint32/get_lsb.c           | 1 -
 uint32/get_msb.c           | 1 -
 uint32/pack_lsb.c          | 1 -
 uint32/pack_msb.c          | 1 -
 uint32/unpack_lsb.c        | 1 -
 uint32/unpack_msb.c        | 1 -
 uint64.h                   | 1 -
 uint64/get_lsb.c           | 1 -
 uint64/get_msb.c           | 1 -
 uint64/pack_lsb.c          | 1 -
 uint64/pack_msb.c          | 1 -
 uint64/unpack_lsb.c        | 1 -
 uint64/unpack_msb.c        | 1 -
 uintnn.h                   | 1 -
 unix/cloexec.h             | 1 -
 unix/cloexec_off.c         | 1 -
 unix/cloexec_on.c          | 1 -
 unix/fcntl.c               | 1 -
 unix/fcntl.h               | 1 -
 unix/fcntl_fd_off.c        | 1 -
 unix/fcntl_fd_on.c         | 1 -
 unix/fcntl_fl_off.c        | 1 -
 unix/fcntl_fl_on.c         | 1 -
 unix/nonblock.h            | 1 -
 unix/nonblock_off.c        | 1 -
 unix/nonblock_on.c         | 1 -
 unix/selfpipe.c            | 1 -
 unix/selfpipe.h            | 1 -
 unix/sig.h                 | 1 -
 unix/sig_alarm.c           | 1 -
 unix/sig_all.c             | 1 -
 unix/sig_block.c           | 1 -
 unix/sig_bug.c             | 1 -
 unix/sig_catch.c           | 1 -
 unix/sig_child.c           | 1 -
 unix/sig_hup.c             | 1 -
 unix/sig_int.c             | 1 -
 unix/sig_misc.c            | 1 -
 unix/sig_pipe.c            | 1 -
 unix/sig_quit.c            | 1 -
 unix/sig_suspend.c         | 1 -
 unix/sig_term.c            | 1 -
 unix/signalfd.c            | 1 -
 unix/trigger.h             | 1 -
 unix/trigger_pull.c        | 1 -
 unix/trigger_set.c         | 1 -
 vmailmgr/client.h          | 1 -
 vmailmgr/req_arg.c         | 1 -
 vmailmgr/req_init.c        | 1 -
 vmailmgr/req_write.c       | 1 -
 vmailmgr/resp_read.c       | 1 -
 vmailmgr/vpwentry.h        | 1 -
 vmailmgr/vpwentry_export.c | 1 -
 vmailmgr/vpwentry_free.c   | 1 -
 vmailmgr/vpwentry_import.c | 1 -
 459 files changed, 459 deletions(-)

commit 8697535351f68a5c9bf9edae2bf66795469b8c6e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 13:16:00 2008 -0600

    Updated copyright notes on the crypto files.

 crypto/surf.c     | 2 +-
 crypto/surfrand.c | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 806721b9e4861956b8d1564360d9ad309f946e7a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 13:15:43 2008 -0600

    Updated the README

 README.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9e654537538af3fe933cd63cdca51d2f66911caa
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 1 12:42:19 2008 -0600

    Fixed a serious typo in the surfrand_fill function.

 crypto/surfrand.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d6765585a8647042b4959738b4306c085482478b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 31 23:22:33 2008 -0600

    Added documentation for the new surf/surfrand functions.

 config.dxy        |  1 +
 crypto/surf.c     | 20 ++++++++++++++++----
 crypto/surf.h     | 11 +++++++++++
 crypto/surfrand.c | 20 ++++++++++++++++++++
 crypto/surfrand.h | 11 +++++++++++
 5 files changed, 59 insertions(+), 4 deletions(-)

commit 368bf1149d3292779e43bfba3604e5ddb1e1d31b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 31 22:35:39 2008 -0600

    Updated the Doxygen configuration for version 1.5

 config.dxy | 140 +++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 99 insertions(+), 41 deletions(-)

commit d2852a56dd04f9b164bfc9fce0f71a1bded39b6e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 31 22:32:51 2008 -0600

    Completed the signalfd implementation and self-tests.

 INSTHIER        |  1 +
 libbg-unix=l    |  1 +
 unix/signalfd.c | 39 +++++++++++++++++++++++----------------
 3 files changed, 25 insertions(+), 16 deletions(-)

commit 8f8a2050baf67e8acac6e70710cff420e5a10e84
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 31 22:13:07 2008 -0600

    Fixed up msg selftest problems caused by previous selftest.c change.

 msg/common.c     | 2 +-
 msg/commonf.c    | 4 +---
 msg/wrap_alloc.c | 4 +---
 msg/wrap_chdir.c | 4 +---
 msg/wrap_str.c   | 4 +---
 5 files changed, 5 insertions(+), 13 deletions(-)

commit 851fbafcb7a8d86edaf531117b68ff737f196c66
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 31 17:35:44 2008 -0600

    Added a random number generator based on SURF.

 INSTHIER          |   3 +-
 NEWS              |   2 +
 crypto/surfrand.c | 121 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 crypto/surfrand.h |  19 +++++++++
 libbg-crypto=l    |   1 +
 5 files changed, 145 insertions(+), 1 deletion(-)
 create mode 100644 crypto/surfrand.c
 create mode 100644 crypto/surfrand.h

commit e4ba26534e160078ae2f15f94d1355f7b6d0dbe1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 31 17:29:58 2008 -0600

    Added files that were missing from the svn->git conversion.

 crypto/hmac-md5.c | 93 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 str/env_unset.c   | 28 +++++++++++++++++
 2 files changed, 121 insertions(+)
 create mode 100644 crypto/hmac-md5.c
 create mode 100644 str/env_unset.c

commit 99518c7ff759cf4cd23c9359fe578dc3f0a760a8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 31 17:28:52 2008 -0600

    Fixed typos in two #include statements in headers.

 cdb/str.h   | 2 +-
 dict/load.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0f15beb1c9d357a8ad67d8e95eecd82a15cd9bfc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 5 08:46:55 2007 -0600

    Added program and msg_show_pid definitions to the selftest.

 selftest.c | 3 +++
 1 file changed, 3 insertions(+)

commit 7bb68b74932968e4c3c996adac1269a53c3b1a88
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 5 08:35:22 2007 -0600

    Added a set of "signalfd" functions as a generic self-pipe setup.

 NEWS                            |  2 ++
 unix/{selfpipe.c => signalfd.c} | 71 ++++++++++++++++++++++-------------------
 unix/signalfd.h                 | 14 ++++++++
 3 files changed, 55 insertions(+), 32 deletions(-)
 copy unix/{selfpipe.c => signalfd.c} (55%)
 create mode 100644 unix/signalfd.h

commit b7c615c318cf73b15a59e9a5e3b5ab333beb0a4e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 5 08:34:25 2007 -0600

    Added a ghash_set function (like ghash_add, but overwrites).

 NEWS            |  2 ++
 adt/ghash.h     | 12 ++++++++++++
 adt/ghash_set.c | 11 +++++++++++
 libbg-adt=l     |  1 +
 4 files changed, 26 insertions(+)
 create mode 100644 adt/ghash_set.c

commit 65da84c59d934380d682947e87a699d3f761c9d4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 11 03:08:38 2007 +0000

    Added two missing header files: fmt/misc.h and fmt/multi.h

 INSTHIER | 2 ++
 NEWS     | 1 +
 2 files changed, 3 insertions(+)

commit b0f73b29f979bd1c9bcfceaeb856e038f1fbcc8b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 11 03:08:05 2007 +0000

    Bumped version to 1.103

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit e7fc34c5a1c56f32f3767a5373b43510d287678d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Oct 30 21:08:42 2006 +0000

    I no longer have intentions to add FP to fmt, at least not until I (or
    somebody else using it) needs it.

 TODO | 4 ----
 1 file changed, 4 deletions(-)

commit 6269bfc5887749ca8316c14cb89da0b5841a2f31
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Oct 30 21:08:18 2006 +0000

    Bumped the implementation number in LIBVERSION.

 LIBVERSION | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f6449cf74beca64f9c9373e274d7958fb16bdf9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Oct 30 21:06:28 2006 +0000

    Fixed a bug in resolve_ipv4name_n: when handling multiple IPs,
    it would always copy the first one multiple times.

 NEWS                   | 3 +++
 net/resolve_ipv4name.c | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 01f74a8835431ed226e93fb6ad3b18b6c389dca1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 12 17:49:06 2006 +0000

    Added "m" format option for strerror(errno)

 NEWS        | 4 +++-
 fmt/multi.c | 6 ++++++
 2 files changed, 9 insertions(+), 1 deletion(-)

commit f97c734bd52a18104ebf8e45f0f2d678bb9321b4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Sep 11 18:19:54 2006 +0000

    Made some of the net tests more lenient.
    Thanks Paul Jarc <prj@po.cwru.edu>

 net/connect4.c | 8 ++++----
 net/tcp4.c     | 4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 3804e9be68746ff94c4e45a9324a9487a832697a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Sep 11 16:40:58 2006 +0000

    Added self-tests for str_join

 str/join.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit fe50620614d7b4704bf1da30c1021e28fdf5528d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 22 17:32:50 2006 +0000

    Added support for str formatting in fmt_multi with "S".

 NEWS        | 1 +
 fmt/multi.c | 8 ++++++++
 2 files changed, 9 insertions(+)

commit ec500dbaa3ddecb77a0c7b12a576a9b04ed9a5da
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 3 16:10:24 2006 +0000

    Bumped version to 1.102

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c42fd52fc3b47a33924d6fc1683a85bd7a0e98d3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Aug 2 16:42:15 2006 +0000

    Clarified NEWS entry.

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eeeb6eba382fb348025a418a37f19a765caf3ade
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 1 15:22:11 2006 +0000

    Marked some symbols as "weak" to prevent link errors if they aren't defined.

 NEWS           |  3 +++
 libbg-msg=l    |  1 +
 msg/common.c   | 21 +++++++++++----------
 msg/commonf.c  | 17 ++++++++++-------
 msg/msg.h      |  4 ++--
 msg/show_pid.c |  2 ++
 6 files changed, 29 insertions(+), 19 deletions(-)
 create mode 100644 msg/show_pid.c

commit 5ead89175045ae00e121176fe514eb31df0188a4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 1 15:12:47 2006 +0000

    Use __attribute__ directly instead of the __DEPRECATED__ macro.

 net/ipv4.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e83f0865576c33639c919fdef75e76d1503186f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 1 05:51:38 2006 +0000

    Added sysdep for __attribute__.

 NEWS                | 2 ++
 sys/hasattribute.h0 | 2 ++
 sys/hasattribute.h1 | 1 +
 sys/tryattribute.c  | 2 ++
 sysdeps.h.spac      | 7 ++++---
 5 files changed, 11 insertions(+), 3 deletions(-)
 create mode 100644 sys/hasattribute.h0
 create mode 100644 sys/hasattribute.h1
 create mode 100644 sys/tryattribute.c

commit 05a9d504ee7b87175e1fe2838a8549694b7cd5a8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 31 20:48:31 2006 +0000

    Fixed include compatibility problem in sys/tryclockgettime.c.
    Thanks Amitai Schlair <schmonz@schmonz.com>

 NEWS                  | 2 ++
 sys/tryclockgettime.c | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 5f94b6fcd4f7c8277ec156e8d793769c0fd2a930
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 31 20:47:31 2006 +0000

    Bumped version to 1.101

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 875d2e8a79fe2f028b5745f1317e5f5f14ba027c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 23:53:42 2006 +0000

    Tidied up several pointer signedness warnings (emitted by newer GCCs).

 base64/base64.h      |  2 +-
 base64/decode_line.c |  6 +++---
 base64/decode_part.c | 10 +++++-----
 cdb/cdb.h            |  2 +-
 cdb/find.c           |  6 +++---
 cdb/get.c            |  3 ++-
 cdb/getnext.c        |  3 ++-
 cdb/make.c           | 12 ++++++------
 cdb/make.h           |  2 +-
 crc/gcrc16fwd.c      |  2 +-
 crc/gcrc16rfl.c      |  2 +-
 crc/gcrc32fwd.c      |  2 +-
 crc/gcrc32rfl.c      |  2 +-
 crc/gcrc64fwd.c      |  2 +-
 crc/gcrc64rfl.c      |  2 +-
 crypto/hmac.c        |  4 ++--
 crypto/sha1.c        |  4 +++-
 crypto/sha1test.c    |  2 +-
 dict/dict.h          |  2 +-
 net/accept4.c        |  4 ++--
 net/accept6.c        |  4 ++--
 net/acceptu.c        |  4 ++--
 net/connected.c      |  2 +-
 net/getaddr4.c       |  2 +-
 net/getaddr6.c       |  2 +-
 net/ipv6_format.c    |  4 ++--
 net/recv4.c          |  2 +-
 net/recv6.c          |  2 +-
 sys/getpeereid.c     |  2 +-
 29 files changed, 51 insertions(+), 47 deletions(-)

commit 211ee7f469ea3b6d80badf5843ea01dd133c6fec
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 23:28:51 2006 +0000

    Fixed up some missing bits in the spec needed for shared libraries.

 INSTHIER       |  4 ++--
 libraries.spac |  2 +-
 spec           | 20 +++++++++++++++-----
 3 files changed, 18 insertions(+), 8 deletions(-)

commit e8ab8305ddf216416974d5b746f43c230dc3f6fa
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 23:10:08 2006 +0000

    Add dl.lib to the installed files.

 INSTHIER | 1 +
 1 file changed, 1 insertion(+)

commit 69967a78379d016adcf302b31b4ab01c0a15aef0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 22:32:39 2006 +0000

    Added documentation for the gqueue and gstack ADTs.

 adt/gqueue.h      | 29 +++++++++++++++++++++++++++++
 adt/gqueue_pop.c  |  4 ++++
 adt/gqueue_push.c | 10 +++++++---
 adt/gqueue_test.c |  6 +++---
 adt/gqueue_top.c  |  2 ++
 adt/gstack.h      | 28 ++++++++++++++++++++++++++++
 adt/gstack_pop.c  |  4 ++++
 adt/gstack_push.c |  2 ++
 adt/gstack_top.c  |  2 ++
 9 files changed, 81 insertions(+), 6 deletions(-)

commit f6979d0f21f0ac49bb3c0ad9cc94b8b9eddea72e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 22:32:21 2006 +0000

    Allow for NULL key copy functions in ghash.

 adt/ghash.h     | 5 ++++-
 adt/ghash_add.c | 4 +++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 748f6fe8f4d94aa2045d009e8522df611e762f79
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 19:02:06 2006 +0000

    Convert all "void selftest(void)" functions in selftests to simply "MAIN".

 adt/gqueue_test.c     | 2 +-
 adt/gstack_test.c     | 2 +-
 msg/common.c          | 2 +-
 msg/commonf.c         | 2 +-
 msg/wrap_alloc.c      | 2 +-
 msg/wrap_chdir.c      | 2 +-
 msg/wrap_str.c        | 2 +-
 net/connect4.c        | 2 +-
 net/ipv4_format.c     | 2 +-
 net/ipv4_scan.c       | 2 +-
 net/ipv6_scan.c       | 2 +-
 net/tcp4.c            | 2 +-
 path/merge.c          | 2 +-
 str/alloc.c           | 2 +-
 str/catf.c            | 2 +-
 str/copy.c            | 2 +-
 str/copyf.c           | 2 +-
 str/env_find.c        | 2 +-
 str/env_from_array.c  | 2 +-
 str/env_from_string.c | 2 +-
 str/env_get.c         | 2 +-
 str/env_make_array.c  | 2 +-
 str/env_put.c         | 2 +-
 str/env_set.c         | 2 +-
 str/findnext.c        | 2 +-
 str/findnextof.c      | 2 +-
 str/findprev.c        | 2 +-
 str/findprevnot.c     | 2 +-
 str/findprevof.c      | 2 +-
 str/free.c            | 2 +-
 str/init.c            | 2 +-
 str/splice.c          | 2 +-
 32 files changed, 32 insertions(+), 32 deletions(-)

commit 20728a2e48c2d8baeae9423f7c3b03bc90dcb003
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 19:01:19 2006 +0000

    The version was mistakenly not bumped up to 1.100

 VERSION | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3a0c99443b5c692bc3ef80e6a1a45c06d8748a8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 19:01:01 2006 +0000

    Pointer signedness fixup.

 adt/adt_sp.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b934600d10ee1df341df920964deff4b608954ac
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 18:56:15 2006 +0000

    Document the resolve_ipv4name macro.

 net/resolve.h | 1 +
 1 file changed, 1 insertion(+)

commit 8b7f0b256b155faecd0619541a93f4b2843e3f26
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 18:56:01 2006 +0000

    Added missing "@}" comment in iobuf/common.h that was causing some
    function documentation to be skipped.

 iobuf/common.h | 2 ++
 1 file changed, 2 insertions(+)

commit cc48d83b7f4710117314f6bcb128d9c032a8d888
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 18:53:17 2006 +0000

    Moved the gqueue and gstack test code into seperate files.

 adt/gqueue_push.c                    | 31 -------------------------------
 adt/{gqueue_push.c => gqueue_test.c} | 18 ------------------
 adt/gstack_push.c                    | 31 -------------------------------
 adt/{gstack_push.c => gstack_test.c} | 17 -----------------
 4 files changed, 97 deletions(-)
 copy adt/{gqueue_push.c => gqueue_test.c} (55%)
 copy adt/{gstack_push.c => gstack_test.c} (57%)

commit 1bd712e32ab5996c926d9a3068a3679b13743614
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 18:52:50 2006 +0000

    Moved all selftest code into ghash_test.c, to make it a better example.

 adt/ghash_iter.c   | 63 ---------------------------------------------
 adt/ghash_remove.c | 69 -------------------------------------------------
 adt/ghash_test.c   | 75 ++++++++++++++++++++++++++++++++++++++++++++----------
 3 files changed, 62 insertions(+), 145 deletions(-)

commit 6bc8c114902fb4b8c7f3293ec8b148ace483751e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 18:35:10 2006 +0000

    Added Doxygen documentation to adt/ghash

 adt/common.h                         |  22 +++++++
 adt/ghash.h                          |  64 +++++++++++++++++++-
 adt/ghash_add.c                      | 112 ++++-------------------------------
 adt/ghash_foreach.c                  |   1 +
 adt/ghash_free.c                     |   1 +
 adt/ghash_get.c                      |   8 +++
 adt/ghash_init.c                     |   1 +
 adt/ghash_insert.c                   |   1 +
 adt/ghash_iter.c                     |   3 +
 adt/ghash_rebuild.c                  |   3 +
 adt/ghash_rehash.c                   |   2 +
 adt/ghash_remove.c                   |   6 ++
 adt/ghash_search.c                   |   2 +
 adt/{ghash_remove.c => ghash_test.c} |  74 +++++++++++------------
 config.dxy                           |   5 +-
 15 files changed, 162 insertions(+), 143 deletions(-)
 copy adt/{ghash_remove.c => ghash_test.c} (54%)

commit 81840784fc404ceb367a7b0832a75ca6ea4d498d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 16:55:07 2006 +0000

    Added self tests for the generic queue and stack implementations, fixing
    several bugs in the process.

 adt/gqueue.h      |  6 +++---
 adt/gqueue_pop.c  |  3 ++-
 adt/gqueue_push.c | 36 +++++++++++++++++++++++++++++++++++-
 adt/gstack_pop.c  |  3 ++-
 adt/gstack_push.c | 36 +++++++++++++++++++++++++++++++++++-
 5 files changed, 77 insertions(+), 7 deletions(-)

commit 262767baef76426777e1d5037c674c7c6d8b6b58
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 27 05:56:55 2006 +0000

    Updated the Doxygen config for version 1.4.7

 config.dxy | 52 ++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 38 insertions(+), 14 deletions(-)

commit ab57cb2a16b7add3d3a243778946e45c1c88aeb8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 25 20:43:55 2006 +0000

    Updated the Doxygen configuration.

 config.dxy | 255 +++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 206 insertions(+), 49 deletions(-)

commit a6499926d68c6add20fd061e5c806e28227d9303
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 25 14:51:21 2006 +0000

    Added self test to ipv4_format.c

 net/ipv4_format.c | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit d2a35b16fedaf25cf644f4c1636c047725cc19ef
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 25 14:45:48 2006 +0000

    Added self tests for several IPv4 functions.

 net/connect4.c | 25 +++++++++++++++++++++++++
 net/tcp4.c     | 18 ++++++++++++++++++
 selftest.c     | 13 +++++++++++++
 3 files changed, 56 insertions(+)

commit cbb6535a88ed0aee33bccf6f8eb0b605970f5c61
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 24 23:44:01 2006 +0000

    Modified the package to install libbg and libbg-sysdeps as shared
    libraries using libtool.

 INSTHIER       |  4 ++--
 LIBVERSION     | 39 +++++++++++++++++++++++++++++++++++++++
 NEWS           |  5 ++++-
 TODO           |  2 ++
 VERSION        |  2 +-
 libbg.a.spac   | 23 -----------------------
 libbg.la.spac  | 16 ++++++++++++++++
 libraries.spac |  2 +-
 selftests.sh   |  2 +-
 selftests.spac |  2 +-
 10 files changed, 67 insertions(+), 30 deletions(-)
 create mode 100644 LIBVERSION
 delete mode 100644 libbg.a.spac
 create mode 100644 libbg.la.spac

commit 0e9059e70000b736523609d1524b96c2d793ac8e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 24 23:14:39 2006 +0000

    Added support to bg-installer for installing shared libraries with libtool.

 NEWS           |  3 +++
 bg-installer.c | 63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 65 insertions(+), 1 deletion(-)

commit e8e8d926c3220c42ed4d3ebfb07e66c69bf7acba
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 24 23:02:38 2006 +0000

    Added missing libpwcmp library definition files.  They were missed in a
    previous step because the actual pwcmp library is in a different
    repository.

 libpwcmp-module=l | 1 +
 libpwcmp=l        | 2 ++
 2 files changed, 3 insertions(+)
 create mode 100644 libpwcmp-module=l
 create mode 100644 libpwcmp=l

commit fad30a6a90bbc5b1aa9140ab3571163416db47b1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 24 20:48:02 2006 +0000

    Fixed a missing include in the old fdbuf C++ library.

 fdbuf/fdobuf.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 16c8c0f04217e2010c4340772aa0f97b031a53f2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 24 19:57:47 2006 +0000

    Fixed bug in error return of ibuf_openreadclose.
    Thanks Gerrit Pape <pape@smarden.org>

 NEWS                       | 2 ++
 iobuf/ibuf_openreadclose.c | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit c2c08dff039d92dcfa21ac2099180fecb28b414e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 23 04:25:47 2006 +0000

    Fixed the missing vmailmgr/ prefix in libvmailmgr

 libvmailmgr=l | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 7b598647f66951e11e967b2ec3a63fb1b58005ae
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 23 04:15:58 2006 +0000

    Added missing source necessary in the libbg-msg library.

 msg/debug_bits.c | 2 ++
 1 file changed, 2 insertions(+)
 create mode 100644 msg/debug_bits.c

commit bfe9e1902e5d10863348a460937db0a37a92dac7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 23 04:14:35 2006 +0000

    Renamed the library targets into the top directory with their final
    names.  This will help make generation of shared libraries easier.

 INSTHIER                         | 42 ++++++++++++-------------
 adt/lib=l                        | 20 ------------
 base64/lib=l                     |  6 ----
 bg-installer=x                   |  8 +++--
 cdb/lib=l                        |  7 -----
 cli/lib=l                        |  2 --
 crc-gentab=x                     |  4 +--
 crc/lib=l                        | 12 -------
 crypto/lib=l                     | 14 ---------
 dict/lib=l                       |  9 ------
 fmt/lib=l                        | 19 ------------
 iobuf/lib=l                      | 51 ------------------------------
 libbg-adt=l                      | 20 ++++++++++++
 libbg-base64=l                   |  6 ++++
 libbg-cdb=l                      |  7 +++++
 libbg-cli=l                      |  2 ++
 libbg-crc=l                      | 12 +++++++
 libbg-crypto=l                   | 14 +++++++++
 libbg-dict=l                     |  9 ++++++
 libbg-fmt=l                      | 19 ++++++++++++
 installer=l => libbg-installer=l |  0
 instcheck=l => libbg-instcheck=l |  0
 instshow=l => libbg-instshow=l   |  0
 libbg-iobuf=l                    | 51 ++++++++++++++++++++++++++++++
 libbg-misc=l                     |  5 +++
 libbg-msg=l                      | 17 ++++++++++
 libbg-net=l                      | 48 ++++++++++++++++++++++++++++
 libbg-path=l                     |  6 ++++
 libbg-str=l                      | 67 ++++++++++++++++++++++++++++++++++++++++
 libbg-unix=l                     | 24 ++++++++++++++
 libbg.a.spac                     |  6 ++--
 libraries.spac                   |  2 +-
 vmailmgr/lib=l => libvmailmgr=l  |  0
 misc/lib=l                       |  5 ---
 msg/lib=l                        | 16 ----------
 net/lib=l                        | 48 ----------------------------
 path/lib=l                       |  6 ----
 str/lib=l                        | 67 ----------------------------------------
 unix/lib=l                       | 24 --------------
 39 files changed, 341 insertions(+), 334 deletions(-)
 delete mode 100644 adt/lib=l
 delete mode 100644 base64/lib=l
 delete mode 100644 cdb/lib=l
 delete mode 100644 cli/lib=l
 delete mode 100644 crc/lib=l
 delete mode 100644 crypto/lib=l
 delete mode 100644 dict/lib=l
 delete mode 100644 fmt/lib=l
 delete mode 100644 iobuf/lib=l
 create mode 100644 libbg-adt=l
 create mode 100644 libbg-base64=l
 create mode 100644 libbg-cdb=l
 create mode 100644 libbg-cli=l
 create mode 100644 libbg-crc=l
 create mode 100644 libbg-crypto=l
 create mode 100644 libbg-dict=l
 create mode 100644 libbg-fmt=l
 rename installer=l => libbg-installer=l (100%)
 rename instcheck=l => libbg-instcheck=l (100%)
 rename instshow=l => libbg-instshow=l (100%)
 create mode 100644 libbg-iobuf=l
 create mode 100644 libbg-misc=l
 create mode 100644 libbg-msg=l
 create mode 100644 libbg-net=l
 create mode 100644 libbg-path=l
 create mode 100644 libbg-str=l
 create mode 100644 libbg-unix=l
 rename vmailmgr/lib=l => libvmailmgr=l (100%)
 delete mode 100644 misc/lib=l
 delete mode 100644 msg/lib=l
 delete mode 100644 net/lib=l
 delete mode 100644 path/lib=l
 delete mode 100644 str/lib=l
 delete mode 100644 unix/lib=l

commit 734671aaa013ba9272e38549e94f6e1ac143daa0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Mar 19 05:51:54 2006 +0000

    Simplified the result length-only formula in fmt/*num.c slightly.

 fmt/sllnum.c | 2 +-
 fmt/snum.c   | 2 +-
 fmt/ullnum.c | 2 +-
 fmt/unum.c   | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit a7a87e99cbe3e86b56c20323901dd1c30535ecab
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Mar 19 05:48:23 2006 +0000

    Fixed a bug in counting the length of signed and unsigned long long
    integers (0 was counted as having zero length).

 NEWS         | 2 ++
 fmt/sllnum.c | 6 ++++--
 fmt/ullnum.c | 4 +++-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit ee65018d5fb44fa562970ec8747770a7b9d60889
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Mar 19 05:46:57 2006 +0000

    Bumped version to 1.042

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 14ffc6c8d8855bba6498593c1fc42e4c43136e58
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 8 19:16:08 2006 +0000

    Fixed up newline handling to deal with @verbatim and @example sections
    better.

 cli-generate.pl | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6a220deaf2e12008dfa4bbeda530a87902c6f536
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 3 21:49:04 2006 +0000

    Renamed dict/hash.c and cdb/hash.c to prevent future linkage problems.

 cdb/{hash.c => cdbhash.c}   | 0
 cdb/lib=l                   | 3 +--
 dict/{hash.c => dicthash.c} | 0
 dict/lib=l                  | 2 +-
 4 files changed, 2 insertions(+), 3 deletions(-)
 rename cdb/{hash.c => cdbhash.c} (100%)
 rename dict/{hash.c => dicthash.c} (100%)

commit 21a5e64d1231e76a4cb58902a9e2ce8ae43a4592
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 28 19:43:52 2006 +0000

    Reverted revisions 677 and 678.  From now on all crypto apps should
    target libtomcrypt (or some other better external library).

 NEWS                       |   7 +-
 VERSION                    |   2 +-
 crypto/hash-lookup.c       |  43 ---------
 crypto/hash-md4.c          | 196 --------------------------------------
 crypto/hash-md5.c          | 216 ------------------------------------------
 crypto/hash-pack-uint128.c |  10 --
 crypto/hash-pack-uint64.c  |  14 ---
 crypto/hash-sha1.c         | 168 ---------------------------------
 crypto/hash-sha256.c       | 194 --------------------------------------
 crypto/hash-sha384.c       | 110 ----------------------
 crypto/hash-sha512.c       | 229 ---------------------------------------------
 crypto/hash.c              | 102 --------------------
 crypto/hash.h              |  56 -----------
 crypto/lib=l               |  10 --
 14 files changed, 2 insertions(+), 1355 deletions(-)
 delete mode 100644 crypto/hash-lookup.c
 delete mode 100644 crypto/hash-md4.c
 delete mode 100644 crypto/hash-md5.c
 delete mode 100644 crypto/hash-pack-uint128.c
 delete mode 100644 crypto/hash-pack-uint64.c
 delete mode 100644 crypto/hash-sha1.c
 delete mode 100644 crypto/hash-sha256.c
 delete mode 100644 crypto/hash-sha384.c
 delete mode 100644 crypto/hash-sha512.c
 delete mode 100644 crypto/hash.c
 delete mode 100644 crypto/hash.h

commit 031c40d85338d073a6ad7904bcb2fc46484f413a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 28 19:36:45 2006 +0000

    Removed extraneous #! header on cli-generate.

 cli-generate.pl | 1 -
 1 file changed, 1 deletion(-)

commit 77dfa60e69eda16aede787da9fbf6782ceab2ae4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 28 19:35:21 2006 +0000

    Added support for HTML output to cli-generate.

 NEWS            |   3 +
 TODO            |  19 ----
 cli-generate.1  |   5 +
 cli-generate.pl | 308 +++++++++++++++++++++++++++++++++++++++++++-------------
 4 files changed, 246 insertions(+), 89 deletions(-)

commit b37206f6738c07f76bb45602e755789ac358e8cf
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 28 17:56:45 2006 +0000

    Added and fixed up the man page formatting codes.

 cli-generate.1  |  57 +++++++++++++++++++++++++++
 cli-generate.pl | 120 +++++++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 167 insertions(+), 10 deletions(-)

commit ca6c8ac71e21dc88ba6d4a696fd6878f33e66bc8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 24 23:31:32 2006 +0000

    Added some additional man page sections (warnings and authors).

 cli-generate.pl | 2 ++
 1 file changed, 2 insertions(+)

commit 6d7318e69e795b5b7cd7ac79fedf8f7ddd42915d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 22 18:05:12 2006 +0000

    Added a crypto hash "lookup by name" function.

 NEWS                                   |  2 ++
 net/connect6.c => crypto/hash-lookup.c | 43 +++++++++++++++++-----------------
 crypto/hash-md4.c                      |  1 +
 crypto/hash-md5.c                      |  1 +
 crypto/hash-sha1.c                     |  1 +
 crypto/hash-sha256.c                   |  1 +
 crypto/hash-sha384.c                   |  1 +
 crypto/hash-sha512.c                   |  1 +
 crypto/hash.h                          |  3 +++
 crypto/lib=l                           |  1 +
 10 files changed, 34 insertions(+), 21 deletions(-)
 copy net/connect6.c => crypto/hash-lookup.c (55%)

commit 3be0cb093130266be4907c9687cc3840d404fdf9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 22 17:18:37 2006 +0000

    Modified all the crypto hash functions to fit a control block
    framework (like the HMAC system does), bumping the version to 1.050

 NEWS                               |   5 +-
 VERSION                            |   2 +-
 crypto/hash-md4.c                  | 195 +++++++++++++++++++++++++++++++++
 crypto/hash-md5.c                  | 215 +++++++++++++++++++++++++++++++++++++
 crypto/hash-pack-uint128.c         |  10 ++
 crypto/hash-pack-uint64.c          |  14 +++
 crypto/hash-sha1.c                 | 167 ++++++++++++++++++++++++++++
 crypto/{sha256.c => hash-sha256.c} | 127 +++++++++-------------
 crypto/{sha384.c => hash-sha384.c} |  60 ++++++-----
 crypto/{sha512.c => hash-sha512.c} | 140 ++++++++++--------------
 crypto/hash.c                      | 102 ++++++++++++++++++
 crypto/hash.h                      |  53 +++++++++
 crypto/lib=l                       |   9 ++
 13 files changed, 910 insertions(+), 189 deletions(-)
 create mode 100644 crypto/hash-md4.c
 create mode 100644 crypto/hash-md5.c
 create mode 100644 crypto/hash-pack-uint128.c
 create mode 100644 crypto/hash-pack-uint64.c
 create mode 100644 crypto/hash-sha1.c
 copy crypto/{sha256.c => hash-sha256.c} (73%)
 copy crypto/{sha384.c => hash-sha384.c} (75%)
 copy crypto/{sha512.c => hash-sha512.c} (76%)
 create mode 100644 crypto/hash.c
 create mode 100644 crypto/hash.h

commit 7acf82302ddf9d7276042350c036b9e4b5d00e45
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Feb 20 00:30:00 2006 +0000

    Tweaked the hmac_finish prototype to properly indicate that the
    midstate is const and unmodified by the function.

 NEWS          | 2 ++
 TODO          | 2 ++
 crypto/hmac.c | 2 +-
 crypto/hmac.h | 2 +-
 4 files changed, 6 insertions(+), 2 deletions(-)

commit 870632edd85208e9fa6bbc6af1cb723680076e74
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Feb 20 00:29:20 2006 +0000

    Bumped the version to 1.041

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 9b41cfb62655535982f7447d7bc4d72abc561c3f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Feb 19 06:51:29 2006 +0000

    Install the man page(s) into RPMs.

 spec | 2 ++
 1 file changed, 2 insertions(+)

commit 83ba0bb8600f110fc20c449b09243cc9587cf36a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Feb 19 06:21:47 2006 +0000

    Warn about missing Description: header in cli-generate.

 cli-generate.pl | 3 +++
 1 file changed, 3 insertions(+)

commit 5340dbb5c3c6dd9748bb6d1987900654fef83dc3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Feb 19 06:21:18 2006 +0000

    Stop blocking SIGSEGV with the sig_all_* functions, as this has
    resulted in bugs causing endless signal loops.

 NEWS           | 3 +++
 unix/sig_all.c | 8 ++++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 7741cd55f2b4babefae48c28070b38270bf2ddbb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Feb 19 06:20:09 2006 +0000

    Added some more notes on the crypto hash rewriting.

 TODO | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 2b75d700052c14d3d85fe82ef2622e68da6e489b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Feb 19 06:19:51 2006 +0000

    Fixed a couple of installation bugs for the man page.

 INSTHIER     | 1 +
 install.spac | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 35b981474cc3443acb07ad50c98a0574e118134b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Feb 19 05:58:04 2006 +0000

    Modified the crypto HMAC code to do precalculation of the intermediate
    hash results.

 NEWS                 |  3 ++
 TODO                 | 11 ++++++++
 crypto/hmac-sha1.c   | 76 ++++++++++++++++++++++++++++++++++++++++++++++++++
 crypto/hmac-sha256.c | 74 ++++++++++++++++++++++++++++++++++++++++++++++++
 crypto/hmac-sha384.c | 75 +++++++++++++++++++++++++++++++++++++++++++++++++
 crypto/hmac-sha512.c | 75 +++++++++++++++++++++++++++++++++++++++++++++++++
 crypto/hmac.c        | 79 +++++++++++++++++++++++++++++++++++++++++-----------
 crypto/hmac.h        | 16 +++++++++--
 crypto/lib=l         |  5 ++++
 crypto/md5.c         | 45 +-----------------------------
 crypto/sha1.c        | 35 -----------------------
 crypto/sha256.c      | 35 -----------------------
 crypto/sha384.c      | 35 -----------------------
 crypto/sha512.c      | 35 -----------------------
 14 files changed, 397 insertions(+), 202 deletions(-)
 create mode 100644 crypto/hmac-sha1.c
 create mode 100644 crypto/hmac-sha256.c
 create mode 100644 crypto/hmac-sha384.c
 create mode 100644 crypto/hmac-sha512.c

commit e8cac94621e86b6063267536a3577664a8e226b2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 17 19:31:54 2006 +0000

    Cleaned up some bits I missed in the cli-generate man page.

 cli-generate.1 | 27 +++++----------------------
 1 file changed, 5 insertions(+), 22 deletions(-)

commit e4232a8a4c44b3e6ce604f81725f648f75bf8e21
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 17 19:27:15 2006 +0000

    Added a man page for cli-generate.

 INSTHIER        |   3 +
 cli-generate.1  | 192 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 cli-generate.pl |   2 +-
 conf-man        |   4 ++
 4 files changed, 200 insertions(+), 1 deletion(-)
 create mode 100644 cli-generate.1
 create mode 100644 conf-man

commit 639d57a2a3cdc7053a4d3be27c9dd56f8150fe60
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 17 18:59:15 2006 +0000

    Account for the "-h, --help" options when calculating the minimum width.

 cli-generate.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d340a7a14653eb180aecff0b423a742d2b83f1aa
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 17 18:27:43 2006 +0000

    Added preliminary support for generating man pages.

 cli-generate.pl | 120 +++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 115 insertions(+), 5 deletions(-)

commit c696852303547a4bf3d48a59985fde5812b26d8f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 17 15:42:23 2006 +0000

    Simplified the header/section parsing mechanics to seperate dividing up
    the file into sections from parsing the content within the sections.
    This will make it simpler to add more kinds of sections (for docs).

 cli-generate.pl | 140 +++++++++++++++++++++++---------------------------------
 1 file changed, 57 insertions(+), 83 deletions(-)

commit 8988b84338cb9eb40510b1ec3feccc08c4789149
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 17 06:16:59 2006 +0000

    Added a 'description' field to the header, and fixed up newline addition
    to the prefix in cli-generate.

 cli-generate.pl | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 494cc33e2b7bec1fbe824bedddc4a83ffc42c027
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 16 22:48:18 2006 +0000

    Tweaked the ghash_add function to return a pointer to the newly
    created entry (since some uses will want to use it immediately).

 NEWS            |  3 +++
 adt/ghash.h     | 10 ++++++----
 adt/ghash_add.c |  4 ++--
 3 files changed, 11 insertions(+), 6 deletions(-)

commit 363c97ea96ae70ca466ea2c9d4aec6e0403ea0e6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 24 04:49:09 2006 +0000

    Add support for outputting the msg_debug_bits flag in cli-generate.

 cli-generate.pl | 5 +++++
 1 file changed, 5 insertions(+)

commit 94e1453440cbd753e0255f5998a930e7b21f9250
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Jan 22 04:27:57 2006 +0000

    Large number of changes, mostly steming from reworking the program to
    work on a single file only, and send its output to stdout.  Also made
    the script pre-calculate the help text (omitting it from cli_options),
    and fixed a number of bugs.

 cli-generate.pl | 206 +++++++++++++++++++++++++++-----------------------------
 1 file changed, 99 insertions(+), 107 deletions(-)

commit 8001d963c5ea5a528b02b87a404bd545f3797ef3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 20 22:53:58 2006 +0000

    Split the help text output code out of the rest of the CLI library.

 cli/cli.h      |   1 +
 cli/help.c     | 103 +++++++++++++++++++++++++++++++++++++++++++++++++++
 cli/internal.h |   9 +++++
 cli/lib=l      |   1 +
 cli/main.c     | 115 ++++++++++-----------------------------------------------
 5 files changed, 134 insertions(+), 95 deletions(-)
 create mode 100644 cli/help.c
 create mode 100644 cli/internal.h

commit 2985e0433cc349509e1347f11f92a9758a97ff2a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 20 22:53:05 2006 +0000

    Stamped the README with the year 2006.

 README.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8dfdf539b5e98c728ae9a7cbee05a42d1bfc4310
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 20 18:12:57 2006 +0000

    Added cli-generate, a program to produce C header and source from
    command-line interface description files.

 INSTHIER        |   1 +
 NEWS            |   5 +-
 VERSION         |   2 +-
 all.spac        |   2 +-
 cli-generate.pl | 351 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 cli-generate=pl |   0
 6 files changed, 358 insertions(+), 3 deletions(-)
 create mode 100644 cli-generate.pl
 create mode 100644 cli-generate=pl

commit 3cfdc5051430a0ffb1accd87b52ae687c516daa6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Dec 18 22:15:26 2005 +0000

    Fixed base64 decoding on systems where char is unsigned by default.
    Thanks Gerrit Pape <pape@smarden.org>

 NEWS             | 2 ++
 base64/asc2bin.c | 2 +-
 base64/base64.h  | 2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 82d7628be2421058d715e937f98aee9681fa0db9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Dec 18 22:13:52 2005 +0000

    Bumped version to 1.032

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit e208c944df9a7da3392e31c76e5533bf604c058b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Dec 2 06:09:11 2005 +0000

    Added note about missing installing hmac.h file.

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 51afa18ddc6b3a745276af5617634a8391e7626c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Dec 2 06:08:30 2005 +0000

    Bumped version to 1.031

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c730153c1f548f6960a938daefd2b9d3a392ce41
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Dec 2 06:06:51 2005 +0000

    Fixed missing installation of crypto/hmac.h

 INSTHIER | 1 +
 1 file changed, 1 insertion(+)

commit 409f51bd919f2924a6c51ab8bccd4ff5d2831c50
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Dec 2 04:26:39 2005 +0000

    Bumped version to 1.030.

 VERSION | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16024640f0c3df3019dd69c74eba6d4dbfb6b284
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Dec 2 03:51:31 2005 +0000

    Fixed the copyright on the new HMAC code to the LGPL.

 crypto/hmac.c | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 11b6420a5adc6dd82992fbe8a6d24e77f072a49d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Dec 1 22:07:11 2005 +0000

    Added a RFC 2104 generic HMAC (keyed hashing for message
    authentication) routine to the crypto section, with control blocks for
    MD5, SHA1, SHA256, SHA384, and SHA512.

 NEWS            |  6 ++++-
 crypto/hmac.c   | 68 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 crypto/hmac.h   | 30 +++++++++++++++++++++++++
 crypto/lib=l    |  1 +
 crypto/md5.c    | 52 +++++++++++++++++++++++++++++++++++++++----
 crypto/sha1.c   | 36 ++++++++++++++++++++++++++++++
 crypto/sha256.c | 51 +++++++++++++++++++++++++++++++++++++------
 crypto/sha384.c | 59 +++++++++++++++++++++++++++++++++++++++----------
 crypto/sha512.c | 59 +++++++++++++++++++++++++++++++++++++++----------
 9 files changed, 328 insertions(+), 34 deletions(-)
 create mode 100644 crypto/hmac.c
 create mode 100644 crypto/hmac.h

commit a68039a54400671ec7996f4877207a6d052b04b2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Nov 30 03:52:22 2005 +0000

    Updated the documentation inside bg-installer.c

 bg-installer.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 849b0974d8d5b42d11d852f5b908eeaff7198620
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 29 18:56:38 2005 +0000

    Added support for UID and GID names (instead of just numbers) in bg-installer.

 NEWS           |  2 ++
 bg-installer.c | 43 +++++++++++++++++++++++++++++++++++++------
 2 files changed, 39 insertions(+), 6 deletions(-)

commit 9c2389f96ddcbaa6e8bd2ecde4da6278bc795ef8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 29 18:11:01 2005 +0000

    Bumped version to 1.029

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 859f719508f1154bb26233ceb3ee2c692f984294
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 21 05:33:04 2005 +0000

    Fixed missing dependancy in the sysdeps.h file.

 sysdeps.h.spac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 28f6720b195359501f7c130b44d891939a0bacdf
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 21 04:51:21 2005 +0000

    Fixed up copyright notice in the README.

 README.in | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit 6ef08c056e874189b79f3481dbadfd7464c93d82
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 21 04:43:14 2005 +0000

    Since the copyright changed, added a 2005 copyright stamp on all files
    claimed by myself.

 cdb++/cdb_get.cc             | 2 +-
 cdb++/cdb_getrec.cc          | 2 +-
 cdb++/cdb_make.cc            | 2 +-
 cdb++/cdb_reader.cc          | 2 +-
 cdb++/cdb_writer.cc          | 2 +-
 cdb++/datum.cc               | 2 +-
 cdb++/internal.h             | 2 +-
 cdb/get.c                    | 2 +-
 cdb/getnext.c                | 2 +-
 cgi/cgi-args.cc              | 2 +-
 cgi/cgi-base.cc              | 2 +-
 cli++/clitest.cc             | 2 +-
 cli++/main.cc                | 2 +-
 cli++/messages.cc            | 2 +-
 cli/main.c                   | 2 +-
 crypto/md4.c                 | 2 +-
 crypto/md4.h                 | 2 +-
 crypto/sha256.c              | 2 +-
 crypto/sha384.c              | 2 +-
 crypto/sha512.c              | 2 +-
 crypto/surf.c                | 2 +-
 fdbuf/fdbuf.cc               | 2 +-
 fdbuf/fdbuf.h                | 2 +-
 fdbuf/fdbuf_copy.cc          | 2 +-
 fdbuf/fdibuf.cc              | 2 +-
 fdbuf/fdibuf.h               | 2 +-
 fdbuf/fdibuf_mystring.cc     | 2 +-
 fdbuf/fdibuf_netstring.cc    | 2 +-
 fdbuf/fdobuf.cc              | 2 +-
 fdbuf/fdobuf.h               | 2 +-
 fdbuf/fdobuf_chownmod.cc     | 2 +-
 fdbuf/fdobuf_seek.cc         | 2 +-
 fdbuf/fdobuf_signed.cc       | 2 +-
 fdbuf/fdobuf_unsigned.cc     | 2 +-
 fmt/sllnum.c                 | 2 +-
 fmt/snum.c                   | 2 +-
 fmt/ullnum.c                 | 2 +-
 fmt/unum.c                   | 2 +-
 mystring/count.cc            | 2 +-
 mystring/iter.cc             | 2 +-
 mystring/iter.h              | 2 +-
 mystring/join.h              | 2 +-
 mystring/mystring.h          | 2 +-
 mystring/rep.h               | 2 +-
 net/accept4.c                | 2 +-
 net/accept6.c                | 2 +-
 net/acceptu.c                | 2 +-
 net/bind4.c                  | 2 +-
 net/bind6.c                  | 2 +-
 net/bindu.c                  | 2 +-
 net/broadcast.c              | 2 +-
 net/connect4.c               | 2 +-
 net/connect4_timeout.c       | 2 +-
 net/connect6.c               | 2 +-
 net/connect6_timeout.c       | 2 +-
 net/connected.c              | 2 +-
 net/connectu.c               | 2 +-
 net/connectu_timeout.c       | 2 +-
 net/cork.c                   | 2 +-
 net/getaddr4.c               | 2 +-
 net/getaddr6.c               | 2 +-
 net/linger.c                 | 2 +-
 net/listen.c                 | 2 +-
 net/notcpdelay.c             | 2 +-
 net/pairdgm.c                | 2 +-
 net/pairstr.c                | 2 +-
 net/recv4.c                  | 2 +-
 net/recv6.c                  | 2 +-
 net/recvfd.c                 | 2 +-
 net/recvu.c                  | 2 +-
 net/reuse.c                  | 2 +-
 net/send4.c                  | 2 +-
 net/send6.c                  | 2 +-
 net/sendfd.c                 | 2 +-
 net/sendu.c                  | 2 +-
 net/setopt.c                 | 2 +-
 net/shutdown.c               | 2 +-
 net/tcp4.c                   | 2 +-
 net/tcp6.c                   | 2 +-
 net/udp4.c                   | 2 +-
 net/udp6.c                   | 2 +-
 net/uncork.c                 | 2 +-
 net/unixdgm.c                | 2 +-
 net/unixstr.c                | 2 +-
 path/contains.c              | 2 +-
 path/fnmatch.c               | 2 +-
 path/match.c                 | 2 +-
 path/merge.c                 | 2 +-
 python/template/__init__.py  | 2 +-
 python/template/context.py   | 2 +-
 python/template/functions.py | 2 +-
 python/template/lex.py       | 2 +-
 python/template/parser.py    | 2 +-
 python/template/syntax.py    | 2 +-
 str/buildmap.c               | 2 +-
 str/case_match.c             | 2 +-
 str/case_start.c             | 2 +-
 str/cat.c                    | 2 +-
 str/cat2s.c                  | 2 +-
 str/cat3s.c                  | 2 +-
 str/cat4s.c                  | 2 +-
 str/cat5s.c                  | 2 +-
 str/cat6s.c                  | 2 +-
 str/catiw.c                  | 2 +-
 str/catiwll.c                | 2 +-
 str/catns.c                  | 2 +-
 str/catsllnum.c              | 2 +-
 str/catsnum.c                | 2 +-
 str/catullnum.c              | 2 +-
 str/catunum.c                | 2 +-
 str/catuw.c                  | 2 +-
 str/catuwll.c                | 2 +-
 str/catxw.c                  | 2 +-
 str/catxwll.c                | 2 +-
 str/cmp.c                    | 2 +-
 str/copy.c                   | 2 +-
 str/copy2s.c                 | 2 +-
 str/copy3s.c                 | 2 +-
 str/copy4s.c                 | 2 +-
 str/copy5s.c                 | 2 +-
 str/copy6s.c                 | 2 +-
 str/copyns.c                 | 2 +-
 str/count.c                  | 2 +-
 str/countof.c                | 2 +-
 str/cut.c                    | 2 +-
 str/diff.c                   | 2 +-
 str/findnext.c               | 2 +-
 str/findnextnot.c            | 2 +-
 str/findnextof.c             | 2 +-
 str/free.c                   | 2 +-
 str/init.c                   | 2 +-
 str/join.c                   | 2 +-
 str/lower.c                  | 2 +-
 str/lstrip.c                 | 2 +-
 str/match.c                  | 2 +-
 str/rstrip.c                 | 2 +-
 str/sort.c                   | 2 +-
 str/splice.c                 | 2 +-
 str/start.c                  | 2 +-
 str/subst.c                  | 2 +-
 str/truncate.c               | 2 +-
 str/upper.c                  | 2 +-
 str/xlate.c                  | 2 +-
 unix/cloexec_off.c           | 2 +-
 unix/cloexec_on.c            | 2 +-
 unix/fcntl_fd_off.c          | 2 +-
 unix/fcntl_fd_on.c           | 2 +-
 unix/fcntl_fl_off.c          | 2 +-
 unix/fcntl_fl_on.c           | 2 +-
 unix/nonblock_off.c          | 2 +-
 unix/nonblock_on.c           | 2 +-
 unix/sig_block.c             | 2 +-
 unix/sig_catch.c             | 2 +-
 unix/sig_suspend.c           | 2 +-
 154 files changed, 154 insertions(+), 154 deletions(-)

commit 7cc27b9b17c771df6c4645c044d44ec97c2725d0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 21 04:39:57 2005 +0000

    Switched from standard GPL to LGPL-2.1 license.

 NEWS                         |  2 ++
 bg-installer.c               | 20 ++++++++++----------
 cdb++/cdb++.h                | 20 ++++++++++----------
 cdb++/cdb_get.cc             | 20 ++++++++++----------
 cdb++/cdb_getrec.cc          | 20 ++++++++++----------
 cdb++/cdb_make.cc            | 20 ++++++++++----------
 cdb++/cdb_reader.cc          | 20 ++++++++++----------
 cdb++/cdb_writer.cc          | 20 ++++++++++----------
 cdb++/datum.cc               | 20 ++++++++++----------
 cdb++/internal.h             | 20 ++++++++++----------
 cdb/get.c                    | 20 ++++++++++----------
 cdb/getnext.c                | 20 ++++++++++----------
 cgi/cgi-args.cc              | 20 ++++++++++----------
 cgi/cgi-base.cc              | 20 ++++++++++----------
 cli++/clitest.cc             | 20 ++++++++++----------
 cli++/main.cc                | 20 ++++++++++----------
 cli++/messages.cc            | 20 ++++++++++----------
 cli/main.c                   | 20 ++++++++++----------
 crypto/md4.c                 | 20 ++++++++++----------
 crypto/sha256.c              | 20 ++++++++++----------
 crypto/sha384.c              | 20 ++++++++++----------
 crypto/sha512.c              | 20 ++++++++++----------
 crypto/surf.c                | 20 ++++++++++----------
 fdbuf/fdbuf.cc               | 20 ++++++++++----------
 fdbuf/fdbuf.h                | 20 ++++++++++----------
 fdbuf/fdbuf_copy.cc          | 20 ++++++++++----------
 fdbuf/fdibuf.cc              | 20 ++++++++++----------
 fdbuf/fdibuf.h               | 20 ++++++++++----------
 fdbuf/fdibuf_mystring.cc     | 20 ++++++++++----------
 fdbuf/fdibuf_netstring.cc    | 20 ++++++++++----------
 fdbuf/fdobuf.cc              | 20 ++++++++++----------
 fdbuf/fdobuf.h               | 20 ++++++++++----------
 fdbuf/fdobuf_chownmod.cc     | 20 ++++++++++----------
 fdbuf/fdobuf_seek.cc         | 20 ++++++++++----------
 fdbuf/fdobuf_signed.cc       | 20 ++++++++++----------
 fdbuf/fdobuf_unsigned.cc     | 20 ++++++++++----------
 fmt/char.c                   | 20 ++++++++++----------
 fmt/chars.c                  | 20 ++++++++++----------
 fmt/multi.c                  | 20 ++++++++++----------
 fmt/sllnum.c                 | 20 ++++++++++----------
 fmt/snum.c                   | 20 ++++++++++----------
 fmt/ullnum.c                 | 20 ++++++++++----------
 fmt/unum.c                   | 20 ++++++++++----------
 iobuf/ibuf_getstr_crlf.c     | 20 ++++++++++----------
 mystring/count.cc            | 20 ++++++++++----------
 mystring/iter.cc             | 20 ++++++++++----------
 mystring/iter.h              | 20 ++++++++++----------
 mystring/join.h              | 20 ++++++++++----------
 mystring/mystring.h          | 20 ++++++++++----------
 mystring/rep.h               | 20 ++++++++++----------
 net/accept4.c                | 20 ++++++++++----------
 net/accept6.c                | 20 ++++++++++----------
 net/acceptu.c                | 20 ++++++++++----------
 net/bind4.c                  | 20 ++++++++++----------
 net/bind6.c                  | 20 ++++++++++----------
 net/bindu.c                  | 20 ++++++++++----------
 net/broadcast.c              | 20 ++++++++++----------
 net/connect4.c               | 20 ++++++++++----------
 net/connect4_timeout.c       | 20 ++++++++++----------
 net/connect6.c               | 20 ++++++++++----------
 net/connect6_timeout.c       | 20 ++++++++++----------
 net/connected.c              | 20 ++++++++++----------
 net/connectu.c               | 20 ++++++++++----------
 net/connectu_timeout.c       | 20 ++++++++++----------
 net/cork.c                   | 20 ++++++++++----------
 net/getaddr4.c               | 20 ++++++++++----------
 net/getaddr6.c               | 20 ++++++++++----------
 net/linger.c                 | 20 ++++++++++----------
 net/listen.c                 | 20 ++++++++++----------
 net/notcpdelay.c             | 20 ++++++++++----------
 net/pairdgm.c                | 20 ++++++++++----------
 net/pairstr.c                | 20 ++++++++++----------
 net/recv4.c                  | 20 ++++++++++----------
 net/recv6.c                  | 20 ++++++++++----------
 net/recvfd.c                 | 20 ++++++++++----------
 net/recvu.c                  | 20 ++++++++++----------
 net/reuse.c                  | 20 ++++++++++----------
 net/send4.c                  | 20 ++++++++++----------
 net/send6.c                  | 20 ++++++++++----------
 net/sendfd.c                 | 20 ++++++++++----------
 net/sendu.c                  | 20 ++++++++++----------
 net/setopt.c                 | 20 ++++++++++----------
 net/shutdown.c               | 20 ++++++++++----------
 net/tcp4.c                   | 20 ++++++++++----------
 net/tcp6.c                   | 20 ++++++++++----------
 net/udp4.c                   | 20 ++++++++++----------
 net/udp6.c                   | 20 ++++++++++----------
 net/uncork.c                 | 20 ++++++++++----------
 net/unixdgm.c                | 20 ++++++++++----------
 net/unixstr.c                | 20 ++++++++++----------
 path/contains.c              | 20 ++++++++++----------
 path/fnmatch.c               | 20 ++++++++++----------
 path/match.c                 | 20 ++++++++++----------
 path/merge.c                 | 20 ++++++++++----------
 python/template/__init__.py  | 20 ++++++++++----------
 python/template/context.py   | 20 ++++++++++----------
 python/template/functions.py | 20 ++++++++++----------
 python/template/lex.py       | 20 ++++++++++----------
 python/template/parser.py    | 20 ++++++++++----------
 python/template/syntax.py    | 20 ++++++++++----------
 str/alloc.c                  | 20 ++++++++++----------
 str/buildmap.c               | 20 ++++++++++----------
 str/case_match.c             | 20 ++++++++++----------
 str/case_start.c             | 20 ++++++++++----------
 str/cat.c                    | 20 ++++++++++----------
 str/cat2s.c                  | 20 ++++++++++----------
 str/cat3s.c                  | 20 ++++++++++----------
 str/cat4s.c                  | 20 ++++++++++----------
 str/cat5s.c                  | 20 ++++++++++----------
 str/cat6s.c                  | 20 ++++++++++----------
 str/catf.c                   | 20 ++++++++++----------
 str/catiw.c                  | 20 ++++++++++----------
 str/catiwll.c                | 20 ++++++++++----------
 str/catns.c                  | 20 ++++++++++----------
 str/catsllnum.c              | 20 ++++++++++----------
 str/catsnum.c                | 20 ++++++++++----------
 str/catullnum.c              | 20 ++++++++++----------
 str/catunum.c                | 20 ++++++++++----------
 str/catuw.c                  | 20 ++++++++++----------
 str/catuwll.c                | 20 ++++++++++----------
 str/catxw.c                  | 20 ++++++++++----------
 str/catxwll.c                | 20 ++++++++++----------
 str/cmp.c                    | 20 ++++++++++----------
 str/copy.c                   | 20 ++++++++++----------
 str/copy2s.c                 | 20 ++++++++++----------
 str/copy3s.c                 | 20 ++++++++++----------
 str/copy4s.c                 | 20 ++++++++++----------
 str/copy5s.c                 | 20 ++++++++++----------
 str/copy6s.c                 | 20 ++++++++++----------
 str/copyf.c                  | 20 ++++++++++----------
 str/copyns.c                 | 20 ++++++++++----------
 str/count.c                  | 20 ++++++++++----------
 str/countof.c                | 20 ++++++++++----------
 str/cut.c                    | 20 ++++++++++----------
 str/diff.c                   | 20 ++++++++++----------
 str/findnext.c               | 20 ++++++++++----------
 str/findnextnot.c            | 20 ++++++++++----------
 str/findnextof.c             | 20 ++++++++++----------
 str/findprev.c               | 20 ++++++++++----------
 str/findprevnot.c            | 20 ++++++++++----------
 str/findprevof.c             | 20 ++++++++++----------
 str/free.c                   | 20 ++++++++++----------
 str/init.c                   | 20 ++++++++++----------
 str/join.c                   | 20 ++++++++++----------
 str/lower.c                  | 20 ++++++++++----------
 str/lstrip.c                 | 20 ++++++++++----------
 str/match.c                  | 20 ++++++++++----------
 str/rstrip.c                 | 20 ++++++++++----------
 str/sort.c                   | 20 ++++++++++----------
 str/splice.c                 | 20 ++++++++++----------
 str/start.c                  | 20 ++++++++++----------
 str/subst.c                  | 20 ++++++++++----------
 str/truncate.c               | 20 ++++++++++----------
 str/upper.c                  | 20 ++++++++++----------
 str/xlate.c                  | 20 ++++++++++----------
 unix/cloexec_off.c           | 20 ++++++++++----------
 unix/cloexec_on.c            | 20 ++++++++++----------
 unix/fcntl_fd_off.c          | 20 ++++++++++----------
 unix/fcntl_fd_on.c           | 20 ++++++++++----------
 unix/fcntl_fl_off.c          | 20 ++++++++++----------
 unix/fcntl_fl_on.c           | 20 ++++++++++----------
 unix/nonblock_off.c          | 20 ++++++++++----------
 unix/nonblock_on.c           | 20 ++++++++++----------
 unix/sig_block.c             | 20 ++++++++++----------
 unix/sig_catch.c             | 20 ++++++++++----------
 unix/sig_suspend.c           | 20 ++++++++++----------
 166 files changed, 1652 insertions(+), 1650 deletions(-)

commit 5538b03d481d51e6fde31e4b53a8a98b8f059710
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Nov 20 23:38:23 2005 +0000

    Switched email address from bruceg@em.ca to bruce@untroubled.org.

 README.in                    | 2 +-
 cdb++/cdb++.h                | 2 +-
 cdb++/cdb_get.cc             | 2 +-
 cdb++/cdb_getrec.cc          | 2 +-
 cdb++/cdb_make.cc            | 2 +-
 cdb++/cdb_reader.cc          | 2 +-
 cdb++/cdb_writer.cc          | 2 +-
 cdb++/datum.cc               | 2 +-
 cdb++/internal.h             | 2 +-
 cdb/get.c                    | 2 +-
 cdb/getnext.c                | 2 +-
 cgi/cgi-args.cc              | 2 +-
 cgi/cgi-base.cc              | 2 +-
 cli++/clitest.cc             | 2 +-
 cli++/main.cc                | 2 +-
 cli++/messages.cc            | 2 +-
 cli/main.c                   | 2 +-
 crypto/md5.c                 | 2 +-
 crypto/sha1.c                | 2 +-
 crypto/sha1.h                | 2 +-
 crypto/sha256.c              | 2 +-
 crypto/sha384.c              | 2 +-
 crypto/sha512.c              | 2 +-
 crypto/surf.c                | 2 +-
 fdbuf/fdbuf.cc               | 2 +-
 fdbuf/fdbuf.h                | 2 +-
 fdbuf/fdbuf_copy.cc          | 2 +-
 fdbuf/fdibuf.cc              | 2 +-
 fdbuf/fdibuf.h               | 2 +-
 fdbuf/fdibuf_mystring.cc     | 2 +-
 fdbuf/fdibuf_netstring.cc    | 2 +-
 fdbuf/fdobuf.cc              | 2 +-
 fdbuf/fdobuf.h               | 2 +-
 fdbuf/fdobuf_chownmod.cc     | 2 +-
 fdbuf/fdobuf_seek.cc         | 2 +-
 fdbuf/fdobuf_signed.cc       | 2 +-
 fdbuf/fdobuf_unsigned.cc     | 2 +-
 fmt/char.c                   | 2 +-
 fmt/chars.c                  | 2 +-
 fmt/multi.c                  | 2 +-
 fmt/sllnum.c                 | 2 +-
 fmt/snum.c                   | 2 +-
 fmt/ullnum.c                 | 2 +-
 fmt/unum.c                   | 2 +-
 mystring/count.cc            | 2 +-
 mystring/iter.cc             | 2 +-
 mystring/iter.h              | 2 +-
 mystring/join.h              | 2 +-
 mystring/mystring.h          | 2 +-
 mystring/rep.h               | 2 +-
 net/accept4.c                | 2 +-
 net/accept6.c                | 2 +-
 net/acceptu.c                | 2 +-
 net/bind4.c                  | 2 +-
 net/bind6.c                  | 2 +-
 net/bindu.c                  | 2 +-
 net/broadcast.c              | 2 +-
 net/connect4.c               | 2 +-
 net/connect4_timeout.c       | 2 +-
 net/connect6.c               | 2 +-
 net/connect6_timeout.c       | 2 +-
 net/connected.c              | 2 +-
 net/connectu.c               | 2 +-
 net/connectu_timeout.c       | 2 +-
 net/cork.c                   | 2 +-
 net/getaddr4.c               | 2 +-
 net/getaddr6.c               | 2 +-
 net/linger.c                 | 2 +-
 net/listen.c                 | 2 +-
 net/notcpdelay.c             | 2 +-
 net/pairdgm.c                | 2 +-
 net/pairstr.c                | 2 +-
 net/recv4.c                  | 2 +-
 net/recv6.c                  | 2 +-
 net/recvfd.c                 | 2 +-
 net/recvu.c                  | 2 +-
 net/reuse.c                  | 2 +-
 net/send4.c                  | 2 +-
 net/send6.c                  | 2 +-
 net/sendfd.c                 | 2 +-
 net/sendu.c                  | 2 +-
 net/setopt.c                 | 2 +-
 net/shutdown.c               | 2 +-
 net/tcp4.c                   | 2 +-
 net/tcp6.c                   | 2 +-
 net/udp4.c                   | 2 +-
 net/udp6.c                   | 2 +-
 net/uncork.c                 | 2 +-
 net/unixdgm.c                | 2 +-
 net/unixstr.c                | 2 +-
 path/contains.c              | 2 +-
 path/fnmatch.c               | 2 +-
 path/match.c                 | 2 +-
 path/merge.c                 | 2 +-
 python/template/__init__.py  | 2 +-
 python/template/context.py   | 2 +-
 python/template/functions.py | 2 +-
 python/template/lex.py       | 2 +-
 python/template/parser.py    | 2 +-
 python/template/syntax.py    | 2 +-
 spec                         | 2 +-
 str/alloc.c                  | 2 +-
 str/buildmap.c               | 2 +-
 str/case_match.c             | 2 +-
 str/case_start.c             | 2 +-
 str/cat.c                    | 2 +-
 str/cat2s.c                  | 2 +-
 str/cat3s.c                  | 2 +-
 str/cat4s.c                  | 2 +-
 str/cat5s.c                  | 2 +-
 str/cat6s.c                  | 2 +-
 str/catf.c                   | 2 +-
 str/catiw.c                  | 2 +-
 str/catiwll.c                | 2 +-
 str/catns.c                  | 2 +-
 str/catsllnum.c              | 2 +-
 str/catsnum.c                | 2 +-
 str/catullnum.c              | 2 +-
 str/catunum.c                | 2 +-
 str/catuw.c                  | 2 +-
 str/catuwll.c                | 2 +-
 str/catxw.c                  | 2 +-
 str/catxwll.c                | 2 +-
 str/cmp.c                    | 2 +-
 str/copy.c                   | 2 +-
 str/copy2s.c                 | 2 +-
 str/copy3s.c                 | 2 +-
 str/copy4s.c                 | 2 +-
 str/copy5s.c                 | 2 +-
 str/copy6s.c                 | 2 +-
 str/copyf.c                  | 2 +-
 str/copyns.c                 | 2 +-
 str/count.c                  | 2 +-
 str/countof.c                | 2 +-
 str/cut.c                    | 2 +-
 str/diff.c                   | 2 +-
 str/findnext.c               | 2 +-
 str/findnextnot.c            | 2 +-
 str/findnextof.c             | 2 +-
 str/findprev.c               | 2 +-
 str/findprevnot.c            | 2 +-
 str/findprevof.c             | 2 +-
 str/free.c                   | 2 +-
 str/init.c                   | 2 +-
 str/join.c                   | 2 +-
 str/lower.c                  | 2 +-
 str/lstrip.c                 | 2 +-
 str/match.c                  | 2 +-
 str/rstrip.c                 | 2 +-
 str/sort.c                   | 2 +-
 str/splice.c                 | 2 +-
 str/start.c                  | 2 +-
 str/subst.c                  | 2 +-
 str/truncate.c               | 2 +-
 str/upper.c                  | 2 +-
 str/xlate.c                  | 2 +-
 unix/cloexec_off.c           | 2 +-
 unix/cloexec_on.c            | 2 +-
 unix/fcntl_fd_off.c          | 2 +-
 unix/fcntl_fd_on.c           | 2 +-
 unix/fcntl_fl_off.c          | 2 +-
 unix/fcntl_fl_on.c           | 2 +-
 unix/nonblock_off.c          | 2 +-
 unix/nonblock_on.c           | 2 +-
 unix/sig_block.c             | 2 +-
 unix/sig_catch.c             | 2 +-
 unix/sig_suspend.c           | 2 +-
 167 files changed, 167 insertions(+), 167 deletions(-)

commit f4999098287c1be44ffd88e57e83e7db44315d56
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Nov 4 20:47:46 2005 +0000

    Fixed bug in self test for unix/selfpipe.c that caused problems with
    running make -- the self test sent signals to "0", which is the process
    group, instead of to a single PID.

 NEWS            | 3 +++
 unix/selfpipe.c | 7 ++++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 3b84c854ea167890c232d13714f6e3bca806c241
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Nov 2 17:37:50 2005 +0000

    Expose the mystring::append functions publically.

 mystring/mystring.h | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 3c9e872c084a6e4d7a48d1cf3bf3acd49cc61934
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Sep 4 04:41:12 2005 +0000

    Fixed name of cli++topod.pl script.

 cli++/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b22e74d62493c5b455a5a3c3ea6dbc3601b1c89
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Sep 4 04:20:59 2005 +0000

    Changed the definition of uint32 to just "unsigned" in order to make the
    cdb++ library work on both 32 and 64-bit systems.

 cdb++/cdb++.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fec890671c833192b9ab6de342de1c817bc7e293
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 29 17:39:54 2005 +0000

    Fixed sysdep for clock_gettime to link with rt.lib.

 sysdeps.h.spac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e6d4dbc1421c939f3feee704b5e93ec0ce494e15
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 29 17:32:59 2005 +0000

    Added sysdep for dynamic linker functions (dlopen etc).

 NEWS           |  1 +
 choose.sh      | 12 +++++++-----
 dotlibs.spac   |  2 +-
 sys/hasdl.h0   |  1 +
 sys/hasdl.h1   |  2 ++
 sys/trydl.c    | 10 ++++++++++
 sysdeps.h.spac |  4 +++-
 7 files changed, 25 insertions(+), 7 deletions(-)
 create mode 100644 sys/hasdl.h0
 create mode 100644 sys/hasdl.h1
 create mode 100644 sys/trydl.c

commit 42aa4ab1ff9ebd23b95279dfbcaaffd9463a05eb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 29 17:32:16 2005 +0000

    Bumped version to 1.028

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 32710ac43be298788556bfeba11e14e807154e43
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 29 17:20:07 2005 +0000

    Simplified sysdep choosing:
    All sysdeps follow the try*.c has*.h0 has*.h1 scheme.

 sys/{direntry.h0 => hasdirent.h0}     |  0
 sys/{direntry.h1 => hasdirent.h1}     |  0
 sys/{endian.h0 => hasendian.h0}       |  0
 sys/{endian.h1 => hasendian.h1}       |  0
 sys/{iopoll.h0 => haspoll.h0}         |  5 -----
 sys/{iopoll.h1 => haspoll.h1}         |  5 -----
 sys/{uint32.h0 => hasulong32.h0}      |  0
 sys/{uint32.h1 => hasulong32.h1}      |  0
 sys/{uint64.h0 => hasulong64.h0}      |  0
 sys/{uint64.h1 => hasulong64.h1}      |  0
 sys/{unaligned.h0 => hasunaligned.h0} |  0
 sys/{unaligned.h1 => hasunaligned.h1} |  0
 sys/{unsetenv.h0 => hasunsetenv.h0}   |  0
 sys/{unsetenv.h1 => hasunsetenv.h1}   |  0
 sysdeps.h.spac                        | 32 +++++++++++++-------------------
 15 files changed, 13 insertions(+), 29 deletions(-)
 rename sys/{direntry.h0 => hasdirent.h0} (100%)
 rename sys/{direntry.h1 => hasdirent.h1} (100%)
 rename sys/{endian.h0 => hasendian.h0} (100%)
 rename sys/{endian.h1 => hasendian.h1} (100%)
 rename sys/{iopoll.h0 => haspoll.h0} (86%)
 rename sys/{iopoll.h1 => haspoll.h1} (85%)
 rename sys/{uint32.h0 => hasulong32.h0} (100%)
 rename sys/{uint32.h1 => hasulong32.h1} (100%)
 rename sys/{uint64.h0 => hasulong64.h0} (100%)
 rename sys/{uint64.h1 => hasulong64.h1} (100%)
 rename sys/{unaligned.h0 => hasunaligned.h0} (100%)
 rename sys/{unaligned.h1 => hasunaligned.h1} (100%)
 rename sys/{unsetenv.h0 => hasunsetenv.h0} (100%)
 rename sys/{unsetenv.h1 => hasunsetenv.h1} (100%)

commit ae26188abdf34f5a918fd4f1d6eab583998c0497
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 29 17:10:26 2005 +0000

    Renamed .h2 to .h1 (1 meaning "on") and fixed up the choose.sh file to match.

 choose.sh                                      |  8 ++++----
 sys/{direntry.h2 => direntry.h1}               |  0
 sys/{endian.h2 => endian.h1}                   |  0
 sys/{hasclockgettime.h2 => hasclockgettime.h1} |  0
 sys/{hasdaylight.h2 => hasdaylight.h1}         |  0
 sys/{hasdeprecated.h2 => hasdeprecated.h1}     |  0
 sys/{hasflock.h2 => hasflock.h1}               |  0
 sys/{hasgetpeereid.h2 => hasgetpeereid.h1}     |  0
 sys/{hasinline.h2 => hasinline.h1}             |  0
 sys/{hasipv6.h2 => hasipv6.h1}                 |  0
 sys/{hasmkfifo.h2 => hasmkfifo.h1}             |  0
 sys/{hasnamedpipebug.h2 => hasnamedpipebug.h1} |  0
 sys/{haspeercred.h2 => haspeercred.h1}         |  0
 sys/{hassendfile.h2 => hassendfile.h1}         |  0
 sys/{hassetenv.h2 => hassetenv.h1}             |  0
 sys/{hassigaction.h2 => hassigaction.h1}       |  0
 sys/{hassigprocmask.h2 => hassigprocmask.h1}   |  0
 sys/{hasspnam.h2 => hasspnam.h1}               |  0
 sys/{hassysselect.h2 => hassysselect.h1}       |  0
 sys/{hastimespec.h2 => hastimespec.h1}         |  0
 sys/{hasuserpw.h2 => hasuserpw.h1}             |  0
 sys/{hasvfork.h2 => hasvfork.h1}               |  0
 sys/{haswaitp.h2 => haswaitp.h1}               |  0
 sys/{haszlib.h2 => haszlib.h1}                 |  0
 sys/{iopoll.h2 => iopoll.h1}                   |  0
 sys/{uint32.h2 => uint32.h1}                   |  0
 sys/{uint64.h2 => uint64.h1}                   |  0
 sys/{unaligned.h2 => unaligned.h1}             |  0
 sys/{unsetenv.h2 => unsetenv.h1}               |  0
 sysdeps.h.spac                                 | 16 ++++++++--------
 30 files changed, 12 insertions(+), 12 deletions(-)
 rename sys/{direntry.h2 => direntry.h1} (100%)
 rename sys/{endian.h2 => endian.h1} (100%)
 rename sys/{hasclockgettime.h2 => hasclockgettime.h1} (100%)
 rename sys/{hasdaylight.h2 => hasdaylight.h1} (100%)
 rename sys/{hasdeprecated.h2 => hasdeprecated.h1} (100%)
 rename sys/{hasflock.h2 => hasflock.h1} (100%)
 rename sys/{hasgetpeereid.h2 => hasgetpeereid.h1} (100%)
 rename sys/{hasinline.h2 => hasinline.h1} (100%)
 rename sys/{hasipv6.h2 => hasipv6.h1} (100%)
 rename sys/{hasmkfifo.h2 => hasmkfifo.h1} (100%)
 rename sys/{hasnamedpipebug.h2 => hasnamedpipebug.h1} (100%)
 rename sys/{haspeercred.h2 => haspeercred.h1} (100%)
 rename sys/{hassendfile.h2 => hassendfile.h1} (100%)
 rename sys/{hassetenv.h2 => hassetenv.h1} (100%)
 rename sys/{hassigaction.h2 => hassigaction.h1} (100%)
 rename sys/{hassigprocmask.h2 => hassigprocmask.h1} (100%)
 rename sys/{hasspnam.h2 => hasspnam.h1} (100%)
 rename sys/{hassysselect.h2 => hassysselect.h1} (100%)
 rename sys/{hastimespec.h2 => hastimespec.h1} (100%)
 rename sys/{hasuserpw.h2 => hasuserpw.h1} (100%)
 rename sys/{hasvfork.h2 => hasvfork.h1} (100%)
 rename sys/{haswaitp.h2 => haswaitp.h1} (100%)
 rename sys/{haszlib.h2 => haszlib.h1} (100%)
 rename sys/{iopoll.h2 => iopoll.h1} (100%)
 rename sys/{uint32.h2 => uint32.h1} (100%)
 rename sys/{uint64.h2 => uint64.h1} (100%)
 rename sys/{unaligned.h2 => unaligned.h1} (100%)
 rename sys/{unsetenv.h2 => unsetenv.h1} (100%)

commit 7949ef52ab42a717b4147fb118e8c618f6830e4a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 29 17:10:02 2005 +0000

    Switched from hard-coded constants to the symbolic names for vpwentry
    flag numbers.

 vmailmgr/vpwentry_import.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9369f973de71880e8e196f4beaf9471573d09933
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 29 17:08:28 2005 +0000

    First step of renaming has*.h# files:
    .h1 becomes .h0 (0 meaning not set)

 sys/{direntry.h1 => direntry.h0}               | 0
 sys/{endian.h1 => endian.h0}                   | 0
 sys/{hasclockgettime.h1 => hasclockgettime.h0} | 0
 sys/{hasdaylight.h1 => hasdaylight.h0}         | 0
 sys/{hasdeprecated.h1 => hasdeprecated.h0}     | 0
 sys/{hasflock.h1 => hasflock.h0}               | 0
 sys/{hasgetpeereid.h1 => hasgetpeereid.h0}     | 0
 sys/{hasinline.h1 => hasinline.h0}             | 0
 sys/{hasipv6.h1 => hasipv6.h0}                 | 0
 sys/{hasmkfifo.h1 => hasmkfifo.h0}             | 0
 sys/{hasnamedpipebug.h1 => hasnamedpipebug.h0} | 0
 sys/{haspeercred.h1 => haspeercred.h0}         | 0
 sys/{hassendfile.h1 => hassendfile.h0}         | 0
 sys/{hassetenv.h1 => hassetenv.h0}             | 0
 sys/{hassigaction.h1 => hassigaction.h0}       | 0
 sys/{hassigprocmask.h1 => hassigprocmask.h0}   | 0
 sys/{hasspnam.h1 => hasspnam.h0}               | 0
 sys/{hassysselect.h1 => hassysselect.h0}       | 0
 sys/{hastimespec.h1 => hastimespec.h0}         | 0
 sys/{hasuserpw.h1 => hasuserpw.h0}             | 0
 sys/{hasvfork.h1 => hasvfork.h0}               | 0
 sys/{haswaitp.h1 => haswaitp.h0}               | 0
 sys/{haszlib.h1 => haszlib.h0}                 | 0
 sys/{iopoll.h1 => iopoll.h0}                   | 0
 sys/{uint32.h1 => uint32.h0}                   | 0
 sys/{uint64.h1 => uint64.h0}                   | 0
 sys/{unaligned.h1 => unaligned.h0}             | 0
 sys/{unsetenv.h1 => unsetenv.h0}               | 0
 28 files changed, 0 insertions(+), 0 deletions(-)
 rename sys/{direntry.h1 => direntry.h0} (100%)
 rename sys/{endian.h1 => endian.h0} (100%)
 rename sys/{hasclockgettime.h1 => hasclockgettime.h0} (100%)
 rename sys/{hasdaylight.h1 => hasdaylight.h0} (100%)
 rename sys/{hasdeprecated.h1 => hasdeprecated.h0} (100%)
 rename sys/{hasflock.h1 => hasflock.h0} (100%)
 rename sys/{hasgetpeereid.h1 => hasgetpeereid.h0} (100%)
 rename sys/{hasinline.h1 => hasinline.h0} (100%)
 rename sys/{hasipv6.h1 => hasipv6.h0} (100%)
 rename sys/{hasmkfifo.h1 => hasmkfifo.h0} (100%)
 rename sys/{hasnamedpipebug.h1 => hasnamedpipebug.h0} (100%)
 rename sys/{haspeercred.h1 => haspeercred.h0} (100%)
 rename sys/{hassendfile.h1 => hassendfile.h0} (100%)
 rename sys/{hassetenv.h1 => hassetenv.h0} (100%)
 rename sys/{hassigaction.h1 => hassigaction.h0} (100%)
 rename sys/{hassigprocmask.h1 => hassigprocmask.h0} (100%)
 rename sys/{hasspnam.h1 => hasspnam.h0} (100%)
 rename sys/{hassysselect.h1 => hassysselect.h0} (100%)
 rename sys/{hastimespec.h1 => hastimespec.h0} (100%)
 rename sys/{hasuserpw.h1 => hasuserpw.h0} (100%)
 rename sys/{hasvfork.h1 => hasvfork.h0} (100%)
 rename sys/{haswaitp.h1 => haswaitp.h0} (100%)
 rename sys/{haszlib.h1 => haszlib.h0} (100%)
 rename sys/{iopoll.h1 => iopoll.h0} (100%)
 rename sys/{uint32.h1 => uint32.h0} (100%)
 rename sys/{uint64.h1 => uint64.h0} (100%)
 rename sys/{unaligned.h1 => unaligned.h0} (100%)
 rename sys/{unsetenv.h1 => unsetenv.h0} (100%)

commit 63f1a5310315fcf7c360adfbc0b24f1be0f7ea40
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 23 18:21:54 2005 +0000

    Added some selftests for a few ibuf functions.

 iobuf/ibuf_getc.c         | 24 ++++++++++++++++++++++++
 iobuf/ibuf_getnetstring.c | 22 ++++++++++++++++++++++
 iobuf/ibuf_gets.c         | 21 +++++++++++++++++++++
 iobuf/ibuf_getstr_crlf.c  | 23 +++++++++++++++++++++++
 4 files changed, 90 insertions(+)

commit 72f012097cbbb67957086f6cdad70416059398c8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 23 17:41:16 2005 +0000

    Added notes about recent changes.

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 44ce8a40d02d639e86e84ad130531b2201a448f4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 23 17:37:44 2005 +0000

    Added some generated .lib files, for testing.

 INSTHIER     | 8 ++++++++
 all.spac     | 2 +-
 dotlibs.spac | 1 +
 3 files changed, 10 insertions(+), 1 deletion(-)
 create mode 100644 dotlibs.spac

commit 3e9d76cd863f67477c31ec454acbd4fc3b214fb3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 22:38:58 2005 +0000

    Fixed numberic export glitch in vpwentry_export: (unsigned)-1 is
    represented in vpwentries as "-" instead of "4294967295".

 NEWS                       | 1 +
 vmailmgr/vpwentry_export.c | 2 ++
 2 files changed, 3 insertions(+)

commit 0a79e129642369260cb5abae550c0ee47443b993
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 22:37:20 2005 +0000

    Bumped version to 1.027

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 9ab7da66d422cf26328b8b70fa62b749407eea13
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 20:39:41 2005 +0000

    Added some dependancies in the selftests.sh spac file to allow "make -j"
    to work without errors.

 selftests.spac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e66d36c1a2901f00ab235ebf99957b1c541c3ac
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 20:17:04 2005 +0000

    Change depricated Copyright: tag to License: in spec.

 spec | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8612f91d9695a2a4a7d994e49461749931bff467
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 20:11:01 2005 +0000

    Added $Id$ tags to all C sources and includes.

 ac/dirent.h                | 1 +
 ac/time.h                  | 1 +
 ac/wait.h                  | 1 +
 adt/adt_sp.c               | 1 +
 adt/common.h               | 1 +
 adt/ghash.h                | 1 +
 adt/ghash_add.c            | 1 +
 adt/ghash_foreach.c        | 1 +
 adt/ghash_free.c           | 1 +
 adt/ghash_get.c            | 1 +
 adt/ghash_init.c           | 1 +
 adt/ghash_insert.c         | 1 +
 adt/ghash_iter.c           | 1 +
 adt/ghash_rebuild.c        | 1 +
 adt/ghash_rehash.c         | 1 +
 adt/ghash_remove.c         | 1 +
 adt/ghash_search.c         | 1 +
 adt/gqueue.h               | 1 +
 adt/gqueue_pop.c           | 1 +
 adt/gqueue_push.c          | 1 +
 adt/gqueue_top.c           | 1 +
 adt/gstack.h               | 1 +
 adt/gstack_pop.c           | 1 +
 adt/gstack_push.c          | 1 +
 adt/gstack_top.c           | 1 +
 adt/hashb.c                | 1 +
 adt/hashs.c                | 1 +
 base64/asc2bin.c           | 1 +
 base64/base64.h            | 1 +
 base64/bin2asc.c           | 1 +
 base64/decode_line.c       | 1 +
 base64/decode_part.c       | 1 +
 base64/encode_line.c       | 1 +
 base64/encode_part.c       | 1 +
 cdb++/cdb++.h              | 1 +
 cdb++/datum.h              | 1 +
 cdb++/internal.h           | 1 +
 cdb/cdb.c                  | 1 +
 cdb/cdb.h                  | 1 +
 cdb/find.c                 | 1 +
 cdb/get.c                  | 1 +
 cdb/getnext.c              | 1 +
 cdb/hash.c                 | 1 +
 cdb/make.c                 | 1 +
 cdb/make.h                 | 1 +
 cdb/read.c                 | 1 +
 cdb/str.h                  | 1 +
 cgi/cgi-args.h             | 1 +
 cgi/cgi-base.h             | 1 +
 cli++/cli++.h              | 1 +
 cli/cli.h                  | 1 +
 cli/main.c                 | 1 +
 crc-gentab.c               | 1 +
 crc/crc16_arc.h            | 1 +
 crc/crc16_ccitt.h          | 1 +
 crc/crc16_xmodem.h         | 1 +
 crc/crc32.h                | 1 +
 crc/crc32c.h               | 1 +
 crc/crc64.h                | 1 +
 crc/gcrc.h                 | 1 +
 crc/gcrc16fwd.c            | 1 +
 crc/gcrc16rfl.c            | 1 +
 crc/gcrc32fwd.c            | 1 +
 crc/gcrc32rfl.c            | 1 +
 crc/gcrc64fwd.c            | 1 +
 crc/gcrc64rfl.c            | 1 +
 crypto/md4.c               | 1 +
 crypto/md4.h               | 1 +
 crypto/md5-crypt.c         | 1 +
 crypto/md5.c               | 1 +
 crypto/md5.h               | 1 +
 crypto/sha1.c              | 1 +
 crypto/sha1.h              | 1 +
 crypto/sha1test.c          | 1 +
 crypto/sha256.c            | 1 +
 crypto/sha256.h            | 1 +
 crypto/sha384.c            | 1 +
 crypto/sha384.h            | 1 +
 crypto/sha512.c            | 1 +
 crypto/sha512.h            | 1 +
 crypto/surf.c              | 1 +
 crypto/surf.h              | 1 +
 dict/add.c                 | 1 +
 dict/dict.h                | 1 +
 dict/foreach.c             | 1 +
 dict/free.c                | 1 +
 dict/get.c                 | 1 +
 dict/hash.c                | 1 +
 dict/init.c                | 1 +
 dict/load.h                | 1 +
 dict/load_list.c           | 1 +
 dict/load_map.c            | 1 +
 dict/str_free.c            | 1 +
 err/die.c                  | 1 +
 err/err.h                  | 1 +
 err/error.c                | 1 +
 err/message.c              | 1 +
 err/warn.c                 | 1 +
 fdbuf/fdbuf.h              | 1 +
 fdbuf/fdibuf.h             | 1 +
 fdbuf/fdobuf.h             | 1 +
 fmt/char.c                 | 1 +
 fmt/chars.c                | 1 +
 fmt/lcase.c                | 1 +
 fmt/misc.h                 | 1 +
 fmt/multi.c                | 1 +
 fmt/multi.h                | 1 +
 fmt/number.h               | 1 +
 fmt/pad.c                  | 1 +
 fmt/sdec.c                 | 1 +
 fmt/sign_pad.c             | 1 +
 fmt/slldec.c               | 1 +
 fmt/sllnum.c               | 1 +
 fmt/snum.c                 | 1 +
 fmt/uHex.c                 | 1 +
 fmt/ucase.c                | 1 +
 fmt/udec.c                 | 1 +
 fmt/uhex.c                 | 1 +
 fmt/ullHex.c               | 1 +
 fmt/ulldec.c               | 1 +
 fmt/ullhex.c               | 1 +
 fmt/ullnum.c               | 1 +
 fmt/unum.c                 | 1 +
 instlib/installer.c        | 1 +
 instlib/installer.h        | 1 +
 instlib/instcheck.c        | 1 +
 instlib/instmain.c         | 1 +
 instlib/instshow.c         | 1 +
 iobuf/common.h             | 1 +
 iobuf/ibuf.h               | 1 +
 iobuf/ibuf_copytofd.c      | 1 +
 iobuf/ibuf_getc.c          | 1 +
 iobuf/ibuf_getnetstring.c  | 1 +
 iobuf/ibuf_gets.c          | 1 +
 iobuf/ibuf_getstr.c        | 1 +
 iobuf/ibuf_getstr_crlf.c   | 1 +
 iobuf/ibuf_getu.c          | 1 +
 iobuf/ibuf_init.c          | 1 +
 iobuf/ibuf_open.c          | 1 +
 iobuf/ibuf_openreadclose.c | 1 +
 iobuf/ibuf_peek.c          | 1 +
 iobuf/ibuf_read.c          | 1 +
 iobuf/ibuf_readall.c       | 1 +
 iobuf/ibuf_refill.c        | 1 +
 iobuf/ibuf_seek.c          | 1 +
 iobuf/ibuf_status.c        | 1 +
 iobuf/ibuf_stdin.c         | 1 +
 iobuf/ibuf_tell.c          | 1 +
 iobuf/iobuf.h              | 1 +
 iobuf/iobuf_close.c        | 1 +
 iobuf/iobuf_copy.c         | 1 +
 iobuf/iobuf_init.c         | 1 +
 iobuf/iobuf_timeout.c      | 1 +
 iobuf/obuf.h               | 1 +
 iobuf/obuf_close.c         | 1 +
 iobuf/obuf_copyfromfd.c    | 1 +
 iobuf/obuf_digits.c        | 1 +
 iobuf/obuf_endl.c          | 1 +
 iobuf/obuf_flush.c         | 1 +
 iobuf/obuf_init.c          | 1 +
 iobuf/obuf_open.c          | 1 +
 iobuf/obuf_pad.c           | 1 +
 iobuf/obuf_put2s.c         | 1 +
 iobuf/obuf_put3s.c         | 1 +
 iobuf/obuf_put4s.c         | 1 +
 iobuf/obuf_put5s.c         | 1 +
 iobuf/obuf_put6s.c         | 1 +
 iobuf/obuf_put7s.c         | 1 +
 iobuf/obuf_putc.c          | 1 +
 iobuf/obuf_putf.c          | 1 +
 iobuf/obuf_putnetstring.c  | 1 +
 iobuf/obuf_putns.c         | 1 +
 iobuf/obuf_putsflush.c     | 1 +
 iobuf/obuf_putsllnumw.c    | 1 +
 iobuf/obuf_putsnumw.c      | 1 +
 iobuf/obuf_putullnumw.c    | 1 +
 iobuf/obuf_putunumw.c      | 1 +
 iobuf/obuf_seek.c          | 1 +
 iobuf/obuf_sign_pad.c      | 1 +
 iobuf/obuf_stderr.c        | 1 +
 iobuf/obuf_stdout.c        | 1 +
 iobuf/obuf_sync.c          | 1 +
 iobuf/obuf_write.c         | 1 +
 misc/misc.h                | 1 +
 misc/random.c              | 1 +
 misc/strtou.c              | 1 +
 misc/ucspi.c               | 1 +
 misc/ucspi.h               | 1 +
 misc/utoa.c                | 1 +
 misc/utoa2.c               | 1 +
 msg/common.c               | 1 +
 msg/commonf.c              | 1 +
 msg/debug.c                | 1 +
 msg/debug_init.c           | 1 +
 msg/debugf.c               | 1 +
 msg/die.c                  | 1 +
 msg/dief.c                 | 1 +
 msg/error.c                | 1 +
 msg/errorf.c               | 1 +
 msg/msg.h                  | 1 +
 msg/oom.c                  | 1 +
 msg/warn.c                 | 1 +
 msg/warnf.c                | 1 +
 msg/wrap.h                 | 1 +
 msg/wrap_alloc.c           | 1 +
 msg/wrap_chdir.c           | 1 +
 msg/wrap_exit.c            | 1 +
 msg/wrap_str.c             | 1 +
 mystring/iter.h            | 1 +
 mystring/join.h            | 1 +
 mystring/mystring.h        | 1 +
 mystring/rep.h             | 1 +
 mystring/trace.h           | 1 +
 net/accept4.c              | 1 +
 net/accept6.c              | 1 +
 net/acceptu.c              | 1 +
 net/bind4.c                | 1 +
 net/bind6.c                | 1 +
 net/bindu.c                | 1 +
 net/broadcast.c            | 1 +
 net/cmsg.h                 | 1 +
 net/connect4.c             | 1 +
 net/connect4_timeout.c     | 1 +
 net/connect6.c             | 1 +
 net/connect6_timeout.c     | 1 +
 net/connected.c            | 1 +
 net/connectu.c             | 1 +
 net/connectu_timeout.c     | 1 +
 net/cork.c                 | 1 +
 net/getaddr4.c             | 1 +
 net/getaddr6.c             | 1 +
 net/ipv4.h                 | 1 +
 net/ipv4_addr.c            | 1 +
 net/ipv4_format.c          | 1 +
 net/ipv4_scan.c            | 1 +
 net/ipv6.h                 | 1 +
 net/ipv6_addr.c            | 1 +
 net/ipv6_format.c          | 1 +
 net/ipv6_scan.c            | 1 +
 net/linger.c               | 1 +
 net/listen.c               | 1 +
 net/notcpdelay.c           | 1 +
 net/pairdgm.c              | 1 +
 net/pairstr.c              | 1 +
 net/recv4.c                | 1 +
 net/recv6.c                | 1 +
 net/recvfd.c               | 1 +
 net/recvu.c                | 1 +
 net/resolve.h              | 1 +
 net/resolve_error.c        | 1 +
 net/resolve_ipv4addr.c     | 1 +
 net/resolve_ipv4name.c     | 1 +
 net/reuse.c                | 1 +
 net/send4.c                | 1 +
 net/send6.c                | 1 +
 net/sendfd.c               | 1 +
 net/sendu.c                | 1 +
 net/setopt.c               | 1 +
 net/shutdown.c             | 1 +
 net/socket.h               | 1 +
 net/tcp4.c                 | 1 +
 net/tcp6.c                 | 1 +
 net/udp4.c                 | 1 +
 net/udp6.c                 | 1 +
 net/uncork.c               | 1 +
 net/unixdgm.c              | 1 +
 net/unixstr.c              | 1 +
 path/contains.c            | 1 +
 path/fnmatch.c             | 1 +
 path/match.c               | 1 +
 path/merge.c               | 1 +
 path/mkdirs.c              | 1 +
 path/mktemp.c              | 1 +
 path/path.h                | 1 +
 selftest.c                 | 1 +
 str/alloc.c                | 1 +
 str/buildmap.c             | 1 +
 str/case_glob.c            | 1 +
 str/case_match.c           | 1 +
 str/case_start.c           | 1 +
 str/cat.c                  | 1 +
 str/cat2s.c                | 1 +
 str/cat3s.c                | 1 +
 str/cat4s.c                | 1 +
 str/cat5s.c                | 1 +
 str/cat6s.c                | 1 +
 str/catf.c                 | 1 +
 str/catiw.c                | 1 +
 str/catiwll.c              | 1 +
 str/catns.c                | 1 +
 str/catsllnum.c            | 1 +
 str/catsnum.c              | 1 +
 str/catullnum.c            | 1 +
 str/catunum.c              | 1 +
 str/catuw.c                | 1 +
 str/catuwll.c              | 1 +
 str/catxw.c                | 1 +
 str/catxwll.c              | 1 +
 str/cmp.c                  | 1 +
 str/copy.c                 | 1 +
 str/copy2s.c               | 1 +
 str/copy3s.c               | 1 +
 str/copy4s.c               | 1 +
 str/copy5s.c               | 1 +
 str/copy6s.c               | 1 +
 str/copyf.c                | 1 +
 str/copyns.c               | 1 +
 str/count.c                | 1 +
 str/countof.c              | 1 +
 str/cut.c                  | 1 +
 str/diff.c                 | 1 +
 str/digits.c               | 1 +
 str/env.h                  | 1 +
 str/env_find.c             | 1 +
 str/env_from_array.c       | 1 +
 str/env_from_string.c      | 1 +
 str/env_get.c              | 1 +
 str/env_make_array.c       | 1 +
 str/env_put.c              | 1 +
 str/env_set.c              | 1 +
 str/findnext.c             | 1 +
 str/findnextnot.c          | 1 +
 str/findnextof.c           | 1 +
 str/findprev.c             | 1 +
 str/findprevnot.c          | 1 +
 str/findprevof.c           | 1 +
 str/free.c                 | 1 +
 str/glob.c                 | 1 +
 str/init.c                 | 1 +
 str/iter.h                 | 1 +
 str/iter_advance.c         | 1 +
 str/iter_start.c           | 1 +
 str/iter_valid.c           | 1 +
 str/join.c                 | 1 +
 str/lower.c                | 1 +
 str/lstrip.c               | 1 +
 str/match.c                | 1 +
 str/rstrip.c               | 1 +
 str/sort.c                 | 1 +
 str/splice.c               | 1 +
 str/start.c                | 1 +
 str/str.h                  | 1 +
 str/subst.c                | 1 +
 str/truncate.c             | 1 +
 str/upper.c                | 1 +
 str/xlate.c                | 1 +
 sys/clock_gettime.c        | 1 +
 sys/getpeereid.c           | 1 +
 sys/iopoll.c               | 1 +
 sys/mkfifo.c               | 1 +
 sys/setenv.c               | 1 +
 sys/tryclockgettime.c      | 1 +
 sys/trydaylight.c          | 1 +
 sys/trydeprecated.c        | 1 +
 sys/trydirent.c            | 1 +
 sys/tryendian.c            | 1 +
 sys/tryflock.c             | 1 +
 sys/trygetpeereid.c        | 1 +
 sys/tryinline.c            | 1 +
 sys/tryipv6.c              | 1 +
 sys/trymkfifo.c            | 1 +
 sys/trynamedpipebug.c      | 1 +
 sys/trypeercred.c          | 1 +
 sys/trypoll.c              | 1 +
 sys/trysendfile.c          | 1 +
 sys/trysetenv.c            | 1 +
 sys/trysigaction.c         | 1 +
 sys/trysigprocmask.c       | 1 +
 sys/tryspnam.c             | 1 +
 sys/trysysselect.c         | 1 +
 sys/trysystime.c           | 1 +
 sys/trytime.c              | 1 +
 sys/trytimespec.c          | 1 +
 sys/tryulong32.c           | 1 +
 sys/tryulong64.c           | 1 +
 sys/tryunaligned.c         | 1 +
 sys/tryunsetenv.c          | 1 +
 sys/tryuserpw.c            | 1 +
 sys/tryvfork.c             | 1 +
 sys/trywaitp.c             | 1 +
 sys/tryzlib.c              | 1 +
 sys/unsetenv.c             | 1 +
 sysdeps-head.h             | 1 +
 sysdeps-tail.h             | 1 +
 uint16.h                   | 1 +
 uint16/get.c               | 1 +
 uint16/pack.c              | 1 +
 uint16/unpack.c            | 1 +
 uint32.h                   | 1 +
 uint32/get_lsb.c           | 1 +
 uint32/get_msb.c           | 1 +
 uint32/pack_lsb.c          | 1 +
 uint32/pack_msb.c          | 1 +
 uint32/unpack_lsb.c        | 1 +
 uint32/unpack_msb.c        | 1 +
 uint64.h                   | 1 +
 uint64/get_lsb.c           | 1 +
 uint64/get_msb.c           | 1 +
 uint64/pack_lsb.c          | 1 +
 uint64/pack_msb.c          | 1 +
 uint64/unpack_lsb.c        | 1 +
 uint64/unpack_msb.c        | 1 +
 uintnn.h                   | 1 +
 unix/cloexec.h             | 1 +
 unix/cloexec_off.c         | 1 +
 unix/cloexec_on.c          | 1 +
 unix/fcntl.c               | 1 +
 unix/fcntl.h               | 1 +
 unix/fcntl_fd_off.c        | 1 +
 unix/fcntl_fd_on.c         | 1 +
 unix/fcntl_fl_off.c        | 1 +
 unix/fcntl_fl_on.c         | 1 +
 unix/nonblock.h            | 1 +
 unix/nonblock_off.c        | 1 +
 unix/nonblock_on.c         | 1 +
 unix/selfpipe.c            | 1 +
 unix/selfpipe.h            | 1 +
 unix/sig.h                 | 1 +
 unix/sig_alarm.c           | 1 +
 unix/sig_all.c             | 1 +
 unix/sig_block.c           | 1 +
 unix/sig_bug.c             | 1 +
 unix/sig_catch.c           | 1 +
 unix/sig_child.c           | 1 +
 unix/sig_hup.c             | 1 +
 unix/sig_int.c             | 1 +
 unix/sig_misc.c            | 1 +
 unix/sig_pipe.c            | 1 +
 unix/sig_quit.c            | 1 +
 unix/sig_suspend.c         | 1 +
 unix/sig_term.c            | 1 +
 unix/trigger.h             | 1 +
 unix/trigger_pull.c        | 1 +
 unix/trigger_set.c         | 1 +
 vmailmgr/client.h          | 1 +
 vmailmgr/req_arg.c         | 1 +
 vmailmgr/req_init.c        | 1 +
 vmailmgr/req_write.c       | 1 +
 vmailmgr/resp_read.c       | 1 +
 vmailmgr/vpwentry.h        | 1 +
 vmailmgr/vpwentry_export.c | 1 +
 vmailmgr/vpwentry_free.c   | 1 +
 vmailmgr/vpwentry_import.c | 1 +
 443 files changed, 443 insertions(+)

commit b9d67931b3c082ee6435c521a63cd3abded507a8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 18:42:23 2005 +0000

    Added the capability to bg-installer to optionally run commands based
    on the existance of the source (or another) file.

 NEWS           |  3 +++
 bg-installer.c | 22 +++++++++++++++++++---
 2 files changed, 22 insertions(+), 3 deletions(-)

commit 61d00f912d13545e35f47134cabe4f4289088284
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 18:26:12 2005 +0000

    Fixed bg-installer to not create directories in "dry-run" mode.

 NEWS           | 2 ++
 bg-installer.c | 8 +++++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 4f2f2bd24063448550fc25b5fc38f15dc90ed0ee
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 17:44:07 2005 +0000

    Fixed negative indexing bug in ibuf_getstr_crlf.
    Thanks Gerrit Pape <pape@smarden.org>

 NEWS                     |  4 ++--
 iobuf/ibuf_getstr_crlf.c | 19 ++++++++++++++++++-
 2 files changed, 20 insertions(+), 3 deletions(-)

commit 0350f865ba86514e1d8e13d42e593104a2a30582
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 17:38:38 2005 +0000

    Fixed negative indexing bug in str_findprev* functions.
    Thanks Gerrit Pape <pape@smarden.org>

 NEWS              |  2 ++
 str/findprev.c    | 15 +++++++++++----
 str/findprevnot.c | 38 ++++++++++++++++++++++++++++++++------
 str/findprevof.c  | 18 ++++++++++++------
 4 files changed, 57 insertions(+), 16 deletions(-)

commit 60dca018b89b52ce37b80f5c9c6ccebac4604c53
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 19 17:34:15 2005 +0000

    Bumped version to 1.026

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit b5eb65301d5c82a5bd07b4a3a2acd4e47c4cb062
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 17:29:03 2005 +0000

    Added a sysdep for clock_gettime.

 NEWS                   |  3 ++-
 libbg-sysdeps=l        |  1 +
 sys/clock_gettime.c    | 19 +++++++++++++++++++
 sys/hasclockgettime.h1 | 10 ++++++++++
 sys/hasclockgettime.h2 |  2 ++
 sys/tryclockgettime.c  |  7 +++++++
 sysdeps.h.spac         |  3 ++-
 7 files changed, 43 insertions(+), 2 deletions(-)
 create mode 100644 sys/clock_gettime.c
 create mode 100644 sys/hasclockgettime.h1
 create mode 100644 sys/hasclockgettime.h2
 create mode 100644 sys/tryclockgettime.c

commit 576f9a3ca2430a2ecba8459d15ab36eb3f62408a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 16:50:13 2005 +0000

    Added copyright notice to bg-installer.c

 bg-installer.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 37d9c74db35262464b5833a0dee42f0154fb6871
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 16:40:19 2005 +0000

    Use wrap_str to protect against OOM in string routines in bg-installer.

 bg-installer.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 6c68963618f0502418bc62fdf6da5a9e9e43fa81
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 16:37:57 2005 +0000

    Converted the install setup to the new unified INSTHIER mechanism.

 BIN                 |  2 --
 INCLUDE => INSTHIER | 95 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 LIB                 | 88 -------------------------------------------------
 install.spac        | 10 ++----
 4 files changed, 98 insertions(+), 97 deletions(-)
 delete mode 100644 BIN
 rename INCLUDE => INSTHIER (50%)
 delete mode 100644 LIB

commit 712aa7e03713baaf20c4b2720b0199f6c4e38290
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 16:33:46 2005 +0000

    Two minor tweaks to path_mktemp:
    1. Cache the PID to avoid one syscall if the routine is called repeatedly.
    2. Format the microsecond number out to 6 digits.

 path/mktemp.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit a843bade39c9b5a1cfdb49651cd89fe16f90f531
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 16:32:12 2005 +0000

    Added the capability to bg-installer to handle multiple destinations
    within the same source list.

 NEWS           |  3 +++
 bg-installer.c | 60 +++++++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 48 insertions(+), 15 deletions(-)

commit ebb8480c41d6d9f7599b3a0cb8d127640de8be1e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Aug 3 05:58:04 2005 +0000

    Added a sysdep for struct timespec, which is defined if not present.

 NEWS               | 2 ++
 sys/hastimespec.h1 | 5 +++++
 sys/hastimespec.h2 | 2 ++
 sys/trytimespec.c  | 3 +++
 sysdeps.h.spac     | 4 +++-
 5 files changed, 15 insertions(+), 1 deletion(-)
 create mode 100644 sys/hastimespec.h1
 create mode 100644 sys/hastimespec.h2
 create mode 100644 sys/trytimespec.c

commit a70b8e2ea84127d4f37a4b6b8dbac7a4d647bf46
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jul 16 22:25:45 2005 +0000

    Renamed the "setmode" function in bg-installer that was causing
    compile problems on *BSD systems.

 NEWS           | 2 ++
 bg-installer.c | 8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 354a38e5420da653eb8c87760e36ca39d99f5e97
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 15 22:49:16 2005 +0000

    Bumped version to 1.025

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit cfd410d68b89f21d6f2a6856e82a0ea46354505f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 11 04:44:52 2005 +0000

    Make the shared library a bit of a priority.

 TODO | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0c918e242e21c4edd7bcf23a30cf27539540575
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Jul 10 06:15:52 2005 +0000

    Fixed (again) glob patterns to allow both "!" (like modern glob)
    or "^" (like existing shells) for negating character sets.

 NEWS            |  2 ++
 str/case_glob.c | 34 +++++++++++++++++++++++++++++++++-
 str/glob.c      | 34 +++++++++++++++++++++++++++++++++-
 3 files changed, 68 insertions(+), 2 deletions(-)

commit 946766d5e69a85a347bf9d4dff2ef6982d21fcbd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Jul 10 06:11:10 2005 +0000

    Bumped version to 1.024

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit cfbfdb9a09bf1f080fb576e806a6a350bcc04129
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jul 9 15:44:37 2005 +0000

    Fixed up the note about installation.

 README.in | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit c66f785f2e138f3f9d7e6557445638dea2601a11
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 8 21:56:10 2005 +0000

    Fixed the installer libraries to include all the necessary object
    files for producing the installer/instcheck/instshow programs.

 LIB                 |  6 +++---
 NEWS                |  3 +++
 installer=l         | 39 +++++++++++++++++++++++++++++++++++++++
 instcheck=l         | 38 ++++++++++++++++++++++++++++++++++++++
 instlib/installer=l |  2 --
 instlib/instcheck=l |  2 --
 instlib/instshow=l  |  2 --
 instshow=l          | 37 +++++++++++++++++++++++++++++++++++++
 8 files changed, 120 insertions(+), 9 deletions(-)
 create mode 100644 installer=l
 create mode 100644 instcheck=l
 delete mode 100644 instlib/installer=l
 delete mode 100644 instlib/instcheck=l
 delete mode 100644 instlib/instshow=l
 create mode 100644 instshow=l

commit 5f4b55f8cde68963baad139a5e56c1b2b4da8168
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 8 21:35:04 2005 +0000

    Initial checkin of the stock configuration files.

 conf-bin     | 3 +++
 conf-cc      | 3 +++
 conf-include | 3 +++
 conf-ld      | 3 +++
 conf-lib     | 4 ++++
 5 files changed, 16 insertions(+)
 create mode 100644 conf-bin
 create mode 100644 conf-cc
 create mode 100644 conf-include
 create mode 100644 conf-ld
 create mode 100644 conf-lib

commit 15b94541b4b3735b4fb7c2e20bffd420d7d8d1c2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 8 21:27:10 2005 +0000

    Fixed glob pattern matches to use "!" instead of "~" for negating
    character sets like all other globs use.

 NEWS            |  3 +++
 path/match.c    |  4 ++--
 str/case_glob.c | 68 ++++++++++++++++++++++++++++-----------------------------
 str/glob.c      | 68 ++++++++++++++++++++++++++++-----------------------------
 4 files changed, 73 insertions(+), 70 deletions(-)

commit 55e18f674696486c90ff456485395c362546b009
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 23 04:53:23 2005 +0000

    Tweaked str_alloc to use realloc when appropriate.

 NEWS        |  1 +
 README.in   |  6 ++----
 str/alloc.c | 17 ++++++++++-------
 3 files changed, 13 insertions(+), 11 deletions(-)

commit e2ab47bec5ed01ccb51b2d936d0df5d30b465b42
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 15 03:31:35 2005 +0000

    Bumped version to 1.023

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 43ada53fee4d91083324adb0c955708837ab4807
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 10 17:07:21 2005 +0000

    Use lstat instead of stat to get accurate information on links.

 bg-installer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc632fc9f6fecceab9d66ed199d44e483f39a45e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 10 17:06:06 2005 +0000

    Install files into temporary files and then rename them.

 NEWS                |  3 ++-
 bg-installer.c      | 28 +++++++++++++++++-----------
 instlib/installer.c | 14 +++++++++-----
 3 files changed, 28 insertions(+), 17 deletions(-)

commit 33c11d10aa071691435f67fbc971804fdd21ab0f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 10 16:05:42 2005 +0000

    Add the install prefix when making the top directory.

 bg-installer.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7760bf349976883ad25468bbcd3532a9ecc3946b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 10 15:40:09 2005 +0000

    Put programs into %{_bindir}

 spec | 2 ++
 1 file changed, 2 insertions(+)

commit be42f59adbedf51e9312fbbb80d56c2287ce5417
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 10 15:37:53 2005 +0000

    Added missing source path/mkdirs.c

 path/mkdirs.c | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 path/mkdirs.c

commit bd449c22fac0153f790281080d22b95cc57d3a10
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 10 06:48:11 2005 +0000

    Added documentation for path functions.

 config.dxy      |  2 +-
 path/contains.c |  6 ++++++
 path/fnmatch.c  |  6 ++++++
 path/match.c    |  6 ++++++
 path/merge.c    | 11 +++++++++++
 path/mktemp.c   |  6 ++++++
 path/path.h     |  7 +++++++
 7 files changed, 43 insertions(+), 1 deletion(-)

commit 61a38e3376158880c113cb08b6662710367cbb79
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 10 06:31:02 2005 +0000

    Modified the installers to create missing directories.

 NEWS                |  2 ++
 bg-installer.c      | 11 ++++++++---
 instlib/installer.c | 22 ++++++++++++++++------
 spec                |  1 -
 4 files changed, 26 insertions(+), 10 deletions(-)

commit 2b7bd1fe71b241cdbc0742539080993f56926699
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 10 06:18:30 2005 +0000

    Added path_mkdirs function.

 NEWS        | 2 ++
 path/lib=l  | 1 +
 path/path.h | 1 +
 3 files changed, 4 insertions(+)

commit 310b69d2a1e5ecd62c75bd509d63eb20923508a5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 9 23:09:20 2005 +0000

    Copy the docs onto the website after installation.

 makedist.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 33ecc91f5c43e74da1ccdbe98188b55a986fbec1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 9 22:28:54 2005 +0000

    Added a generic installer program, similar to the "install" program
    included with ezmlm.

 BIN                 |   2 +
 INCLUDE             |  94 +++++++++++++++
 LIB                 |  88 ++++++++++++++
 NEWS                |   3 +
 all.spac            |   2 +-
 bg-installer.c      | 334 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 bg-installer=x      |   3 +
 config.dxy          |   2 +-
 install.spac        |   7 ++
 installer.spac      |   3 -
 instcheck.spac      |   3 -
 insthier.c          | 207 --------------------------------
 instlib/installer.h |   2 +-
 instshow.spac       |   3 -
 14 files changed, 534 insertions(+), 219 deletions(-)
 create mode 100644 BIN
 create mode 100644 INCLUDE
 create mode 100644 LIB
 create mode 100644 bg-installer.c
 create mode 100644 bg-installer=x
 create mode 100644 install.spac
 delete mode 100644 installer.spac
 delete mode 100644 instcheck.spac
 delete mode 100644 insthier.c
 delete mode 100644 instshow.spac

commit 32854e472778e431dc1342c071d8b9a7b719a5e8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 9 21:58:43 2005 +0000

    Fixed typo in Doxygen grouping end tag.

 fmt/misc.h      |  4 ++--
 fmt/multi.h     |  4 ++--
 fmt/number.h    | 10 +++++-----
 iobuf/common.h  |  4 ++--
 iobuf/ibuf.h    |  2 +-
 iobuf/iobuf.h   |  4 ++--
 iobuf/obuf.h    |  2 +-
 net/ipv4.h      |  2 +-
 net/ipv6.h      |  2 +-
 net/resolve.h   |  2 +-
 net/socket.h    |  8 ++++----
 str/env.h       |  2 +-
 str/iter.h      |  2 +-
 str/str.h       | 18 +++++++++---------
 unix/selfpipe.h |  2 +-
 unix/trigger.h  |  2 +-
 16 files changed, 35 insertions(+), 35 deletions(-)

commit 6da7d25f9ca609760405f77b595605445302c09d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 9 17:44:55 2005 +0000

    Moved some code into a common main function.

 instlib/installer.c | 14 ++------------
 instlib/installer.h |  3 +++
 instlib/installer=l |  1 +
 instlib/instcheck.c | 14 ++------------
 instlib/instcheck=l |  1 +
 instlib/instmain.c  | 22 ++++++++++++++++++++++
 instlib/instshow.c  | 18 ++++--------------
 instlib/instshow=l  |  1 +
 8 files changed, 36 insertions(+), 38 deletions(-)
 create mode 100644 instlib/instmain.c

commit 850327a2eb230d277a33b25d8e0098ef36746721
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 9 17:26:50 2005 +0000

    Fixed the instshow library to use and dispaly the install prefix just
    like the other instlib programs.

 NEWS               |  2 ++
 instlib/instshow.c | 11 ++++++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit cbdaacccf298f5a345fde472dc85abe9f39c1160
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 9 17:24:56 2005 +0000

    Bumped version up to 1.022

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit e723d36878be2bb373b7874f4fea16fc0fca2752
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 9 16:41:56 2005 +0000

    Added self-tests for all wrap functions.

 msg/wrap_chdir.c | 17 +++++++++++++++++
 msg/wrap_str.c   | 17 +++++++++++++++++
 2 files changed, 34 insertions(+)

commit 67685eb0427d02142a61c5118b1a0b79773aa6a8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 9 16:39:41 2005 +0000

    Added a wrapper for functions that allocate memory (returning a pointer).

 msg/lib=l        |  1 +
 msg/wrap.h       |  1 +
 msg/wrap_alloc.c | 25 +++++++++++++++++++++++++
 3 files changed, 27 insertions(+)
 create mode 100644 msg/wrap_alloc.c

commit e6046d4e2d8b0a54a69328f2262683025f438473
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 8 16:45:21 2005 +0000

    Introducing variables in the middle of a block is not yet well supported.

 iobuf/obuf_putf.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 202b416c714e6ce0784d5e614a2de472c299bde5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 8 16:37:34 2005 +0000

    Allow the installers to use $install_prefix the same way autoconf based
    systems use it.

 NEWS                | 3 ++-
 instlib/installer.c | 3 +++
 instlib/instcheck.c | 3 +++
 spec                | 4 +---
 4 files changed, 9 insertions(+), 4 deletions(-)

commit cd36dcbdced6bcf65064f334b6deecf0004c8e61
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 8 16:22:20 2005 +0000

    Doxygen needs to be told about recursing into the instlib directory.
    Missed this part of the previous commit.

 config.dxy | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cacf522995570b8a6a0a2d3d0ac0aa20b08cceef
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 8 16:21:41 2005 +0000

    Added a little documentation for the installer libraries.

 instlib/installer.h | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit fc873b344bf972e4af81b5f967f1813cb4c22a22
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 8 15:05:03 2005 +0000

    Fixed 32-to-64 bit sign extension bug in fmt_multi on some 64-bit
    platforms.  Thanks Gerrit Pape.

 NEWS        | 3 +++
 fmt/multi.c | 8 ++++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit af9666e291041c8612aa4d672e8af52daa2d278f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 8 15:04:37 2005 +0000

    Fixed the remaining typo in str_catfv.  Thanks again Gerrit Pape.

 str/catf.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1ad5cee3ad85a08e301d56ac2c26dabd1cc440f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 8 06:17:22 2005 +0000

    Fixed up the daylight missing header to be a macro instead of a static
    const, as the static will get multiply compiled into every object.

 NEWS               | 3 +++
 sys/hasdaylight.h1 | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit b9b7b47e6c5643d0b355bebef7f3977971478839
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 8 04:17:15 2005 +0000

    Added sysdep for "extern int daylight".

 sys/hasdaylight.h1 | 2 ++
 sys/hasdaylight.h2 | 3 +++
 sys/trydaylight.c  | 4 ++++
 sysdeps.h.spac     | 3 ++-
 4 files changed, 11 insertions(+), 1 deletion(-)
 create mode 100644 sys/hasdaylight.h1
 create mode 100644 sys/hasdaylight.h2
 create mode 100644 sys/trydaylight.c

commit f6cfad46d872743d9cd89c94bc7be28114dbb9cb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jun 6 18:03:03 2005 +0000

    Fixed typo bug in str_catfv and str_copyfv that caused failures on (at
    least) PPC and S390 architectures.
    Thanks Gerrit Pape <pape@smarden.org>

 NEWS              |  3 +++
 iobuf/obuf_putf.c | 13 ++++++-------
 str/catf.c        |  4 ++--
 str/copyf.c       |  6 +++---
 4 files changed, 14 insertions(+), 12 deletions(-)

commit 882c86de1e75a8fa31649b81b9b5aaf26375293a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 3 00:10:54 2005 +0000

    Renamed the "install" directory to "instlib" to prevent conflicts with
    the "install" target.

 installer.spac                   |  4 ++--
 instcheck.spac                   |  4 ++--
 insthier.c                       | 10 +++++-----
 {install => instlib}/installer.c |  0
 {install => instlib}/installer.h |  0
 {install => instlib}/installer=l |  0
 {install => instlib}/instcheck.c |  0
 {install => instlib}/instcheck=l |  0
 {install => instlib}/instshow.c  |  0
 {install => instlib}/instshow=l  |  0
 instshow.spac                    |  4 ++--
 11 files changed, 11 insertions(+), 11 deletions(-)
 rename {install => instlib}/installer.c (100%)
 rename {install => instlib}/installer.h (100%)
 rename {install => instlib}/installer=l (100%)
 rename {install => instlib}/instcheck.c (100%)
 rename {install => instlib}/instcheck=l (100%)
 rename {install => instlib}/instshow.c (100%)
 rename {install => instlib}/instshow=l (100%)

commit 15a3eadcc5be21c994a23f15e7006c5cd72dd9e0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 2 22:38:34 2005 +0000

    Added an installation note to the README.
    Thanks Sebastian Benoit <benoit-lists@fb12.de>

 README.in | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 0dbc7c9cdf76ddb467bb3374f0272fe059d962b5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 2 22:37:55 2005 +0000

    Removed unused config file.

 conf-home | 1 -
 1 file changed, 1 deletion(-)
 delete mode 100644 conf-home

commit f9d687211d16a0d551ffa437447df5e275b3e82a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 2 22:26:11 2005 +0000

    Added a to do note.

 TODO | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6b2f0a4bfcff864e60ad112408d1b5c62592a691
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 2 22:10:18 2005 +0000

    Installation is now done under seperate include/lib directories.

 NEWS       |  2 ++
 insthier.c | 15 ++++-----------
 spec       |  4 +++-
 3 files changed, 9 insertions(+), 12 deletions(-)

commit 53d3a514c0a0388c328fee5b6836570bc3392b58
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 2 22:07:49 2005 +0000

    installer/instcheck program libraries now optionally install into a
    prefix directory specified on the command line.

 NEWS                |  2 ++
 install/installer.c | 27 ++++++++++++++++++++++-----
 install/instcheck.c | 30 +++++++++++++++++++++++-------
 spec                | 10 ++++------
 4 files changed, 51 insertions(+), 18 deletions(-)

commit 7bef496976fec243975c3f731b50d2957e8aea86
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 2 21:17:06 2005 +0000

    Bumped version to 1.021

 NEWS    | 6 ++++++
 VERSION | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit e029a9b1441d8adf28a7a1f50d3207c412d1c80b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 2 21:16:26 2005 +0000

    Switched the installer from using stdio to bglibs

 install/installer.c |  48 ++++++++++---------------
 install/instcheck.c |  46 ++++++++----------------
 install/instshow.c  | 100 ++++++++++++++++++++++++++++------------------------
 installer.spac      |   4 +--
 instcheck.spac      |   4 +--
 instshow.spac       |   4 +--
 6 files changed, 94 insertions(+), 112 deletions(-)

commit e6f5ce2e2a22ee7d6dad94aac161e6057ea2c37f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 27 22:20:49 2005 +0000

    Reverted the previous change to the variadic macros, since other C9X/C99
    features are in use (variable length arrays and va_copy).

 NEWS      |  3 +++
 msg/msg.h | 20 ++++++++++----------
 2 files changed, 13 insertions(+), 10 deletions(-)

commit 376931242b3ac93263761b3cff8ee621c09e5c37
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 27 04:32:11 2005 +0000

    Switched the variadic msg macros to the old GCC format so that older
    systems can continue to use bglibs.  We'll see if this becomes a problem
    in practice.  If so, the only solution will be to provide two different
    macros, one for older GCCs that don't understand the C9X standard
    variadic macro format, and the other for everybody else.

 msg/msg.h | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 4f0a252b1ead09b297847653ffb62b153f218eb9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 27 03:49:35 2005 +0000

    Fixed up the documentation so Doxygen produces fewer warnings.

 iobuf/ibuf.h               | 1 +
 iobuf/ibuf_getnetstring.c  | 2 +-
 iobuf/ibuf_openreadclose.c | 2 +-
 iobuf/ibuf_readall.c       | 2 +-
 iobuf/obuf.h               | 1 +
 iobuf/obuf_sign_pad.c      | 7 +++++++
 net/ipv4.h                 | 5 ++++-
 net/ipv6.h                 | 5 ++++-
 str/str.h                  | 4 ++++
 9 files changed, 24 insertions(+), 5 deletions(-)

commit c77a641e7a85dc0f06bb2103a2a725fe87a67f7c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 27 03:22:29 2005 +0000

    Add support for long and long long data types.

 fmt/multi.c | 80 ++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 53 insertions(+), 27 deletions(-)

commit bb89c9fadaae06914b9d8d3b48e79923d2f12aff
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 26 23:05:48 2005 +0000

    Broke out some static functions from fmt/multi.c into their own objects.

 str/free.c => fmt/char.c | 38 ++++++++++++++---------------
 fmt/chars.c              | 62 ++++++++++++++++++++++++++++++++++++++++++++++++
 fmt/lib=l                |  2 ++
 fmt/misc.h               | 27 +++++++++++++++++++++
 fmt/multi.c              | 34 ++------------------------
 5 files changed, 111 insertions(+), 52 deletions(-)
 copy str/free.c => fmt/char.c (61%)
 create mode 100644 fmt/chars.c
 create mode 100644 fmt/misc.h

commit 33629a4f4370e48065fd3ea9162e538e637c4702
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 26 22:47:15 2005 +0000

    Added a set of formatted message functions.

 NEWS                        |  3 ++-
 msg/{common.c => commonf.c} | 35 +++++++++++++++++++++--------------
 msg/debug.c                 |  9 ---------
 msg/debug_init.c            | 10 ++++++++++
 msg/debugf.c                | 11 +++++++++++
 msg/dief.c                  | 11 +++++++++++
 msg/errorf.c                |  9 +++++++++
 msg/lib=l                   |  6 ++++++
 msg/msg.h                   | 18 ++++++++++++++++++
 msg/warn.c                  |  1 -
 msg/warnf.c                 |  9 +++++++++
 selftests.sh                |  2 +-
 12 files changed, 98 insertions(+), 26 deletions(-)
 copy msg/{common.c => commonf.c} (62%)
 create mode 100644 msg/debug_init.c
 create mode 100644 msg/debugf.c
 create mode 100644 msg/dief.c
 create mode 100644 msg/errorf.c
 create mode 100644 msg/warnf.c

commit a8a915354441c2c7b519e83381831bdcb6ecb682
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 26 22:31:39 2005 +0000

    Added format functions that take a va_list parameter.

 iobuf/obuf.h      |  2 ++
 iobuf/obuf_putf.c | 27 +++++++++++++++++----------
 str/catf.c        | 24 ++++++++++++++++--------
 str/copyf.c       | 24 ++++++++++++++++--------
 str/str.h         |  4 ++++
 5 files changed, 55 insertions(+), 26 deletions(-)

commit 7c5f5145d03ed72ee013dc2771e4d7ed03f9c6e1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 26 21:51:15 2005 +0000

    Moved the documentation around a bit and gave fmt_multi documentation.

 fmt/multi.c | 151 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 77 insertions(+), 74 deletions(-)

commit e4236bb9b909943e748c21ed5e91332ae4aaa14c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 26 21:36:14 2005 +0000

    Added multiple-item formatting functions fmt_multi (similar to printf,
    but safer), fmt_multiv, obuf_putf, str_catf, and str_copyf.

 NEWS                      |   3 +
 fmt/lib=l                 |   1 +
 fmt/multi.c               | 294 ++++++++++++++++++++++++++++++++++++++++++++++
 fmt/multi.h               |  21 ++++
 iobuf/lib=l               |   1 +
 iobuf/obuf.h              |   1 +
 iobuf/obuf_putf.c         |  37 ++++++
 str/{copyns.c => catf.c}  |  39 +++---
 str/{copyns.c => copyf.c} |  38 +++---
 str/lib=l                 |   2 +
 str/str.h                 |   2 +
 11 files changed, 405 insertions(+), 34 deletions(-)
 create mode 100644 fmt/multi.c
 create mode 100644 fmt/multi.h
 create mode 100644 iobuf/obuf_putf.c
 copy str/{copyns.c => catf.c} (59%)
 copy str/{copyns.c => copyf.c} (61%)

commit 4db5a874d8c8c67fd9af20ffd4d4d228918574eb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 26 19:54:17 2005 +0000

    Updated copyright year.

 README.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79268b8fae821fbfca6f9e25bc4bddff6b5bb16d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Nov 18 16:11:48 2004 +0000

    Mark ipv4_parse as deprecated.

 net/ipv4.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e080e7d71a64b7668dec3326d317fe859693844
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Nov 18 16:08:47 2004 +0000

    Added a sysdep for GCC's __attribute__((__deprecated__)) tag.

 sys/hasdeprecated.h1 | 2 ++
 sys/hasdeprecated.h2 | 2 ++
 sys/trydeprecated.c  | 1 +
 sysdeps.h.spac       | 3 ++-
 4 files changed, 7 insertions(+), 1 deletion(-)
 create mode 100644 sys/hasdeprecated.h1
 create mode 100644 sys/hasdeprecated.h2
 create mode 100644 sys/trydeprecated.c

commit fa772dda52a380c34dbf554ab3c49a1355f7ef07
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Nov 17 16:48:32 2004 +0000

    Fixed a couple of length counting bugs in the fmt number code.

 NEWS       |  2 ++
 fmt/snum.c | 42 ++++++++++++++++++++++++++++++------------
 fmt/unum.c | 36 +++++++++++++++++++++++++-----------
 3 files changed, 57 insertions(+), 23 deletions(-)

commit 90bc10ce772780e7474094240dc6ff749eedb971
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Nov 17 16:47:09 2004 +0000

    Bumped version to 1.020

 NEWS    | 5 +++++
 VERSION | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit c3097e8290c50f7fc67920233a4d4a7a20d68dcb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Nov 17 14:24:56 2004 +0000

    Include the no-buffer length when testing this function.

 fmt/sign_pad.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 2d8897d7e00b1f5baa706228309e1d9dfd23dd1b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 16 21:19:11 2004 +0000

    Added self-tests for the fcntl wrappers.

 unix/fcntl.c | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 unix/fcntl.c

commit 6a2f8ed94646e7f8d9790de50ba503404281b4c6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 16 21:04:32 2004 +0000

    Fixed up the iobuf documentation to produce the full doxygen output again.

 iobuf/ibuf.h  | 10 ++++++++--
 iobuf/iobuf.h |  5 +++++
 iobuf/obuf.h  | 10 ++++++++--
 3 files changed, 21 insertions(+), 4 deletions(-)

commit f55b65e47dc602ef2e9642d0444ff44d681bd94a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 15 20:49:40 2004 +0000

    "Hide" the invocation of the hundreds of ln commands to avoid production
    of libbg.a from obliterating earlier errors.

 libbg.a.spac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fd372b389bdece95fb356a64560f8b9603e6e42a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 15 20:44:38 2004 +0000

    Only call the fcntl SET syscall if the desired flags are different from
    the existing ones.

 unix/fcntl_fd_off.c | 4 +++-
 unix/fcntl_fd_on.c  | 4 +++-
 unix/fcntl_fl_off.c | 4 +++-
 unix/fcntl_fl_on.c  | 4 +++-
 4 files changed, 12 insertions(+), 4 deletions(-)

commit 34d464362c298cda33227dfba5b16f2a7b691b33
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 15 20:38:34 2004 +0000

    Fixed a couple of typos in the fcntl_fd_* functions.

 unix/fcntl_fd_off.c | 2 +-
 unix/fcntl_fd_on.c  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f60d2f4ff687d96dac1f5fb4ab51e7b3b269d3c1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 15 20:27:37 2004 +0000

    Added two new missing header files: unix/cloexec.h unix/fcntl.h

 insthier.c | 2 ++
 1 file changed, 2 insertions(+)

commit ad4409a80c07cbe6d4351fdfdd3b4062b4992666
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Nov 4 18:14:53 2004 +0000

    Changed the error in ibuf_getnetstring from EPROTO to EPROTOTYPE to
    fix compile errors on *BSD systems.  Thanks Ville Walveranta.

 NEWS                      | 3 +++
 iobuf/ibuf_getnetstring.c | 6 +++---
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 32ee969e72aa25ccb33dc02f7527753046fe7722
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Nov 4 17:15:20 2004 +0000

    Selfpipes now close-on-exec to prevent the pipe from being exported to
    child processes.

 NEWS            | 3 +++
 unix/selfpipe.c | 6 +++++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 2265b8bd6e981c5dbeb4c56a5a036d75f7310a38
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Nov 4 16:59:52 2004 +0000

    Added cloexec_{off,on} functions to manipulate the close-on-exec flag.

 NEWS                                  |  2 ++
 unix/cloexec.h                        |  7 +++++++
 unix/{nonblock_on.c => cloexec_off.c} | 12 ++++--------
 unix/{nonblock_on.c => cloexec_on.c}  | 12 ++++--------
 unix/lib=l                            |  2 ++
 5 files changed, 19 insertions(+), 16 deletions(-)
 create mode 100644 unix/cloexec.h
 copy unix/{nonblock_on.c => cloexec_off.c} (80%)
 copy unix/{nonblock_on.c => cloexec_on.c} (80%)

commit 3160b5ad48711c6dc34310bb91f44a1d08aec5c9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Nov 4 15:48:50 2004 +0000

    Rewrote the nonblock functions in terms of the new fcntl wrappers.

 unix/nonblock_off.c | 8 +++-----
 unix/nonblock_on.c  | 8 +++-----
 2 files changed, 6 insertions(+), 10 deletions(-)

commit 3ff002a02febc079715401255385670fda116e34
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Nov 4 15:46:12 2004 +0000

    Added low-level fcntl wrapper functions.

 NEWS                                   |  2 ++
 unix/fcntl.h                           |  9 +++++++++
 net/tcp4.c => unix/fcntl_fd_off.c      | 23 ++++++++---------------
 net/tcp4.c => unix/fcntl_fd_on.c       | 23 ++++++++---------------
 unix/{nonblock_on.c => fcntl_fl_off.c} | 14 +++++---------
 unix/{nonblock_on.c => fcntl_fl_on.c}  | 14 +++++---------
 unix/lib=l                             |  4 ++++
 7 files changed, 41 insertions(+), 48 deletions(-)
 create mode 100644 unix/fcntl.h
 copy net/tcp4.c => unix/fcntl_fd_off.c (70%)
 copy net/tcp4.c => unix/fcntl_fd_on.c (70%)
 copy unix/{nonblock_on.c => fcntl_fl_off.c} (75%)
 copy unix/{nonblock_on.c => fcntl_fl_on.c} (75%)

commit ca31b2eade4f4ca572bbceb9526d7c3651e67bdc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 29 23:31:01 2004 +0000

    Broke the iobuf includes into smaller parts.

 NEWS                      |   4 +-
 insthier.c                |   3 +
 iobuf/common.h            |  93 ++++++++++++++++++
 iobuf/ibuf.h              |  58 +++++++++++
 iobuf/ibuf_copytofd.c     |   2 +-
 iobuf/ibuf_getc.c         |   2 +-
 iobuf/ibuf_getnetstring.c |   2 +-
 iobuf/ibuf_gets.c         |   2 +-
 iobuf/ibuf_getstr.c       |   2 +-
 iobuf/ibuf_getstr_crlf.c  |   2 +-
 iobuf/ibuf_getu.c         |   2 +-
 iobuf/ibuf_init.c         |   2 +-
 iobuf/ibuf_open.c         |   2 +-
 iobuf/ibuf_peek.c         |   2 +-
 iobuf/ibuf_read.c         |   2 +-
 iobuf/ibuf_refill.c       |   2 +-
 iobuf/ibuf_seek.c         |   2 +-
 iobuf/ibuf_status.c       |   2 +-
 iobuf/ibuf_stdin.c        |   2 +-
 iobuf/ibuf_tell.c         |   2 +-
 iobuf/iobuf.h             | 244 +---------------------------------------------
 iobuf/{iobuf.h => obuf.h} | 153 +----------------------------
 iobuf/obuf_close.c        |   2 +-
 iobuf/obuf_copyfromfd.c   |   2 +-
 iobuf/obuf_digits.c       |   2 +-
 iobuf/obuf_endl.c         |   2 +-
 iobuf/obuf_flush.c        |   2 +-
 iobuf/obuf_init.c         |   2 +-
 iobuf/obuf_open.c         |   2 +-
